<?php
class Auth extends Controller {

	
	function index()
	{


	}

	function activate($code="",$email="")
	{
	    $this->form_validation->set_rules('code', 'Verification Code', 'required');
	    $this->form_validation->set_rules('email', 'Email', 'required');
	    $this->form_validation->set_error_delimiters('<p class="error">', '</p>');
	    
	    if ($this->form_validation->run() == false)
	    {
	        //$data['content'] = $this->load->view('activate', null, true);
	        //$this->load->view('template', $data);
	        
          $data['page'] = 'home';
				  $data['title'] = 'Activate';
				  $data['code'] = $code;
				  $data['email'] = $email;
				  $this->load->view('user/activation',$data);
	    }
	    else
	    {
	        $code = $this->input->post('code');
	        $email = $this->input->post('email');
			    $activate = $this->redux_auth->activate($code,$email);
		    
			   if ($activate)
			   {
				  if($this->redux_auth->logged_in()){
				  redirect('');
          }else{
          
          $message = "<p class=\"success\">Your Account is now activated, please login</a></p>";
				  $data['page'] = 'home';
					$data['title'] = 'Login';
					$data['message'] = $message;
					//$data['title'] = $this->config->item('home_title');
					$this->load->view('user/login_page',$data);
	        //redirect('auth/login/'.$message);
	        //login($email,$confirmation);
	        }
			   }
			   else
			   {
				//$this->session->set_flashdata('message', '<p class="error">Your account is already activated or doesn\'t need activating.</p>');
	      //redirect('auth/login');
	        $message = '<p class="error">Your account is already activated or doesn\'t need activating.</p>';
				  $data['page'] = 'home';
					$data['title'] = 'Login';
					$data['message'] = $message;
					//$data['title'] = $this->config->item('home_title');
					$this->load->view('user/login_page',$data);
			   }
	    }
	}
	
	/**
	 * register
	 *
	 * @return void
	 * @author Mathew
	 **/
	function register()
	{
      $this->form_validation->set_rules('fname', 'First Name', 'required');
		  $this->form_validation->set_rules('lname', 'Last Name', 'required');
	    $this->form_validation->set_rules('email', 'Email Address', 'required|valid_email');
	    $this->form_validation->set_rules('password', 'Password', 'required');
	    $this->form_validation->set_rules('math_question', 'Math Question', 'callback_math_question');
	    $this->form_validation->set_error_delimiters('<p class="error">', '</p>');
	    
	    if ($this->form_validation->run() == false)
	    {
	         $data['title'] = 'Register';
			     $data['page'] = 'register';
			     $questionOne = $this->math_question->questionOne();
           $questionTwo = $this->math_question->questionTwo();
           $this->session->set_flashdata('questionOne', $questionOne);
           $this->session->set_flashdata('questionTwo', $questionTwo);
           $data['q1'] = $questionOne;
           $data['q2'] = $questionTwo;
           $data['math_question'] = "What is {$questionOne} + {$questionTwo}?";
			     $this->load->view('user/register_page', $data);
	    }
	    else
	    {
	        $first_name = $this->input->post('fname');
			    $last_name = $this->input->post('lname');
	        $email    = $this->input->post('email');
	        $password = $this->input->post('password');
	        $full_name = $first_name." ".$last_name;
			
	        $register = $this->redux_auth->register($full_name, $password, $email);
	        
	        if ($register)
	        {
	            /*if($this->config->item('email_activation')){
                $key = sha1(microtime());
                $this->ci =& get_instance();
                $this->ci->db->set('activation_code', $key);
                $this->ci->db->insert('users');
                $link = base_url().'auth/activate/'.$key.'/'.$email;
                //$data['content_message'] = str_replace('{link}', $link, $this->config->item('email_activation_message'));
                $data['code'] = $key;
                $data['link'] = $link;
                $subject=$this->config->item('email_activation_subject');
                $message = $this->load->view(($this->config->item('email_templates').'activation'),$data,true);
                //$this->session->set_flashdata('message', '<p class="success">You have now registered. Please login.</p>');
  	            sendMail($email,$this->config->item('email_from'),$subject,$message);
                login($email,$password);
              }else{
                	$message = "<p class=\"success\">Your have now registered. Please login</a></p>";
                  $data['page'] = 'home';
					        $data['title'] = 'Login';
					        $data['message'] = $message;
					        //$data['title'] = $this->config->item('home_title');
					        $this->load->view('user/login_page',$data);
              }*/
              login($email,$password);
	        }
	        else
	        {
	            $this->session->set_flashdata('message', '<p class="error">Something went wrong, please try again or contact the helpdesk.</p>');
	            //$data['title'] = 'Register';
			        //$data['page'] = 'register';
			        
			        //$this->load->view('user/register_page', $data);
              redirect('auth/register');
	        }
	    }
	}
	
	function math_question()
  {
  	$user_answer = $this->input->post('math_question');
  	$questionOne = $this->input->post('q1');
  	$questionTwo = $this->input->post('q2');
   
  	$correct_answer = $questionOne + $questionTwo;
   
  	if($user_answer != $correct_answer)
  	{
      $this->form_validation->set_message('math_question', 'Your answer to the math question was incorrect');
  		return FALSE;
  	} else {
  		return TRUE;
  	}
  }
	
	/**
	 * Username check
	 *
	 * @return void
	 * @author Mathew
	 **/
	public function username_check($username)
	{
	    $check = $this->redux_auth_model->username_check($username);
	    
	    if ($check)
	    {
	        $this->form_validation->set_message('username_check', 'The username "'.$username.'" already exists.');
	        return false;
	    }
	    else
	    {
	        return true;
	    }
	}
	
	/**
	 * Email check
	 *
	 * @return void
	 * @author Mathew
	 **/
	public function email_check($email)
	{
	    $check = $this->redux_auth_model->email_check($email);
	    
	    if ($check)
	    {
	        $this->form_validation->set_message('email_check', 'The email "'.$email.'" already exists.');
	        return false;
	    }
	    else
	    {
	        return true;
	    }
	}
	
	/**
	 * login
	 *
	 * @return void
	 * @author Mathew
	 **/
	function login($redirect='')
	{

		//if($this->input->post('signup')){
			//$data['content'] = $this->load->view('register','',true);
			//$this->load->view('template2', $data);
		//}else{
			$this->form_validation->set_rules('email', 'Email Address', 'required');
			$this->form_validation->set_rules('password', 'Password', 'required');
			$this->form_validation->set_error_delimiters('<p class="error">', '</p>');
			
			if ($this->form_validation->run() == false)
			{
				$data['page'] = 'login_page';
				$data['title'] = 'Login';
				//$data['message'] = $message;
				$this->load->view('user/login_page',$data);
			}
			else
			{
				$email    = $this->input->post('email');
				$password = $this->input->post('password');
				$login = $this->redux_auth->login($email, $password);
				if ($this->redux_auth->logged_in()){
					//$data['content'] = $this->load->view('home',$data, true);
					redirect($redirect);
				}else{
					$data['page'] = 'home';
					$data['title'] = 'Login';
					$data['message'] = '<p class="error">Incorrect Email/Password Combination</p>';
					//$data['title'] = $this->config->item('home_title');
					$this->load->view('user/login_page',$data);
				} 


			}
		//}
	}
	
	
	
	/**
	 * logout
	 *
	 * @return void
	 * @author Mathew
	 **/
	function logout()
	{
		$this->redux_auth->logout();
		redirect('');
	}
	
	/**
	 * status
	 *
	 * @return void
	 * @author Mathew
	 **/
	function status()
	{
	    $data['status'] = $this->redux_auth->logged_in();
	    $data['content'] = $this->load->view('status', $data, true);
	    $this->load->view('template', $data);
	}
	/**
	 * change password
	 *
	 * @return void
	 * @author Mathew
	 **/
	function change_password()
	{	    
	    $this->form_validation->set_rules('old', 'Old password', 'required');
	    $this->form_validation->set_rules('new', 'New Password', 'required|matches[new_repeat]');
	    $this->form_validation->set_rules('new_repeat', 'Repeat New Password', 'required');
	    $this->form_validation->set_error_delimiters('<p class="error">', '</p>');
	    
	    if ($this->form_validation->run() == false)
	    {
	        $data['content'] = $this->load->view('change_password', null, true);
	        $this->load->view('template', $data);
	    }
	    else
	    {
	        $old = $this->input->post('old');
	        $new = $this->input->post('new');
	        
	        $identity = $this->session->userdata($this->config->item('identity'));
	        
	        $change = $this->redux_auth->change_password($identity, $old, $new);
		
    		if ($change)
    		{
    			$this->logout();
    		}
    		else
    		{
    			echo "Password Change Failed";
    		}
	    }
	}
	
	/**
	 * forgotten password
	 *
	 * @return void
	 * @author Mathew
	 **/
	function forgotten_password()
	{
	    $this->form_validation->set_rules('email', 'Email Address', 'required');
	    $this->form_validation->set_error_delimiters('<p class="error">', '</p>');
	    
	    if ($this->form_validation->run() == false)
	    {
	        //$data['content'] = $this->load->view('forgotten_password', null, true);
	        //$this->load->view('template2', $data);
			   $data['page'] = 'home';
			   $data['title'] = 'Forgotten Password';
			   $this->load->view('user/forgotten_password', $data);
	    }
	    else
	    {
	        $email = $this->input->post('email');
			    $forgotten = $this->redux_auth->forgotten_password($email);
		    
    			if ($forgotten)
    			{
    				  //$this->session->set_flashdata('message', '<p class="success">An email has been sent, please check your inbox.</p>');
    	            //redirect('auth/forgotten_password');
    	        $data['page'] = 'home';
    			    $data['title'] = 'Forgotten Password';
    			    $data['message'] = '<p class="success">An email has been sent, please check your inbox.</p>';
    			    $this->load->view('user/forgotten_password', $data);
    			}
    			else
    			{
    	        $data['page'] = 'home';
    			    $data['title'] = 'Forgotten Password';
    			    $data['message'] = '<p class="error">The email failed to send, try again.</p>';
    			    $this->load->view('user/forgotten_password', $data);
    			}
	    }
	}
	
	/**
	 * forgotten_password_complete
	 *
	 * @return void
	 * @author Mathew
	 **/
	public function forgotten_password_complete($code='')
	{
	    //$this->form_validation->set_rules('email', 'Email', 'required');
      $this->form_validation->set_rules('code', 'Forgotten password code', 'required');
	    $this->form_validation->set_error_delimiters('<p class="error">', '</p>');
	    
	    if ($this->form_validation->run() == false)
	    {
	        //redirect('auth/forgotten_password');
	       $data['page'] = 'home';
			   $data['title'] = 'Forgotten Password Complete';
			   $data['code'] = $code;
			   $this->load->view('user/forgotten_password_complete', $data);
	    }
	    else
	    {
	        //$email = $this->input->post('email');
          $code = $this->input->post('code');
			    $forgotten = $this->redux_auth->forgotten_password_complete($code);
		    
			if ($forgotten)
			{
				//$this->session->set_flashdata('message', '<p class="success">An email has been sent, please check your inbox.</p>');
	            //redirect('auth/forgotten_password');
	        $data['page'] = 'home';
          $data['title'] = 'Login';
	        $data['message'] = "<p class=\"success\">A new password has been sent to your email, please check your inbox.</p>";
					//$data['title'] = $this->config->item('home_title');
					$this->load->view('user/login_page',$data);
	      
			}
			else
			{
				//$this->session->set_flashdata('message', '<p class="error">The email failed to send, try again.</p>');
	       $data['page'] = 'home';
			   $data['title'] = 'Forgotten Password Complete';
			   $data['code'] = $code;
			   $data['message'] = '<p class="error">The email failed to send, try again.</p>';
			   $this->load->view('user/forgotten_password_complete', $data);
			}
	    }
	}
	
	/**
	 * Profile
	 *
	 * @return void
	 * @author Mathew
	 **/
	public function profile()
	{
	    if ($this->redux_auth->logged_in())
	    {
	        $data['profile'] = $this->redux_auth->profile();
	        $data['content'] = $this->load->view('profile', $data, true);
	        $this->load->view('template', $data);
	    }
	    else
	    {
	        redirect('auth/login');
	    }
	}
}
?>