<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class groups_model extends Model {
	public $row_view;
    public function groups_model()
    {
        // Call the Model constructor
        parent::Model();
		$this->tables  = $this->config->item('tables');
    }
    
    public function get_id($uid, $date){
    	$this->tables['groups'];
		$this->db->where('groups_date_created', $date);
		$this->db->where('groups_creator', $uid);
		$i = $this->db->get('groups');
		if($i->num_rows() > 0)
		return $i->row();
		else
		return false;
	}
    
    public function view_mygroup($uid){
		$groups = $this->tables['groups'];
		$this->db->where('groups_creator', $uid);
		//$this->db->limit(6);
		$i = $this->db->get('groups');
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function view_list($sort,$page = 1,$order = 'a.groups_name'){
		$limit	=	($page - 1)*2;
		if($sort == "all"){
			$sql	=	"SELECT a. * , b. * , c. * , d . *
					FROM groups AS a, term AS b, users AS c, groups_members AS d
					WHERE c.users_id = a.groups_creator
					AND a.term_id = b.term_id
					AND d.groups_id = a.groups_id
					AND d.users_id = c.users_id
					ORDER BY $order
					LIMIT $limit, 2 ";
					
			$sql2	=	"SELECT a. * , b. * , c. * , d . *
					FROM groups AS a, term AS b, users AS c, groups_members AS d
					WHERE c.users_id = a.groups_creator
					AND a.term_id = b.term_id
					AND d.groups_id = a.groups_id
					AND d.users_id = c.users_id
					ORDER BY a.groups_name";
		}
		else{
			$sql	=	"SELECT a. * , b. * , c. * , d . *
					FROM groups AS a, term AS b, users AS c, groups_members AS d
					WHERE c.users_id = a.groups_creator
					AND a.term_id = b.term_id
					AND d.groups_id = a.groups_id
					AND d.users_id = c.users_id
					AND a.term_id = $sort
					ORDER BY $order
					LIMIT $limit, 2";
			$sql2	=	"SELECT a. * , b. * , c. * , d . *
					FROM groups AS a, term AS b, users AS c, groups_members AS d
					WHERE c.users_id = a.groups_creator
					AND a.term_id = b.term_id
					AND d.groups_id = a.groups_id
					AND d.users_id = c.users_id
					AND a.term_id = $sort
					ORDER BY a.groups_name";
		}
		$i = $this->db->query($sql2);
		$this->row_view	= $i->num_rows;
		$i = $this->db->query($sql);
		return ($i->num_rows > 0)? $i->result() : array();
		/*$groups = $this->tables['groups'];

		$user = $this->tables['users'];
		$usermeta = $this->tables['meta'];
		$category = $this->tables['category'];
		$cat_id = ($cat!="all")?$this->category_model->get_id($cat):0;
		$this->db->select($groups.".*");

		$this->db->select($user.".username");
		$this->db->select($category.".cat_name,".
						  $category.".cat_slug");
		$this->db->select($usermeta.".users_picture_thumb");
		$this->db->from($groups);

		$this->db->join($user, $user.'.users_id = '.$groups.'.groups_creator', 'left');
		$this->db->join($category,$category.'.cat_id = '.$groups.'.categories_cat_id','left');
			$this->db->join($usermeta, $user.'.users_id = '.$usermeta.'.users_id', 'left');
		if ($cat!="all"){
			$this->db->where($category.'.cat_slug',$cat);
			$this->db->or_where($category.'.cat_parent',$cat_id); 
		}
		$this->db->order_by($order);
		$this->db->limit($limit);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();*/
	}
	
	public function view_list_uid($uid, $sort, $page = 1){
		$limit	=	($page - 1)*2;
		if($sort == 'all'){
			$sql	=	"SELECT a. * , b. * , c. * , d . *
					FROM groups AS a, term AS b, users AS c, groups_members AS d
					WHERE c.users_id = a.groups_creator
					AND a.term_id = b.term_id
					AND d.groups_id = a.groups_id
					AND d.users_id = c.users_id
					AND c.users_id = $uid
					ORDER BY a.groups_name
					LIMIT $limit, 2";
			$sql2	=	"SELECT a. * , b. * , c. * , d . *
					FROM groups AS a, term AS b, users AS c, groups_members AS d
					WHERE c.users_id = a.groups_creator
					AND a.term_id = b.term_id
					AND d.groups_id = a.groups_id
					AND d.users_id = c.users_id
					AND c.users_id = $uid
					ORDER BY a.groups_name";
		}
		else{
			$sql	=	"SELECT a. * , b. * , c. * , d . *
					FROM groups AS a, term AS b, users AS c, groups_members AS d
					WHERE c.users_id = a.groups_creator
					AND a.term_id = b.term_id
					AND d.groups_id = a.groups_id
					AND d.users_id = c.users_id
					AND c.users_id = $uid
					AND a.term_id = $sort
					ORDER BY a.groups_name
					LIMIT $limit, 2";
			$sql2	=	"SELECT a. * , b. * , c. * , d . *
					FROM groups AS a, term AS b, users AS c, groups_members AS d
					WHERE c.users_id = a.groups_creator
					AND a.term_id = b.term_id
					AND d.groups_id = a.groups_id
					AND d.users_id = c.users_id
					AND c.users_id = $uid
					AND a.term_id = $sort
					ORDER BY a.groups_name";
		}
		
		$i = $this->db->query($sql2);
		$this->row_view	= $i->num_rows;
		$i = $this->db->query($sql);
		
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function view_list_manage($uid){
		$groups = $this->tables['groups'];

		$user = $this->tables['users'];
		$usermeta = $this->tables['meta'];
		$category = $this->tables['category'];
		$groups_member	= $this->tables['groups_member'];
		//$cat_id = ($cat!="all")?$this->category_model->get_id($cat):0;
		$this->db->select($groups.".*");
		$this->db->select($groups_member.".users_status");
		$this->db->select($user.".username");
		$this->db->select($category.".cat_name,".
						  $category.".cat_slug");
		$this->db->select($usermeta.".users_picture_thumb");
		$this->db->from($groups);

		$this->db->join($user, $user.'.users_id = '.$groups.'.groups_creator', 'left');
		$this->db->join($category,$category.'.cat_id = '.$groups.'.categories_cat_id','left');
		$this->db->join($usermeta, $user.'.users_id = '.$usermeta.'.users_id', 'left');
		$this->db->join($groups_member,$groups_member.".groups_id = ".$groups.".groups_id", 'left');
		$this->db->where($groups_member.".users_id", $uid);
		$this->db->where($user.".users_id", $uid);
		/*if ($cat!="all"){
			$this->db->where($category.'.cat_slug',$cat);
			$this->db->or_where($category.'.cat_parent',$cat_id); 
		}*/
		//$this->db->order_by($order);
		//$this->db->limit($limit);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function view_single($id){
		$groups = $this->tables['groups'];
		$user = $this->tables['users'];
		$usermeta = $this->tables['users_meta'];
		$term = $this->tables['term'];
		$this->db->select($groups.".*");

		$this->db->select($user.".username");
		$this->db->select($term.".term_name,".
						  $term.".term_slug");
		$this->db->select($usermeta.".users_picture_thumb");
		$this->db->from($groups);

		$this->db->join($user, $user.'.users_id = '.$groups.'.groups_creator', 'left');
		$this->db->join($term,$term.'.term_id = '.$groups.'.term_id','left');
		$this->db->join($usermeta, $user.'.users_id = '.$usermeta.'.users_id', 'left');
		$this->db->where($groups.'.groups_id',$id);

		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->row() : array();
	}	
	
	public function view_comment($id)
	{
		$groups = $this->tables['groups'];
		$points = $this->tables['points'];
		$comment = $this->tables['comment'];
		$user = $this->tables['users'];
		$usermeta = $this->tables['meta'];
		$this->db->select($user.".username");
		$this->db->select($usermeta.".users_picture_thumb");
		$this->db->select($comment.".comment_date,".
						  $comment.".comment_text");
		$this->db->select($points.".points_level");
		$this->db->from($groups);
		$this->db->join($comment,$groups.".groups_id=".$comment.".related_id",'left');
		$this->db->join($user,$comment.".comment_sender=".$user.".users_id",'left');
		$this->db->join($usermeta,$user.".users_id=".$usermeta.".users_id",'left');
		$this->db->join($points,$user.".users_id=".$points.".users_id",'left');
		$this->db->where($groups.'.groups_id',$id);
		$this->db->where($comment.".comment_object","groups");
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function view_member($id)
	{
		$groups = $this->tables['groups'];
		$member = $this->tables['groups_member'];
		$user = $this->tables['users'];
		$usermeta = $this->tables['users_meta'];
		$this->db->select($user.".username");
		$this->db->select($usermeta.".users_picture");
		$this->db->select($member.".groups_id,".
						  $member.".users_id,".
						  $member.".users_status");
		$this->db->from($member);
		$this->db->join($user,$user.".users_id=".$member.".users_id",'left');
		$this->db->join($usermeta,$user.".users_id=".$usermeta.".users_id",'left');
		$this->db->join($groups,$member.".groups_id=".$groups.".groups_id",'left');
		$this->db->where($groups.'.groups_id',$id);
		//$this->db->where($groups.'.groups_slug',$slug);
		$this->db->where($member.".users_status","member");
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function view_share($id)
	{
		$mfile = $this->tables['multimed_file'];
		$file = $this->tables['files'];
		$this->db->select($file.".files_name,".
						  $file.".files_link,".
						  $file.".files_desc");
		$this->db->from($file);
		$this->db->join($mfile,$mfile.".files_id=".$file.".files_id");
		$this->db->where($mfile.'.multimed_pm_id',$id);
		$this->db->where($mfile.".files_order >",'1');
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	function search($query,$start, $cat="all")
	{
		$groups = $this->tables['groups'];

		$user = $this->tables['users'];
		$usermeta = $this->tables['meta'];
		$category = $this->tables['category'];
		$cat_id = ($cat!="all")?$this->category_model->get_id($cat):0;
		$this->db->select($groups.".*");
		
		$this->db->select($user.".username");
		$this->db->select($category.".cat_name,".
						  $category.".cat_slug");
		$this->db->select($usermeta.".users_picture_thumb");
		$this->db->from($groups);

		$this->db->join($user, $user.'.users_id = '.$groups.'.groups_creator', 'left');
		$this->db->join($category,$category.'.cat_id = '.$groups.'.categories_cat_id','left');
			$this->db->join($usermeta, $user.'.users_id = '.$usermeta.'.users_id', 'left');
		if ($cat!="all"){
			$this->db->where($category.'.cat_slug',$cat);
			$this->db->or_where($category.'.cat_parent',$cat_id); 
		}
		$this->db->limit(1,$start);
		$this->db->like($groups.'.groups_name', $query);
		$this->db->orderby($groups.'.groups_date_created desc');
		$i = $this->db->get();
		$output	=	"";
		return ($i->num_rows > 0)? $i->result() : array();
		/*if($i->num_rows() > 0){
			$output		.=	"<ul>";
			foreach($i->result() as $row){
				$output	.=	"<li><strong>"	.	$row->groups_name	.	"</strong></li>";
				
			}
		}
		else{
			$output		.=	"<strong>No Result</strong>";
		}
		return $output;*/
	}
	
	function search_count($query,$start, $cat="all")
	{
		$groups = $this->tables['groups'];

		$user = $this->tables['users'];
		$usermeta = $this->tables['meta'];
		$category = $this->tables['category'];
		$cat_id = ($cat!="all")?$this->category_model->get_id($cat):0;
		$this->db->select($groups.".*");
		
		$this->db->select($user.".username");
		$this->db->select($category.".cat_name,".
						  $category.".cat_slug");
		$this->db->select($usermeta.".users_picture_thumb");
		$this->db->from($groups);

		$this->db->join($user, $user.'.users_id = '.$groups.'.groups_creator', 'left');
		$this->db->join($category,$category.'.cat_id = '.$groups.'.categories_cat_id','left');
			$this->db->join($usermeta, $user.'.users_id = '.$usermeta.'.users_id', 'left');
		if ($cat!="all"){
			$this->db->where($category.'.cat_slug',$cat);
			$this->db->or_where($category.'.cat_parent',$cat_id); 
		}
		$this->db->like($groups.'.groups_name', $query);
		$i = $this->db->get();
		return $i->num_rows ;
	}
	
	function select_group(){
		
		$tabel	=	$this->db->get();
		return $tabel;
	}
	
	function insert_member($data){
		if($this->db->insert('groups_members', $data))
			return true;
		else
			return false;
	}
	
	function insert_entry($data)
    {
    	
        if($this->db->insert('groups', $data))
			return true;
		else
			return false;
    }
    
    function cek_member($uid, $gid){
		$this->db->where('users_id', $uid);
		$this->db->where('groups_id', $gid);
		$i	=	$this->db->get('groups_members');
		
		if($i->num_rows > 0)
			return true;
		else
			return false;
	}
    
    function join_group($data)
    {
    	
        if($this->db->insert('groups_members', $data))
			return true;
		else
			return false;
    }
    
    function leave_group($uid, $gid){
    	$sql	=	"delete from groups_members where users_id = $uid and groups_id = $gid";
		if($this->db->query($sql))
			return true;
		else
			return false;
	}
    
    function getNameBySlug($slug){
    	$slug	=	strtoupper($slug);
		$this->db->where('upper(term_slug)', $slug);
		$i	=	$this->db->get('term');
		if($i->num_rows > 0)
			return $i->row();
		else
			return false;
	}
	
	function getStatusUsers($uid, $gid){
		$this->db->where('users_id', $uid);
		$this->db->where('groups_id', $gid);
		$i	=	$this->db->get('groups_members');
		if($i->num_rows > 0)
			return $i->row();
		else
			return false;
	}
    
    function check_groupname($name){
		$this->db->where('upper(groups_slug)', $name);
		$i	=	$this->db->get('groups');
		if($i->num_rows > 0)
			return false;
		else
			return true;
	}
	
	function cek_gid_slug($gid, $slug){
		$this->db->where('groups_slug', $slug);
		$this->db->where('groups_id', $gid);
		$i	=	$this->db->get('groups');
		if($i->num_rows > 0)
			return true;
		else
			return false;
	}
	
	public function get_parent($tid)
	{
		$this->db->select('term_parent');
		$this->db->from('term');
		$this->db->where('term_id',$tid);
		$i = $this->db->get();
		$parent = $i->row()->term_parent;
		if($parent==0){
			return false;
		}else{
			$this->db->select('term_name');
			$this->db->select('term_slug');
			$this->db->from('categories');
			$this->db->where('term_id',$parent);
			$j = $this->db->get();
			return $j->row();
		}
	}
	
	function select_category(){
		$sql	=	"";
		
		$i = $this->db->query($sql);
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	function check_category($tid, $slug){
		$this->db->where('term_id', $tid);
		$this->db->where('term_slug', $slug);
		
		$i	=	$this->db->get('term');
		if($i->num_rows > 0 )
			return true;
		else
			return false;
	}

	function view_member2($gid, $slug){
		
	}
}
?>