<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class like_model extends Model {
    public function like_model()
    {
        // Call the Model constructor
        parent::Model();
		$this->tables  = $this->config->item('tables');
    }
	
	public function add($term_id,$content_id,$user_id,$is_like,$info)
	{
		$this->delete($term_id,$content_id,$user_id,$is_like);
		$data = array('term_id'=>$term_id,
					  'content_id'=>$content_id,
					  'user_id'=>$user_id,
					  'is_like'=>$is_like,
					  'info'=>$info
					  );
		$this->db->insert('like', $data);
		return ($this->db->affected_rows() > 0) ? true : false;
	}
	
	public function delete($term_id,$content_id,$user_id,$is_like)
	{
		$this->db->delete('like', array('term_id' => $term_id,'content_id' => $content_id,'user_id' => $user_id,'is_like' => $is_like)); 
	}
	
	public function countLike($term_id,$content_id)
	{
		$this->db->from("like");
		$this->db->where("content_id",$content_id);
		$this->db->where("term_id",$term_id);
		$this->db->where("is_like",1);
		$output=$this->db->count_all_results();

		return $output;
	}
	
	public function countUserLike($term_id,$content_id,$user_id)
	{
		$this->db->from("like");
		$this->db->where("content_id",$content_id);
		$this->db->where("term_id",$term_id);
		$this->db->where("is_like",1);
		$this->db->where("user_id",$user_id);
		$output=$this->db->count_all_results();

		return $output;
	}
}
?>