<?php 
class Messages extends Controller 
{    
    function Messages()
    {
        parent::Controller();
        $this->load->model('messages_model');
    }
    
    /*function index($all_page=1,$unread=1,$sent=1)
    {   
			if ($this->redux_auth->logged_in()){
				$data['profile'] = $this->redux_auth->profile();
				$data["page"] = "message";
				$data["title"] = $this->config->item('home_title')." | "."Message";	
				$data["all"]= $this->getAll($data['profile']->users_id,$all_page,$unread,$sent);
				$data["unread"]= $this->getUnread($data['profile']->users_id,$all_page,$unread,$sent);
				$data["sent"]= $this->getSent($data['profile']->users_id,$all_page,$unread,$sent);
				//$this->message_model->add(1,2,"TEST");
				$this->load->view("message/inbox",$data);
			}else{
				header('Location: '.base_url());
			}             
        
    } */
    function index(){
      $this->browse();
    }
	
	function browse($submenu="all",$num=5,$page=0){
       	if ($this->redux_auth->logged_in()){
  				$user_id = $this->session->userdata("users_id");
  				$data["page"] = "message";
  				$data["title"] = "Message";
  				$data["submenu"] = $submenu;
				$config['uri_segment'] = 5;
          $config['base_url'] = base_url()."messages/browse/".$submenu."/".$num."/";
          if ($submenu == "all"){
			  		//echo $user_id;
    				$data["messages"]=$this->messages_model->all($user_id,$page);
            $config['total_rows']=$this->messages_model->getTotalAll($user_id);
					//echo "TOTAL : ".$config['total_rows'];
    				$this->pagination->initialize($config);
    				$data["pagination"] =  $this->pagination->create_links();
    			}elseif ($submenu == "unread"){
    				$config['total_rows']=$this->messages_model->getTotalUnread($user_id);
    			  $data["messages"]=$this->messages_model->unread($user_id,$page);
    				$this->pagination->initialize($config);
    				$data["pagination"] =  $this->pagination->create_links();
    			}elseif($submenu == "sent"){
    				$config['total_rows']=$this->messages_model->getTotalSent($user_id);
    			  $data["messages"]=$this->messages_model->sent($user_id,$page);
    				$this->pagination->initialize($config);
    				$data["pagination"] =  $this->pagination->create_links();
    			}else{
            redirect("page404");
          }	
				$this->load->view("messages/inbox",$data);
			}else{
				redirect("auth/login");
			}       
  }
	
	function create()
	{
			if ($this->redux_auth->logged_in()){
				$data['profile'] = $this->redux_auth->profile();
				$data["page"] = "message";
				$data["title"] = "Write New Message";	
				//$this->message_model->add(1,2,"TEST");
				$this->load->view("messages/create",$data);
			}else{
				redirect("auth/login");
			}   
	}
	
	function submit()
	{
		if ($this->redux_auth->logged_in()){
			//$data['profile'] = $this->redux_auth->profile();
			$username=$this->input->post('username');
			//echo $username;
			$sender = $this->input->post('sender');
      $receiver_id=explode(",",$username);
      $receiver_id[] = $sender;
			$messages_text=$this->input->post('msg_text');
			$messages_title=$this->input->post('msg_title');
			//print_r($username);
			$messages_subject_id=$this->messages_model->add_subject($messages_title);
			if($messages_subject_id==0){
         redirect("page404");
         exit;
      }
			$this->messages_model->add_messages($messages_subject_id,$sender,$messages_text,1);
			for ($i=0;$i<count($receiver_id);$i++)
			{
				

					//$this->message_model->add($uid[$i],$sender,$msg_text,$msg_title);
					//$this->messages_model->add_subject($msg_title);
					$this->messages_model->add_receiver($receiver_id[$i],$messages_subject_id);

					
			}
			redirect("messages/view/".$messages_subject_id);
		}else{
				header('Location: '.base_url());
			}   
		//echo $username;
	}
	
	function autocomplete()
	{
		$response = array();
		
		//$names = array('Abraham Lincoln', 'Adolf Hitler', 'Agent Smith', 'Agnus', 'AIAI', 'Akira Shoji', 'Akuma', 'Alex', 'Antoinetta Marie', 'Baal', 'Baby Luigi', 'Backpack', 'Baralai', 'Bardock', 'Baron Mordo', 'Barthello', 'Blanka', 'Bloody Brad', 'Cagnazo', 'Calonord', 'Calypso', 'Cao Cao', 'Captain America', 'Chang', 'Cheato', 'Cheshire Cat', 'Daegon', 'Dampe', 'Daniel Carrington', 'Daniel Lang', 'Dan Severn', 'Darkman', 'Darth Vader', 'Dingodile', 'Dmitri Petrovic', 'Ebonroc', 'Ecco the Dolphin', 'Echidna', 'Edea Kramer', 'Edward van Helgen', 'Elena', 'Eulogy Jones', 'Excella Gionne', 'Ezekial Freeman', 'Fakeman', 'Fasha', 'Fawful', 'Fergie', 'Firebrand', 'Fresh Prince', 'Frylock', 'Fyrus', 'Lamarr', 'Lazarus', 'Lebron James', 'Lee Hong', 'Lemmy Koopa', 'Leon Belmont', 'Lewton', 'Lex Luthor', 'Lighter', 'Lulu');
		/*
		$names =$this->user->getUsers($this->session->userdata("users_id"));
		// make sure they're sorted alphabetically, for binary search tests
		sort($names);
		
		$search = isset($_REQUEST['search']) ? $_REQUEST['search'] : '';
		
		foreach ($names as $i)
		{
			if (!preg_match("/\b$search/i", $i->full_name)) continue;
			//$filename = str_replace(' ', '', strtolower($name));
			$response[] = array($i->users_id, $i->full_name, null, '<img src="'.base_url().image_thumb($i->users_picture, 32, 32).'" /> '.$i->full_name);
		}*/
		
		$search = isset($_REQUEST['search']) ? $_REQUEST['search'] : '';
		if ($this->redux_auth->logged_in()){
				//$data['profile'] = $this->redux_auth->profile();
				$result=$this->user->getUsers($this->session->userdata("users_id"));
				$names=array();
				$users_id=array();
				$pict=array();
				foreach ($result as $item):
					$names[].=$item->full_name;
					$uid=$item->users_id;
					$users_id[].=$uid;
					$pict[].=$item->users_picture;
				endforeach; 
				
				for ($i=0;$i<count($names);$i++)
				{
					//if (!preg_match("/\b$search/i", $names[$i])) continue;
					$response[] = array($users_id[$i], $names[$i], null, '<img src="'.base_url().image_thumb($pict[$i], 32, 32).'" /> ' . $names[$i]);
				}
		}
		header('Content-type: application/json');
		echo json_encode($response);
	}
	
	function view($message_id,$num=5,$page=0)
	{
			if ($this->redux_auth->logged_in()){
				//$data['profile'] = $this->redux_auth->profile();	
				$data["message_id"] = $message_id;
				$data["page"] = "message";
				$data["title"] = "Message";	
				//$this->message_model->add(1,2,"TEST");
				$data["messages"]=$this->messages_model->get_message($message_id);
				$data["receiver"] = $this->messages_model->get_receiver($message_id);
				/*comment pagination */
        $config['uri_segment'] = 5;
  		  $config['base_url'] = base_url()."messages/view/".$message_id."/".$num;
  		  $data["replies"] = $this->messages_model->get_replies($message_id,$num,$page);
  		  $config["total_rows"] = $this->messages_model->total_replies($message_id);
  			$this->pagination->initialize($config);
  			$data["pagination"] =  $this->pagination->create_links();
				//$data["message"]= $this->getDetail($message_id,$page);
				//$this->messages_model->isRead($message_id);
				$this->messages_model->update_read($this->session->userdata("users_id"),$message_id,1);
				$this->load->view("messages/single",$data);
			}else{
				redirect("auth/login");
			}   
	}
	
	function getDetail($message_id,$page=1)
	{
		$result=$this->message_model->getDetail($message_id);
		//$table_users=getUserTable();
		$profile = $this->user_model->profile($result->ms_sender);
		$url = base_url()."profile/user/".$profile->users_id."/".$profile->username;
		$message="<div  class=\"tab-article thread-reply span-16 last\">
					<h2><a href=\"".$url."\" >".$profile->full_name."</a></h2>
					<img src='".base_url().image_thumb($profile->users_picture, 72, 72)."' class=\"med\" />
					<ul class=\"article-meta\">
						<li>Posted on ".$result->ms_date."</li>
					</ul>
					".$result->ms_text."
					</div>";
		$output="";
		if ($page==1)
			$output=$message;
		$total_resources=$this->message_model->getTotalReply($message_id);
		$total_page=$total_resources/5;
		if ($total_resources%5>0)
				$total_page++;
		$result=$this->message_model->getReply($message_id,$page);
		
		foreach ($result as $item):
		  $profile = $this->user_model->profile($item->ms_sender);
			$url = base_url()."profile/user/".$profile->users_id."/".$profile->username;
      $output.="<div  class=\"tab-article thread-reply span-16 last\">
					<h2><a href=\"".$url."\" >".$profile->full_name."</a></h2>
					<img src='".base_url().image_thumb($profile->users_picture, 72, 72)."' class=\"med\" />
					<ul class=\"article-meta\">
						<li>Posted on ".$item->ms_date."</li>
					</ul>
					".$item->ms_text."
					</div>";
		endforeach;
		$after=2;
			$before=2;
			
			$before_page="";
			$count=1;
			for ($i=$page-1;$i>0;$i--)
			{
				$before_page.="<a href=\"".base_url()."message/single/$message_id/$i"."\"  class=\"previous\" >".$i."</a>";
				if ($count==2)
					break;
				else
					$count++;
			}
			$after_page="";
			$count=1;
			for ($i=$page+1;$i<$total_page;$i++)
			{
				$after_page.="<a href=\"".base_url()."message/single/$message_id/$i"."\"    class=\"previous\" >".$i."</a>";
				if ($count==2)
					break;
				else
					$count++;
			}
			
			$output.="<div  class=\"tab-article-paging\">";
			$output.="<a href=\"#\"  class=\"previous\" >Previous</a>";
			$output.=$before_page."<a href=\"#\"  class=\"next\" >$page</a>".$after_page;
			$output.="<a href=\"#\"  class=\"previous\" >Next</a>";
			$output.="</div>";
		return $output;
	}
	
	function submit_reply()
	{
			$this->form_validation->set_rules('reply', 'Text messages', 'trim|required');		
      $this->form_validation->set_error_delimiters('<p class="error">', '</p>');			
			if ($this->form_validation->run() == FALSE)
			{
				header('Location: '.getenv('HTTP_REFERER'));
			}
			else
			{
  			$message_id=$this->input->post('messages_subject_id');
  			$reply=$this->input->post('reply');
  			$sender = $this->input->post('sender');
  			$this->messages_model->add_reply($sender,$reply,$message_id);
  			
  			header('Location: '.getenv('HTTP_REFERER'));
			}
	}
	
	function read(){
       $messages_subject_id = $this->input->post("messages");
       header('Location: '.getenv('HTTP_REFERER'));
  }
  
  function unread(){
       $messages_subject_id = $this->input->post("messages");
       header('Location: '.getenv('HTTP_REFERER'));
  }
  
  function delete(){
       $messages_subject_id = $this->input->post("messages");
       header('Location: '.getenv('HTTP_REFERER'));
  }
  
  function execute()
  {
	  $act=$this->input->post("act");
	  $messages=$this->input->post("messages");
	  for ($i=0;$i<count($messages);$i++)
	  {
		  //echo "<br>".$messages[$i];
		  if ($act=="delete")
		  {
			    $this->messages_model->delete($messages[$i],$this->session->userdata("users_id"));
		  }else
		  {
			  $isread=0;
			  if ($act=="read")
			  	$isread=1;
				
			  $this->messages_model->update_read($this->session->userdata("users_id"),$messages[$i],$isread);
			  	
		  }
	  }
	  header('Location: '.getenv('HTTP_REFERER'));
	  //echo $act;
  }
}
?>