<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
if ( ! function_exists('upload_url'))
{
	function upload_url()
	{
		$CI =& get_instance();
		return $CI->config->slash_item('upload_url');
	}
	function upload_directory()
	{
		$CI =& get_instance();
		return $CI->config->slash_item('upload_directory');
	}
	function themes_url()
	{
		$CI =& get_instance();
		return $CI->config->slash_item('themes_url');
	}
	function tagline()
	{
		$CI =& get_instance();
		echo $CI->config->item('tagline');
	}
	function site_name()
	{
		$CI =& get_instance();
		echo $CI->config->item('site_name');
	}
	function get_uri()
	{
		return uri_string();
	}
	
	function open_file($url,$type)
	{
		print '<div id="embedded_doc"></div>
				<script type="text/javascript">
					var scribd_doc = scribd.Document.getDocFromUrl("'.$url.'", "pub-28855306480535386696");
					scribd_doc.addParam("height", 360);
					scribd_doc.addParam("width", 480);
					scribd_doc.addParam("public", false);
					scribd_doc.write("embedded_doc");
				</script>';


	}
	
	function share_this(){
		print "<script language=\"javascript\" type=\"text/javascript\">
		//Create your sharelet with desired properties and set button element to false
		var object = SHARETHIS.addEntry({
		title:'share',
		summary: 'Sharing is good for the soul.'},
		{button:false});
		//Output your customized button
		document.write('<a href=\"javascript:void(0);\">share</a>');
		//Tie customized button to ShareThis button functionality.
		var element = document.getElementById(\"share\");
		object.attachButton(element);
		</script>";
	}
	
	function get_date($time,$timezone="UP7",$format="%d %F %Y, %h:%i:%s"){
		if($time=="0000-00-00 00:00:00"){
      			return "-";
      		}else{
      			return mdate($format,gmt_to_local(mysql_to_unix($time),$timezone,FALSE));
      
    		}
	}

	function date_str($time,$format="d F Y, G:i:s"){
	 return date($format, strtotime($time));
	}
	
	
	function nicetime($date)
	{
		if(empty($date)) {
			return "No date provided";
		}
   
		$periods         = array("second", "minute", "hour", "day", "week", "month", "year", "decade");
		$lengths         = array("60","60","24","7","4.35","12","10");
   
		$now             = time();
		$unix_date         = strtotime($date);
   
       // check validity of date
		if(empty($unix_date)) {   
			return "Bad date";
		}

		// is it future date or past date
		if($now > $unix_date) {   
			$difference     = $now - $unix_date;
			$tense         = "ago";
       
		} else {
			$difference     = $unix_date - $now;
			$tense         = "from now";
		}
   
		for($j = 0; $difference >= $lengths[$j] && $j < count($lengths)-1; $j++) {
			$difference /= $lengths[$j];
		}
   
		$difference = round($difference);
   
		if($difference != 1) {
			$periods[$j].= "s";
		}
   
		return "$difference $periods[$j] {$tense}";
	}
	
	function get_categories($content="home",$order=""){
		$CI =& get_instance();
		$category = $CI->category_model->get_list();
		
			$categories =  "<li>".anchor($content."/categories/all/".$order,"All")."</li>";
			foreach ($category as $item):
			$categories .= "<li>".anchor($content."/categories/".$item->cat_slug."/".$order,$item->cat_name)."</li>";
			endforeach;
		
		return $categories;
	}
	
	function title($page=""){
		$CI =& get_instance();
		if ($page==""){
			$title = $page;
		}else{
			$title = $page." | ";
		}
		$title .= $CI->config->item('home_title');
		echo $title;
	}
	
	function photo_url($fname,$size){
		$CI =& get_instance();
		$size = '-'.$size.'.';
		$photo_url = $CI->config->slash_item('upload_url').str_replace('.',$size,$fname);
		return $photo_url;
	}
	
	

	function add_points($user_id,$points_key){
		
	}
	function image_thumb($image_path, $height, $width)
	{
		// Get the CodeIgniter super object
		$CI =& get_instance();
	
		// Path to image thumbnail
		$CI->load->library('image_lib');
		
		$thumb_marker = "_".$height . 'x' . $width;
		$image_thumb = $CI->image_lib->explode_name($image_path);
		$filename = $image_thumb['name'];
		$file_ext = $image_thumb['ext'];
		$new_image = $filename.$thumb_marker.$file_ext;
		if( ! file_exists($new_image))
		{
			// LOAD LIBRARY
			
			// CONFIGURE IMAGE LIBRARY
			$config['image_library']	= 'gd2';
			$config['source_image']		= $image_path;
			$config['create_thumb'] = TRUE;
			$config['maintain_ratio'] = TRUE;
			$config['thumb_marker']		= $thumb_marker;
			$config['maintain_ratio']	= TRUE;
			$config['height']			= $height;
			$config['width']			= $width;
			$CI->image_lib->initialize($config);
			if ( ! $CI->image_lib->resize())
{
    echo $CI->image_lib->display_errors();
}
			$img_src = $CI->image_lib->full_dst_path;
			$CI->image_lib->clear();
			//return '<img src="' . $img_src. '" />';
			
		}
		return $new_image;

	}
	
	function getTermID($term_name)
	{
		$CI =& get_instance();
		$CI->db->select("term_id");

        $CI->db->from("term");

        $CI->db->where("term_name",$term_name);

		$i = $CI->db->get();

		$output=0;

		if ($i->num_rows()>0)

		{

			foreach ($i->result() as $result)

			{

				$output=$result->term_id;

			} 

		}

		return $output;

	}
	
	function getTerm($term_id)
	{
		$CI =& get_instance();
		$CI->db->select("term_name");

        $CI->db->from("term");

        $CI->db->where("term_id",$term_id);

		$i = $CI->db->get();

		//$output=0;

		if ($i->num_rows()>0)

		{

			foreach ($i->result() as $result)

			{

				$output=$result->term_name;

			} 

		}else{
			$output = "";
		}

		return $output;

	}
	
	function get_term_by_slug($term_slug)
	{
		$CI =& get_instance();


        $CI->db->from("term");

        $CI->db->where("term_slug",$term_slug);
        $CI->db->limit(1);

		$i = $CI->db->get();



		if ($i->num_rows()>0)

		{
        return $i->row();

		}else{
        return array();
    }

	}
	
	function get_terms($taxonomy){
      $CI =& get_instance();
      $query = $CI->db->get_where('term', array('term_taxonomy' => $taxonomy));
      return ($query->num_rows > 0)? $query->result() : array();
  }
	
	function cutText($text,$numTerm)
	{
		$all=explode(" ",$text);
		$result="";
		//echo count($all);
		for ($i=0;$i<count($all);$i++)
		{
			if ($i<$numTerm)
			{
				$result.=" ".$all[$i];
			}
			else
				break;
		}
		return $result;
	}
	

	/*
		Type :
		1. Make Friend
		2. Update Status
		3. Wall
		4. New Note
	*/
	function makeFeed($user,$link,$text,$type)
	{
		$CI =& get_instance();
		if ($type==1)
		{
			$u1=$CI->user->getName($user[0]);
			$u2=$CI->user->getName($user[1]);
			$feed="<li class=\"friend\"><p>".anchor("profile/friend/".$user[0],$u1)." and ".anchor("profile/friend/".$user[1],$u2)." are now friends</p></li>";
			$CI->feeds_model->add($user[0],$feed);
			$CI->feeds_model->add($user[1],$feed);
		} else if ($type==2)
		{
			$profile = $CI->user_model->profile($user);
			$user_name = $profile->full_name;
			$user_picture = base_url().image_thumb($profile->users_picture, 32, 32);
			$user_link = "profile/user/".$user."/".url_title($user_name);
			
      /*$u1=$CI->user->getName($user);
			$pict_thumb=$CI->user->getPictureThumb($user); */
			$feed="<li class=\"status\"><p>".anchor($user_link,"<img src=\"".$user_picture."\" title=\"user-thumb\"/>&nbsp;".$user_name,array("class"=>"entity")).$text."</p></li>";
			$CI->feeds_model->add($user,$feed);
		} else if ($type==3)
		{
			/*$u1=$CI->user->getName($user);
			$pict_thumb=$CI->user->getPictureThumb($user);*/
			$profile = $CI->user_model->profile($user);
			$user_name = $profile->full_name;
			//$user_picture = base_url().image_thumb($profile->users_picture, 32, 32);
			$user_link = "profile/user/".$user."/".url_title($user_name);
			$feed="<li class=\"status\"><p>".$text."</p></li>";
			$CI->feeds_model->add($user,$feed);
		}else if ($type==4)
		{
			$u1=$CI->user->getName($user);
			$pict_thumb=$CI->user->getPictureThumb($user);
			$feed="<li class=\"notes\"><p><a href=\"note-single.html\"  class=\"notes-title\" >$text by ".anchor("profile/friend/".$user[0],$u1,array("class"=>"entity"))."</p></li>";
			$CI->feeds_model->add($user,$feed);
		}
		else
		{
			$u1=$CI->user->getName($user);
			$feed=anchor($link,$text)." ".anchor("profile/friend/".$user,$u1);
			$CI->feeds_model->add($user,$feed);
			
		}
		
	}
	
	function feeding($term,$content_id)
	{
		$CI =& get_instance();
		if ($term=="friendship")
		{
			$full_name1=$CI->user->getName($user[0]);
			$full_name2=$CI->user->getName($user[1]);
			$feed="<li class=\"friend\"><p>".anchor("profile/user/".$user[0]."/".$full_name1,$full_name1)." and ".anchor("profile/user/".$user[1]."/".$full_name2,$full_name2)." are now friends</p></li>";
			$CI->feeds_model->add($user[0],$feed);
			$CI->feeds_model->add($user[1],$feed);
		} else if ($term=="wall")
		{
			$fu1l_name=$CI->user->getName($user);
			$pict_thumb=$CI->user->getPictureThumb($user);
			$feed="<li class=\"status\"><p>".anchor("profile/user/".$user."/".$full_name,"<img src=\"".$pict_thumb."\" title=\"user-thumb\"/>".$full_name,array("class"=>"entity")).$text."</p></li>";
			$CI->feeds_model->add($user,$feed);
		} else if ($term=="consultation_reply")
		{
			/*$full_name=$CI->user->getName($user);
			$pict_thumb=$CI->user->getPictureThumb($user);*/
			$reply = $CI->consultation_model->get_answer($content_id);
			
			if ($reply){
			$content_link = "consultation/single/".$reply->qa_id;
			$author_link = "profile/user/".$reply->reply_sender;
			$feed_text= anchor($author_link,$reply->full_name,array("class"=>"entity"))." reply to expert consultation :<br />";
			$feed_text.= anchor($content_link,$reply->subject);
			$activity = "<li class=\"notes\"><p>".$feed_text."</p></li>";
			//$term_id = getTermID("consultation_reply");
			//$feed="<li class=\"notes\"><p>".anchor($link,$feed_text,array("class"=>"entity"))."</p></li>";
			$CI->feeds_model->add($reply->reply_sender,$activity);
			}
		}else if ($term=="notes")// new notes
		{
			 
       $note = $CI->notes_model->getDetailNote($content_id);
			//foreach ($notes as $note):
				$notes_id = $note->notes_id;
				$notes_permalink = $note->notes_permalink;
				$full_name = $note->full_name;
				$notes_author_id = $note->notes_author;
				$notes_title = $note->notes_title;
			//endforeach;
			$content_link = "notes/view/".$notes_id."/".$notes_permalink;
			$author_link = "profile/user/".$notes_author_id."/".url_title($full_name);
			$feed_text= "New notes from ".anchor($author_link,$full_name,array("class"=>"entity")).": ".anchor($content_link,$notes_title);
			$activity = "<li class=\"notes\"><p>".$feed_text."</p></li>";
			$term_id = getTermID($term);
			//$feed="<li class=\"notes\"><p>".anchor($link,$feed_text,array("class"=>"entity"))."</p></li>";
			$CI->feeds_model->insert($notes_author_id,$activity,$term_id,$content_id);
		}
		
		else
		{
			$full_name=$CI->user->getName($user);
			$feed=anchor($link,$text)." by ".anchor("profile/user/".$user,$fu1l_name);
			$CI->feeds_model->add($user,$feed);
			
		}
		
	}
	
	function is_friend($friend,$me,$attributes){
		$CI =& get_instance();
		$is_friend = $CI->friend_model->is_friend($friend,$me);
		if ($is_friend){
			if(($is_friend->status == "pending")&&($is_friend->users_id_request == $CI->session->userdata("users_id"))){
				echo "<a href=\"#\" ".$attributes." >Pending Friend</a>";
			}elseif(($is_friend->status == "pending")&&($is_friend->users_id_approve == $CI->session->userdata("users_id"))){
				echo "<a href=\"".site_url('friends/deny/'.$friend)."\" ".$attributes." class='no second'>Deny</a>";
				
				echo "<a href=\"".site_url('friends/approve/'.$friend)."\" ".$attributes." class='more-link third'>Approve Friend</a>";			
			}elseif($is_friend->status == "friend"){ //status == friend
				echo "<a href=\"".site_url('friends/remove/'.$me.'/'.$friend)."\" ".$attributes." >Remove Friend</a>";
			}else{
				echo "";
			}
		}else{
			echo "<a href=\"".site_url('friends/request/'.$friend)."\" ".$attributes." id=\"create-user\">Add Friend</a>";
		}
	}
	
	function is_connected($friend,$me){
		$CI =& get_instance();
		$is_connected = $CI->friend_model->is_connected($friend,$me);
		return $is_connected;
	}
	
	function is_follow($is,$expert,$attributes){
		$CI =& get_instance();
		$is_follow = $CI->experts_model->is_follow($is,$expert);
		if ($is_follow){
			echo "<a href=\"".site_url('experts/unfollow/'.$expert)."\" ".$attributes." id=\"create-user\">Unfollow Expert</a>";
		}else{
			echo "<a href=\"".site_url('experts/follow/'.$expert)."\" ".$attributes." id=\"create-user\">Follow Expert</a>";
		}
	}
	
	function is_me($user_id){
		$CI =& get_instance();
		if($user_id == $CI->session->userdata("users_id")){
			return true;
		}else{
			return false;
		}
	}
	
	
	function get_role($user_id){
		$CI =& get_instance();
		$role = $CI->user_model->get_role($user_id);
		return $role;
		//$role = $CI
	}
	
	function is_can($user_id){
		if((get_role($user_id)=="system_administrator")||(is_me($user_id))){
			return true;
		}else{
			return false;
		}
	}
	
	function is_can_groups($user_id,$groups_id){
    $CI =& get_instance();
    $member  = $CI->groups_model->is_member($user_id,$groups_id);
    return $member;
  }
	
	function notifications($user_id){
		$CI =& get_instance();
		$friend = $CI->friend_model->total_pending_list($user_id);
		$new_question = $CI->consultation_model->notification_question($user_id);
		$new = $friend+$new_question;
		return $new;
	}
	
function get_featured_company($user_id){
    $CI =& get_instance();
		$current_company = $CI->user_model->company_list($user_id,1);
		$str_current = "";
		foreach ($current_company as $current):
		  $str_current .= $current->title." at ".$current->company_name."<br /";          
    endforeach;
		return $str_current;
  }
  
  
	function get_form_company($user_id,$featured=null,$limit=null){
		//$company_db = "WAMR&&owner&&1&&2009&&present&&present&&desc;Saklik!&&programmer&&1&&2009&&4&&2010&&desc";
		//$company_list = array();
		//$company_list = explode(";",$db);
		
		//print_r($company_list);
		$CI =& get_instance();
		$company_list = $CI->user_model->company_list($user_id,$featured,$limit);
		$company_form = "";
		if(empty($company_list)){
		     $company_form .="<label for=\"company_name\">School Name</label><br />
								<input type=\"text\" name=\"company_name\" value=\"\"><br />
								<label for=\"current_title\">Title</label><br />
								<input type=\"text\" name=\"title\" value=\"\"><br />
								<label for=\"period\">Period</label><br />
								<select name=\"start_month\" > 
									<option value=\"\">start month</option>
									<option value=\"1\" >January</option>
									<option value=\"2\" >February</option>
									<option value=\"3\">March</option>
									<option value=\"4\">April</option>
									<option value=\"5\">May</option>
									<option value=\"6\">June</option>
									<option value=\"7\">July</option>
									<option value=\"8\">August</option>
									<option value=\"9\">September</option>
									<option value=\"10\">October</option>
									<option value=\"11\">November</option>
									<option value=\"12\">December</option>
								</select>
								<input type=\"text\" name=\"start_year\" value=\"start_year\"> to ";
            if($featured==1){
              $company_form .="present";?>
              <input type="hidden" name="end_month" value="present">
              <input type="hidden" name="end_year" value="present">
            <?php }else{
              $company_form .= "<select name=\"end_month\" > 
									<option value=\"\">month</option>
									<option value=\"1\">January</option>
									<option value=\"2\">February</option>
									<option value=\"3\">March</option>
									<option value=\"4\">April</option>
									<option value=\"5\">May</option>
									<option value=\"6\">June</option>
									<option value=\"7\">July</option>
									<option value=\"8\">August</option>
									<option value=\"9\">September</option>
									<option value=\"10\">October</option>
									<option value=\"11\">November</option>
									<option value=\"12\">December</option>
								</select>
								<input type=\"text\" name=\"end_year\" value=\"\">";
						}
             $company_form .="<br />
								<label for=\"current_desc\">Description</label><br />
								<textarea name=\"desc\"></textarea>
				        <input type=\"hidden\" name=\"company_id\" value=\"\">";
				    $company_form .= "<br />";
    }else{
		foreach($company_list as $company){
			//$str=substr($str2,stripos($str2,0,strlen($str2));
			//list($company_name,$title,$start_month,$start_year,$end_month,$end_year,$desc)=explode("&&",$companies);
			//if(($end_month==="present")&&($end_year==="present")){
				       $company_form .="<label for=\"company_name\">School Name</label><br />
								<input type=\"text\" name=\"company_name_".$company->company_id."\" value=\"".$company->company_name."\"><br />
								<label for=\"current_title\">Title</label><br />
								<input type=\"text\" name=\"title_".$company->company_id."\" value=\"".$company->title."\"><br />
								<label for=\"period\">Period</label><br />
								<select name=\"start_month_".$company->company_id."\" > 
									<option value=\"\">month</option>
									<option value=\"1\"".(($company->start_month==1)?"selected":"").">January</option>
									<option value=\"2\"".(($company->start_month==2)?"selected":"").">February</option>
									<option value=\"3\"".(($company->start_month==3)?"selected":"") .">March</option>
									<option value=\"4\"".(($company->start_month==4)?"selected":"").">April</option>
									<option value=\"5\"".(($company->start_month==5)?"selected":"") .">May</option>
									<option value=\"6\"".(($company->start_month==6)?"selected":"").">June</option>
									<option value=\"7\"".(($company->start_month==7)?"selected":"").">July</option>
									<option value=\"8\"".(($company->start_month==8)?"selected":"").">August</option>
									<option value=\"9\"".(($company->start_month==9)?"selected":"").">September</option>
									<option value=\"10\"".(($company->start_month==10)?"selected":"").">October</option>
									<option value=\"11\"".(($company->start_month==11)?"selected":"").">November</option>
									<option value=\"12\"".(($company->start_month==12)?"selected":"") .">December</option>
								</select>
								<input type=\"text\" name=\"start_year_".$company->company_id."\" value=\"".$company->start_year."\"> to "; 
                if($featured==1){
                  $company_form .="present
                  <input type=\"hidden\" name=\"end_month_".$company->company_id."\" value=\"present\">
                  <input type=\"hidden\" name=\"end_year_".$company->company_id."\" value=\"present\">";
                }else{
                  $company_form .="<select name=\"end_month_".$company->company_id."\" > 
									<option value=\"\">month</option>
									<option value=\"1\"".(($company->end_month==1)?"selected":"") .">January</option>
									<option value=\"2\"".(($company->end_month==2)?"selected":"").">February</option>
									<option value=\"3\"".(($company->end_month==3)?"selected":"").">March</option>
									<option value=\"4\"".(($company->end_month==4)?"selected":"").">April</option>
									<option value=\"5\"".(($company->end_month==5)?"selected":"").">May</option>
									<option value=\"6\"".(($company->end_month==6)?"selected":"").">June</option>
									<option value=\"7\"".(($company->end_month==7)?"selected":"").">July</option>
									<option value=\"8\"".(($company->end_month==8)?"selected":"").">August</option>
									<option value=\"9\"".(($company->end_month==9)?"selected":"").">September</option>
									<option value=\"10\"".(($company->end_month==10)?"selected":"").">October</option>
									<option value=\"11\"".(($company->end_month==11)?"selected":"").">November</option>
									<option value=\"12\"".(($company->end_month==12)?"selected":"").">December</option>
								</select>
								<input type=\"text\" name=\"end_year_".$company->company_id."\" value=\"".$company->end_year."\">";
								}
                $company_form .="<br />
								<label for=\"current_desc\">Description</label><br />
								<textarea name=\"desc_".$company->company_id."\">".$company->description."</textarea>
				        <input type=\"hidden\" name=\"company_id_".$company->company_id."\" value=\"".$company->company_id."\">";
				    $company_form .= "<br />";
			}
			}
			return $company_form;
}
	
	function getLike($term_id,$content_id,$user_id,$is_like,$info,$user_status_id)
	{
		$CI =& get_instance();
		$count=$CI->like_model->countLike($term_id,$content_id);
		$countUser=$CI->like_model->countUserLike($term_id,$content_id,$user_id);
		$result="";
		$result.="<strong>$count</strong><a href=\"javascript:submitLike('wall_result',$user_id,$term_id,$content_id,$is_like,$info,$user_status_id)\"  class=\"add add-like\" >like</a>
		<a href=\"javascript:submitUnLike('wall_result',$user_id,$term_id,$content_id,$is_like,$info,$user_status_id)\" id class=\"add add-dislike\" >like</a>";
		return $result;
	}
	
	function getLikeGroups($term_id,$content_id,$user_id,$is_like,$info,$user_status_id)
	{
		$CI =& get_instance();
		$count=$CI->like_model->countLike($term_id,$content_id);
		$countUser=$CI->like_model->countUserLike($term_id,$content_id,$user_id);
		$result="";
		$result.="<strong>$count</strong><a href=\"javascript:submitLikeGroups('wall_result',$user_id,$term_id,$content_id,$is_like,$info,$user_status_id)\"  class=\"add add-like\" >like</a>
		<a href=\"javascript:submitUnLikeGroups('wall_result',$user_id,$term_id,$content_id,$is_like,$info,$user_status_id)\" id class=\"add add-dislike\" >like</a>";
		return $result;
	}
	
  function getUserTable()
	{
		$CI =& get_instance();
		$CI->db->select("users_id");
		$CI->db->select("username");
        $CI->db->from("users ");
		$i = $CI->db->get();
		$table_users= array();
		if ($i->num_rows()>0)
		{
			foreach ($i->result() as $result)
			{
				//$output=$result->term_id;
				$table_users[$result->users_id]=$result->username;
			} 
		}
		return $table_users;
	}
	
	function getGroupTable()
	{
		$CI =& get_instance();
		$CI->db->select("groups_id ");
		$CI->db->select("groups_name ");
        $CI->db->from("groups ");
		$i = $CI->db->get();
		$table_users= array();
		if ($i->num_rows()>0)
		{
			foreach ($i->result() as $result)
			{
				//$output=$result->term_id;
				$table_users[$result->groups_id]=$result->groups_name;
			} 
		}
		return $table_users;
	}
  
  function sendMail($to,$from,$subject,$msg)
	{
		$CI =& get_instance();
		$CI->load->library('email');
    
		$CI->email->from($from, 'Suksesmulia.com');
		$CI->email->to($to);
		//$CI->email->cc('another@another-example.com');
		//$CI->email->bcc('them@their-example.com');
		
		$CI->email->subject($subject);
		$CI->email->message($msg);
		
		$CI->email->send();
		//echo $this->email->print_debugger();
	}
	
	function login($email, $password){
    $CI =& get_instance();
    $login = $CI->redux_auth->login($email, $password);
				if ($CI->redux_auth->logged_in()){
					//$data['content'] = $this->load->view('home',$data, true);
					redirect('');
				}else{
					$data['page'] = 'home';
					$data['title'] = 'Login';
					$data['message'] = '<p class="error">Incorrect Email/Password Combination</p>';
					//$data['title'] = $this->config->item('home_title');
					$CI->load->view('user/login_page',$data);
				} 
  }
	
  function page($slug)
	{
		$CI =& get_instance();
		$page = $CI->page_model->get_page($slug);
		return $page;
	}
	

  function generate_report_form($users_id,$content_id,$term_id)
		{
			$CI =& get_instance();
      $result=$CI->like_model->getReportType();
			$output="<form>";
			$output.='<input type="hidden" id="content_id" name="content_id"  value="'.$content_id.'" />';
			$output.='<input type="hidden" id="term_id" name="term_id"  value="'.$term_id.'" />';
			$output.='<input type="hidden" id="users_id" name="users_id"  value="'.$users_id.'" />';
			$i=0;
			foreach ($result as $item):
				if ($i==0)
					$output.='<input checked="checked"  type="radio" name="report_type" value="'.$item->report_type_id .'"/>'.$item->report_type.'<br/>';
				else
					$output.='<input  type="radio" name="report_type" value="'.$item->report_type_id .'"/>'.$item->report_type.'<br/>';
				$i++;
			endforeach; 
			$output.="</form>";
			return $output;
		}
		
		function is_editor(){
      $CI =& get_instance();
      if($CI->redux_auth->logged_in()==false){
        return false;
      }
      $role = get_role($CI->session->userdata("users_id"));
      if(($role=="editor")||($role=="system-administrator")){
         return true;
      }else{
        return false;
      }
    }
    
    function is_super(){
      $CI =& get_instance();
      if($CI->redux_auth->logged_in()==false){
        return false;
      }
      $role = get_role($CI->session->userdata("users_id"));
      if($role=="system-administrator"){
         return true;
      }else{
        return false;
      }
    }
    
    function get_category($object_id,$content_id){
	$CI =& get_instance();
	return $CI->category_model->get_category_list_by_content($object_id, $content_id);
    }
    
    function get_category_by_taxonomy($taxonomy)
    {
	$CI =& get_instance();
	return $CI->category_model->get_category_list($taxonomy);
    }
    
    /**
     * Generate a random password. 
     * 
     * get_random_password() will return a random password with length 6-8 of lowercase letters only.
     *
     * @access    public
     * @param    $chars_min the minimum length of password (optional, default 6)
     * @param    $chars_max the maximum length of password (optional, default 8)
     * @param    $use_upper_case boolean use upper case for letters, means stronger password (optional, default false)
     * @param    $include_numbers boolean include numbers, means stronger password (optional, default false)
     * @param    $include_special_chars include special characters, means stronger password (optional, default false)
     *
     * @return    string containing a random password 
     */    
    function get_random_password($chars_min=6, $chars_max=8, $use_upper_case=false, $include_numbers=false, $include_special_chars=false)
    {
        $length = rand($chars_min, $chars_max);
        $selection = 'aeuoyibcdfghjklmnpqrstvwxz';
        if($include_numbers) {
            $selection .= "1234567890";
        }
        if($include_special_chars) {
            $selection .= "!@\"#$%&[]{}?|";
        }
                                
        $password = "";
        for($i=0; $i<$length; $i++) {
            $current_letter = $use_upper_case ? (rand(0,1) ? strtoupper($selection[(rand() % strlen($selection))]) : $selection[(rand() % strlen($selection))]) : $selection[(rand() % strlen($selection))];            
            $password .=  $current_letter;
        }                
        
        return $password;
    }
    
    function open_swf($file){
      	print "<object width=\"500\" height=\"330\"> 
        <param name=\"movie\" value=\"".$file."\">
        <embed src=\"".$file."\" width=\"500\" height=\"350\"> 
          </embed> 
        </object>"; 
    }
    
    function generate_thumbnail_share($file_type){
      if($file_type==".pdf"){
        $files_thumb=base_url()."upload/default/pdf.jpg";
      }elseif(($file_type==".flv")||($file_type==".swf")||($file_type==".mp3")){
        $files_thumb=base_url()."upload/default/audio.jpg";
      }elseif(($file_type==".doc")||($file_type==".ppt")||($file_type=="docx")){
        $files_thumb=base_url()."upload/default/document.jpg";
      }elseif(($file_type=="jpg")||($file_type=="gif")||($file_type=="png")) {
         $files_thumb=base_url()."upload/default/image.jpg";
      }else{
        $files_thumb=base_url()."upload/default/blank.jpg";
      }
      return $files_thumb;
    }

}
