<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class rater_model extends Model {
	public function rater_model()
    {
        // Call the Model constructor
        parent::Model();
    }
	
		/**
	 * Draw stars
	 * TODO: add IP restriction check to avoid person to vote again
	 * COOKIE can also be used for this
	 */
	public function drawStars($id) {
		
		if (!is_numeric($id)) {
			trigger_error("RatingManager encountered problem in drawStars() parameter. Passed parameter must be numeric.");
			exit;
		}
		
		$query = "SELECT total_votes, total_value, used_ips FROM ratings WHERE pm_id='".$id."'";
		$result = $this->querySelect($query);
		
		if (is_array($result) && count($result) > 0 ) {
			$totalVotes = $result[0]['total_votes'];	//how many total votes
			$totalValues = $result[0]['total_value'];  //total number of rating added together and stored
			$oldIPs = unserialize($result[0]['used_ips']);
		}
		else {
			$totalVotes = 1;
			$totalValues = 0;
			$oldIPs = Array();		
		}
		
		$currentRating = @number_format($totalValues / $totalVotes, 2) * STARWIDTH ;
		
		// allow single submit for userid
		//$ipAddress = $_SERVER['REMOTE_ADDR'];
		$ipAddress = $_SESSION['USERID'];
		
		if (in_array($ipAddress, $oldIPs)) {
			$this->drawPrintedStars($currentRating, $id); 
			return;
		}
		
		$ratingString = '<div id="unit_long'.$id.'">
							<ul class="unit-rating">
							<li class="current-rating" style="width:'.$currentRating.'px;">Currently '.$currentRating.'; ?>/ TOTALSTARS </li>';
		
			for ($ncount = 1; $ncount <= TOTALSTARS; $ncount++) { 
				$ratingString .= '<li><a href="javascript:void(0);" title="'.$ncount.' out of '.TOTALSTARS.'" class="r'.$ncount.'-unit" onclick="javascript:sndRequest(\''.$ncount.'\','.$id.',\''.$ipAddress.'\')">'.$ncount.'</a></li>';
			}

			$ncount = 0; // resets the count
			
			$ratingString .= '</ul>
							</div>';
			
		echo $ratingString;	
		
	}
}
?>