<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class special_action_model extends Model {

    public function special_action_model()
    {
        // Call the Model constructor
        parent::Model();
		    $this->tables  = $this->config->item('tables');
    }
  
	public function getAllSpecialAction($users_id,$month,$year)
	{
		$query=$this->db->query("SELECT a . * ,month(start_date) month,year(start_date) year,day(start_date) day, b.follower_id
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and b.follower_id=$users_id and month(start_date)=$month and year(start_date)=$year");
		return $query->result();

	}
	
	public function countSpecialAction($users_id)
	{
		$query=$this->db->query("SELECT a . * , b.follower_id
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and b.follower_id=$users_id ");
		$output=$this->db->count_all_results();
		return $output;

	}
	
	public function getSpecialAction($users_id,$page,$num=5)
	{
		$start=($page-1)*$num;
		$query=$this->db->query("SELECT a . * , b.follower_id, count(b.sp_id) total_folowers
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and b.follower_id=$users_id 
									GROUP BY b.sp_id
									Limit $start,$num");
		return $query->result();

	}
	
	public function getMySpecialAction($users_id,$page,$isgroup=1,$num=5)
	{
		$start=($page-1)*$num;
		$query=$this->db->query("SELECT a . * ,month(start_date) month,year(start_date) year,day(start_date) day, count(b.sp_id) total_folowers
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and b.follower_id=$users_id and a.is_group=$isgroup 
									GROUP BY b.sp_id order by start_date desc
									Limit $start,$num");
									
		return $query->result();

	}

	public function countMySpecialAction($users_id,$isgroup=1)
	{
		$query=$this->db->query("SELECT a . * ,month(start_date) month,year(start_date) year,day(start_date) day, b.follower_id
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and b.follower_id=$users_id and a.is_group=$isgroup 
									GROUP BY b.sp_id order by start_date desc");
		$output=$this->db->count_all_results();
		return $output;

	}
	
	public function getMostActiveSpecialAction($users_id,$page,$isgroup=1,$num=5)
	{
		$start=($page-1)*$num;
		$query=$this->db->query("SELECT a . * ,month(start_date) month,year(start_date) year,day(start_date) day, count(b.sp_id) total_folowers
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and a.is_group=$isgroup 
									GROUP BY b.sp_id order by total_folowers desc
									
									Limit $start,$num");
		return $query->result();

	}
	
	public function countMostActiveSpecialAction($isgroup=1)
	{

		$query=$this->db->query("SELECT a . * ,month(start_date) month,year(start_date) year,day(start_date) day, count(b.sp_id) total_folowers
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and a.is_group=$isgroup GROUP BY b.sp_id order by total_folowers desc
									");
		$output=$this->db->count_all_results();
		return $output;

	}
	
	public function getLatestSpecialAction($users_id,$page,$isgroup=1,$num=5)
	{
		$start=($page-1)*$num;
		$query=$this->db->query("SELECT a . * ,month(start_date) month,year(start_date) year,day(start_date) day, count(b.sp_id) total_folowers
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and a.is_group=$isgroup GROUP BY b.sp_id order by start_date desc
									Limit $start,$num");
		return $query->result();

	}
	
	
	function getNameEventById($eid, $ename){
		$ename	=	str_replace('-', ' ', $ename);
		$sql	=	"SELECT a . * , b.groups_name
					FROM special_action AS a, groups AS b
					WHERE b.groups_id = a.sp_host
					AND a.sp_id = $eid
					AND a.sp_name = '$ename'
					ORDER BY start_date";
		
		$i	=	$this->db->query($sql);
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	
	
	public function getSpecialActionDetail($sp_id)
	{
		$this->db->from("special_action");
		$this->db->where("sp_id",$sp_id);	
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();	
	}
	
	public function getMySpecialActionbyDate($year,$month,$day,$users_id)
	{
		$start_date=$year."-".$month."-".$day;
		$query=$this->db->query("SELECT a . * , b.follower_id, count(b.sp_id) total_folowers
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and b.follower_id=$users_id and date(a.start_date)='$start_date' GROUP BY b.sp_id");
		return $query->result();

	}
	

	
	public function getAllGroupsSpecialAction($groups_id,$month,$year)
	{
		$query=$this->db->query("SELECT a . * ,month(start_date) month,year(start_date) year,day(start_date) day
									FROM special_action a
									WHERE  sp_host=$groups_id and month(start_date)=$month and year(start_date)=$year");
		return $query->result();

	}
	
	public function getGroupsSpecialActionbyDate($year,$month,$day,$groups_id)
	{
		$start_date=$year."-".$month."-".$day;
		$query=$this->db->query("SELECT a . * , b.follower_id, count(b.sp_id) total_folowers
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and a.sp_host=$groups_id and date(a.start_date)='$start_date' GROUP BY b.sp_id");
									
		return $query->result();

	}
	
	public function getGroupsSpecialAction($users_id,$page,$num=5)
	{
		$start=($page-1)*$num;
		$query=$this->db->query("SELECT a . * , b.follower_id, count(b.sp_id) total_folowers
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and a.sp_host=$users_id 
									GROUP BY b.sp_id

									Limit $start,$num");
		
		return $query->result();

	}
	
	function insert_sp($data)
    {
    	
        if($this->db->insert('special_action', $data))
		{
			$query=$this->db->query("select max(sp_id) sp_id from special_action where sp_host=".$data['sp_host']);
			$sp_id=0;
			foreach ($query->result() as $row)
			{
				$sp_id=$row->sp_id;
			}
			
			return $sp_id;
		}
		else
			return 0;
    }
	
	function addspfollowers($sp_id,$users_id)
	{
		$data['sp_id']=$sp_id;
		$data['follower_id']=$users_id;
		$this->db->insert('special_action_follower', $data);
		
	}
	
	function leaveSP($sp_id,$users_id)
	{
		$this->db->delete('special_action_follower', array('sp_id' => $sp_id,'follower_id' => $users_id)); 
		
	}
	

	
	public function get_list($users_id=null, $is_group=null, $order="start_date desc", $num=5, $page = 0){
		//$limit	=	($page - 1)*2;
		    if($users_id==null){
          $filter_user="";
        }else{
          $filter_user="b.follower_id=".$users_id." and ";
          
        }
				$query= "SELECT a . * ,month(start_date) month,year(start_date) year,day(start_date) day, count(b.sp_id) total_followers
									FROM special_action a LEFT JOIN special_action_follower b
									ON a.sp_id = b.sp_id 
                  WHERE ".$filter_user."
                  a.is_group=$is_group 
									GROUP BY b.sp_id  
                  ORDER BY ".$order." 
									LIMIT ".$page.",".$num;
        $i = $this->db->query($query);		
		return ($i->num_rows > 0)? $i->result() : array();
	}

  public function total_special_action($users_id=null,$is_group){
		  if($users_id==null){
          $filter_user="";
        }else{
          $filter_user="b.follower_id=".$users_id." and ";
          
        }
				$query= "SELECT a.sp_id 
        					FROM special_action a LEFT JOIN special_action_follower b
									ON a.sp_id = b.sp_id 
                  WHERE ".$filter_user."
                  a.is_group=$is_group 
									GROUP BY b.sp_id";  
        $i = $this->db->query($query);		
		return ($i->num_rows > 0)? $i->num_rows() : 0;
	}
	
  /*public function get_network_special_action($user_id,$num=5,$page=0)
	{
		$group_network = $this->groups_model->get_all_group($user_id);
		$this->db->select("sp.*");
		$this->db->select("count(saf.sp_id) total_followers");
    $this->db->from("special_action sp");
		$this->db->join("special_action_follower saf", "saf.sp_id = sp.sp_id", 'left');
		$this->db->where("(sp_host=".$user_id." AND is_group=0)");
		if (!empty($group_network)){
		  //$this->db->or_where_in("users_id",$friends);
		  
      $network_list = implode(",",$group_network);
      $where1 = "(sp_host IN (".$network_list.") AND is_group=1)";
      $this->db->or_where($where1);
		}
		$this->db->orderby("sp.start_date", "desc");

		$this->db->limit($num,$page);

		$i = $this->db->get();

		return ($i->num_rows > 0)? $i->result() : array();

	}*/
  
  public function get_network_special_action($groups_network,$no_groups_network,$num=5,$page=0){
	//$group_network = $this->groups_model->get_all_group($user_id);
	$this->db->select("sp.*");
	$this->db->select("count(saf.sp_id) total_followers");
	$this->db->from("special_action sp");
	$this->db->join("special_action_follower saf", "saf.sp_id = sp.sp_id", 'left');
	if (!empty($groups_network)){
	    $network_list = implode(",",$groups_network);
	    $where1 = "(sp_host IN (".$network_list.") AND is_group=1)";
	    $this->db->or_where($where1);
	}
	if (!empty($no_groups_network)){
	    $network_list = implode(",",$no_groups_network);
	    $where1 = "(sp_host IN (".$network_list.") AND is_group=0)";
	    $this->db->or_where($where1);
	}
	$this->db->groupby("saf.sp_id");
	$this->db->orderby("sp.start_date", "desc");
	$this->db->limit($num,$page);
	$i = $this->db->get();
	return ($i->num_rows > 0)? $i->result() : array();
    }


    public function total_network_special_action($groups_network,$no_groups_network)
    {
	$this->db->select("sp_id");
	$this->db->from("special_action sp");
	if (!empty($groups_network)){
	    $network_list = implode(",",$groups_network);
	    $where1 = "(sp_host IN (".$network_list.") AND is_group=1)";
	    $this->db->or_where($where1);
	}
	if (!empty($no_groups_network)){
	    $network_list = implode(",",$no_groups_network);
	    $where1 = "(sp_host IN (".$network_list.") AND is_group=0)";
	    $this->db->or_where($where1);
	}
	$i = $this->db->get();
	return ($i->num_rows > 0)? $i->num_rows() : 0;
    }
	
  public function get_latest_special_action($is_group=null,$num=5,$page=0)
	{
		$str = "SELECT a . * ,month(start_date) month,year(start_date) year,day(start_date) day, count(b.sp_id) total_followers
									FROM special_action a LEFT JOIN special_action_follower b on a.sp_id = b.sp_id ";
		$str .= ($is_group==null)?"":" WHERE a.is_group=".$is_group;
		$str .= " GROUP BY b.sp_id order by start_date desc ";
		$str .= " LIMIT ".$page.",".$num;
		//echo $str;
		$query=$this->db->query($str);
		return ($query->num_rows > 0)? $query->result() : array();

	}
	
	public function get_special_action_single($sp_id,$is_group)
	{
		$this->db->from("special_action");
		if($is_group=="1"){
      $this->db->join("groups","special_action.sp_host=groups.groups_id");
    }else{
      $this->db->join("users_meta","special_action.sp_host=users_meta.users_id");
      $this->db->join("users","special_action.sp_host=users.users_id");
    }
		$this->db->where("sp_id",$sp_id);
    $this->db->limit(1);	
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->row() : array();
    
	}
	
	public function view_member($sp_id)
	{

		$query=$this->db->query("SELECT a.*,b.users_picture 
								FROM users a,users_meta b,special_action_follower c 
								WHERE a.users_id=b.users_id and c.follower_id=a.users_id and c.sp_id=$sp_id");
		return ($query->num_rows > 0)? $query->result() : array();
	}
	
	function check($users_id, $sp_id){
		$this->db->where('follower_id', $users_id);
		$this->db->where('sp_id', $sp_id);
		$i	=	$this->db->get('special_action_follower');
		
		if($i->num_rows > 0)
			return 1;
		else
			return 0;
	}
	
    public function get_network_special_action_by_month($groups_network,$no_groups_network,$month,$year)
    {

	$this->db->select("sp.*");
	$this->db->select(month(start_date));
	$this->db->select(year(start_date));
	$this->db->select(day(start_date));
	$this->db->select(saf.follower_id);
	$this->db->from("special_action sp");
	$this->db->join("special_action_follower saf", "saf.sp_id = sp.sp_id", 'left');
	if (!empty($groups_network)){
	    $network_list = implode(",",$groups_network);
	    $where1 = "(sp_host IN (".$network_list.") AND is_group=1)";
	    $this->db->or_where($where1);
	}
	if (!empty($no_groups_network)){
	    $network_list = implode(",",$no_groups_network);
	    $where1 = "(sp_host IN (".$network_list.") AND is_group=0)";
	    $this->db->or_where($where1);
	}
	
	$this->db->where(month(start_date),$month);
	$this->db->where(year(start_date),$year);
	$i = $this->db->get();
	return ($i->num_rows > 0)? $i->result() : array();

    }
	

}
?>