<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
if ( ! function_exists('upload_url'))
{
	function upload_url()
	{
		$CI =& get_instance();
		return $CI->config->slash_item('upload_url');
	}
	function themes_url()
	{
		$CI =& get_instance();
		return $CI->config->slash_item('themes_url');
	}
	function tagline()
	{
		$CI =& get_instance();
		echo $CI->config->item('tagline');
	}
	function site_name()
	{
		$CI =& get_instance();
		echo $CI->config->item('site_name');
	}
	function get_uri()
	{
		return uri_string();
	}
	
	function open_file($url,$type)
	{
		print '<div id="embedded_doc"></div>
				<script type="text/javascript">
					var scribd_doc = scribd.Document.getDocFromUrl("http://cimuthmulya.wordpress.com/files/2008/05/u-learning.ppt", "pub-14063141888260074056");
					scribd_doc.addParam("height", 360);
					scribd_doc.addParam("width", 480);
					scribd_doc.addParam("public", false);
					scribd_doc.write("embedded_doc");
				</script>';


	}
	
	function share_this(){
		print "<script language=\"javascript\" type=\"text/javascript\">
		//Create your sharelet with desired properties and set button element to false
		var object = SHARETHIS.addEntry({
		title:'share',
		summary: 'Sharing is good for the soul.'},
		{button:false});
		//Output your customized button
		document.write('<a href=\"javascript:void(0);\">share</a>');
		//Tie customized button to ShareThis button functionality.
		var element = document.getElementById(\"share\");
		object.attachButton(element);
		</script>";
	}
	
	function get_date($time){
		return mdate("%d %F %Y, %h:%i:%s",gmt_to_local(human_to_unix($time),"UP7",FALSE));
	}
	
	function nicetime($date)
	{
		if(empty($date)) {
			return "No date provided";
		}
   
		$periods         = array("second", "minute", "hour", "day", "week", "month", "year", "decade");
		$lengths         = array("60","60","24","7","4.35","12","10");
   
		$now             = time();
		$unix_date         = strtotime($date);
   
       // check validity of date
		if(empty($unix_date)) {   
			return "Bad date";
		}

		// is it future date or past date
		if($now > $unix_date) {   
			$difference     = $now - $unix_date;
			$tense         = "ago";
       
		} else {
			$difference     = $unix_date - $now;
			$tense         = "from now";
		}
   
		for($j = 0; $difference >= $lengths[$j] && $j < count($lengths)-1; $j++) {
			$difference /= $lengths[$j];
		}
   
		$difference = round($difference);
   
		if($difference != 1) {
			$periods[$j].= "s";
		}
   
		return "$difference $periods[$j] {$tense}";
	}
	
	function get_categories($content="home",$order=""){
		$CI =& get_instance();
		$category = $CI->category_model->get_list();
		
			$categories =  "<li>".anchor($content."/categories/all/".$order,"All")."</li>";
			foreach ($category as $item):
			$categories .= "<li>".anchor($content."/categories/".$item->cat_slug."/".$order,$item->cat_name)."</li>";
			endforeach;
		
		return $categories;
	}
	
	function title($page=""){
		$CI =& get_instance();
		if ($page==""){
			$title = $page;
		}else{
			$title = $page." | ";
		}
		$title .= $CI->config->item('home_title');
		echo $title;
	}
	
	function photo_url($fname,$size){
		$CI =& get_instance();
		$size = '-'.$size.'.';
		$photo_url = $CI->config->slash_item('upload_url').str_replace('.',$size,$fname);
		return $photo_url;
	}
	
	

	function image_thumb($image_path, $height, $width)
	{
		// Get the CodeIgniter super object
		$CI =& get_instance();
	
		// Path to image thumbnail
		$CI->load->library('image_lib');
		
		$thumb_marker = "_".$height . 'x' . $width;
		$image_thumb = $CI->image_lib->explode_name($image_path);
		$filename = $image_thumb['name'];
		$file_ext = $image_thumb['ext'];
		$new_image = $filename.$thumb_marker.$file_ext;
		if( ! file_exists($new_image))
		{
			// LOAD LIBRARY
			
			// CONFIGURE IMAGE LIBRARY
			$config['image_library']	= 'gd2';
			$config['source_image']		= $image_path;
			$config['create_thumb'] = TRUE;
			$config['maintain_ratio'] = TRUE;
			$config['thumb_marker']		= $thumb_marker;
			$config['maintain_ratio']	= TRUE;
			$config['height']			= $height;
			$config['width']			= $width;
			$CI->image_lib->initialize($config);
			$CI->image_lib->resize();
			$img_src = $CI->image_lib->full_dst_path;
			$CI->image_lib->clear();
			//return '<img src="' . $img_src. '" />';
			
		}
		return $new_image;

	}
	
	function getTermID($term_name)
	{
		$CI =& get_instance();
		$CI->db->select("term_id");

        $CI->db->from("term");

        $CI->db->where("term_name",$term_name);

		$i = $CI->db->get();

		$output=0;

		if ($i->num_rows()>0)

		{

			foreach ($i->result() as $result)

			{

				$output=$result->term_id;

			} 

		}

		return $output;

	}
	
	function cutText($text,$numTerm)
	{
		$all=explode(" ",$text);
		$result="";
		//echo count($all);
		for ($i=0;$i<count($all);$i++)
		{
			if ($i<$numTerm)
			{
				$result.=" ".$all[$i];
			}
			else
				break;
		}
		return $result;
	}
	

	/*
		Type :
		1. Make Friend
		2. Update Status
		3. New Testimony
		4. New Note
	*/
	function makeFeed($user,$link,$text,$type)
	{
		$CI =& get_instance();
		if ($type==1)
		{
			$full_name1=$CI->user->getName($user[0]);
			$full_name2=$CI->user->getName($user[1]);
			$feed="<li class=\"friend\"><p>".anchor("profile/user/".$user[0]."/".$full_name1,$full_name1)." and ".anchor("profile/user/".$user[1]."/".$full_name2,$full_name2)." are now friends</p></li>";
			$CI->feeds_model->add($user[0],$feed);
			$CI->feeds_model->add($user[1],$feed);
		} else if ($type==2)
		{
			$fu1l_name=$CI->user->getName($user);
			$pict_thumb=$CI->user->getPictureThumb($user);
			$feed="<li class=\"status\"><p>".anchor("profile/user/".$user."/".$full_name,"<img src=\"".$pict_thumb."\" title=\"user-thumb\"/>".$full_name,array("class"=>"entity")).$text."</p></li>";
			$CI->feeds_model->add($user,$feed);
		} else if ($type==3)
		{
			$full_name=$CI->user->getName($user);
			$pict_thumb=$CI->user->getPictureThumb($user);
			$feed="<li class=\"video\"><p>".anchor("profile/user/".$user."/".$full_name,"<img src=\"".$pict_thumb."\" title=\"user-thumb\"/>".$full_name,array("class"=>"entity")).$text."</p></li>";
			$CI->feeds_model->add($user,$feed);
		}else if ($type==4)
		{
			$full_name=$CI->user->getName($user);
			$pict_thumb=$CI->user->getPictureThumb($user);
			$feed="<li class=\"notes\"><p><a href=\"note-single.html\"  class=\"notes-title\" >$text by ".anchor("profile/user/".$user[0]."/".$u1,array("class"=>"entity"))."</p></li>";
			$CI->feeds_model->add($user,$feed);
		}
		else
		{
			$u1=$CI->user->getName($user);
			$feed=anchor($link,$text)." ".anchor("profile/friend/".$user,$u1);
			$CI->feeds_model->add($user,$feed);
			
		}
		
	}
	
	function feeding($term,$content_id)
	{
		$CI =& get_instance();
		if ($term=="friendship")
		{
			$full_name1=$CI->user->getName($user[0]);
			$full_name2=$CI->user->getName($user[1]);
			$feed="<li class=\"friend\"><p>".anchor("profile/user/".$user[0]."/".$full_name1,$full_name1)." and ".anchor("profile/user/".$user[1]."/".$full_name2,$full_name2)." are now friends</p></li>";
			$CI->feeds_model->add($user[0],$feed);
			$CI->feeds_model->add($user[1],$feed);
		} else if ($term=="wall")
		{
			$fu1l_name=$CI->user->getName($user);
			$pict_thumb=$CI->user->getPictureThumb($user);
			$feed="<li class=\"status\"><p>".anchor("profile/user/".$user."/".$full_name,"<img src=\"".$pict_thumb."\" title=\"user-thumb\"/>".$full_name,array("class"=>"entity")).$text."</p></li>";
			$CI->feeds_model->add($user,$feed);
		} else if ($term=="multimed")
		{
			$full_name=$CI->user->getName($user);
			$pict_thumb=$CI->user->getPictureThumb($user);
			$feed="<li class=\"video\"><p>".anchor("profile/user/".$user."/".$full_name,"<img src=\"".$pict_thumb."\" title=\"user-thumb\"/>".$full_name,array("class"=>"entity")).$text."</p></li>";
			$CI->feeds_model->add($user,$feed);
		}else if ($term=="notes")// new notes
		{
			$note = $CI->notes_model->getDetailNote($content_id);
			//foreach ($notes as $note):
				$notes_id = $note->notes_id;
				$notes_permalink = $note->notes_permalink;
				$full_name = $note->full_name;
				$notes_author_id = $note->notes_author;
				$notes_title = $note->notes_title;
			//endforeach;
			$content_link = "notes/view/".$notes_id."/".$notes_permalink;
			$author_link = "profile/user/".$notes_author_id."/".url_title($full_name);
			$feed_text= "New notes from ".anchor($author_link,$full_name,array("class"=>"entity")).": ".anchor($content_link,$notes_title);
			$activity = "<li class=\"notes\"><p>".$feed_text."</p></li>";
			$term_id = getTermID($term);
			//$feed="<li class=\"notes\"><p>".anchor($link,$feed_text,array("class"=>"entity"))."</p></li>";
			$CI->feeds_model->insert($notes_author_id,$activity,$term_id,$content_id);
		}
		else
		{
			$full_name=$CI->user->getName($user);
			$feed=anchor($link,$text)." by ".anchor("profile/user/".$user,$fu1l_name);
			$CI->feeds_model->add($user,$feed);
			
		}
		
	}



}
?>