<?php $this->load->view("header") ?>

<div id="content" class="span-22 prepend-1 append-1 last">
	<h1><?php echo $note->notes_title ?></h1>
	<div id="main-content" class="content-block span-18">
		<div id="note-1" class="note content-block span-18 last ">
		<?php echo $note->notes_body ?>
		</div><!--.note-->
		<div id="additional-content" class="additional-content span-18 last">
		<div id="note-addtion" class="tab content-block span-16 prepend-1 append-1 last">
			<div id="tabs" class="tab-titles span-16 last">
				<ul>
					<li><a href="#" rel="comments-content" class="active" ><span>Comments</span></a></li>
					<li><a href="#" rel="same-author-tab-content"><span>By Same Author</span></a></li>
					<!--<li><a href="#" rel="related-notes-tab-content"><span>Related Notes</span></a></li>-->
				</ul>
			</div><!--.tab-titles-->
			<div id="comments-content" class="tab-content span-16 last">
				<h3>Comments</h3>
			<?php foreach ($comments as $comment): ?>
				<div class="tab-article span-16 last">
					<h2><a href="<?php echo site_url("profile/user/".$comment->comment_sender) ?>"><?php echo $comment->full_name ?></a></h2>
					<?php echo "<img src='".base_url().image_thumb($comment->users_picture, 72, 72)."' class='med' />"; ?>
					<?php if(is_can($comment->comment_sender)||(is_me($note->notes_author))){ ?>
          <a class="delete first" id="" href="<?php echo base_url()."notes/delete_comment/".$comment->comment_id ?>">Delete Comment</a>
					<?php } ?>
          <ul class="article-meta">
						<li>Posted <?php echo nicetime($comment->comment_date) ?></li>
					</ul>
					<p><?php echo $comment->comment_text ?></p>
				</div><!--.tab-article-->
			<?php endforeach; ?>
      	<div  class="tab-article-paging">
				<?php echo $pagination ?>
				</div>
				<br />
				<div id="" class="shelf tab-article span-16 last">
					<h2>Add Comments</h2>
					<?php
						//$hidden['comment_date'] = date('Y-m-d H:i:s');
						$hidden['comment_sender'] = $this->session->userdata("users_id");
						$hidden['content_id'] = $id; //notes_id
						$hidden['term_id'] = "notes";
						echo form_open('notes/comment','',$hidden);
						echo form_textarea(array("name"=>"comment_text","cols"=>"10","rows"=>"3")); 
						echo "<br />";
						echo form_submit(array('name'=>'comment','class'=>'button'), 'Post Comment'); 
						echo form_close('');
					?>	
				</div><!--.tab-article-->
			</div><!--.tab-content-->
			<div id="same-author-tab-content" class="tab-content span-16 last " >
				<h3>Notes By Same Author</h3>
				<?php foreach ($author_note as $my): 
						$url = "notes/view/".$my->notes_id."/".$my->notes_permalink;
					?>
				<div id="" class="tab-article">
					
					<h2><a href="<?php echo site_url($url) ?>"><?php echo $my->notes_title ?></a></h2>
					<a href="<?php echo site_url($url) ?>" class="more-link first" >Read More</a>
					<?php if($this->session->userdata("users_id")==$my->notes_author){ ?>
					<a href="<?php echo site_url("notes/delete/".$my->notes_id) ?>" class="delete second">Delete</a>
					
					<?php } ?>
					<ul class="article-meta">
						<li>Author : <a class="entity" id="" href="<?php echo site_url("view/".$my->notes_author."/".$my->full_name) ?>"><?php echo $my->full_name ?></a></li>
						<li>Posted : <?php echo get_date($my->notes_date) ?></li>
						<li><?php echo $my->comment_count ?> Reply</li>
					</ul>
					<!--<img src="<?php echo themes_url()?>images/pic-user-small.jpg" alt="Foto Thumbnail"class="small"/>-->
					<p><?php echo $my->notes_excerpt ?></p>
				</div><!--.tab-article-->
				<?php endforeach; ?>
				<div id="" class="tab-article-paging">
					<a href="#" id="" class="older" >Older Post</a>
				</div><!--.tab-article-paging-->
			</div><!--.tab-content-->

		</div><!--#profile-activity-->
		</div><!--#basic-content-->
		<?php 
$data["content_id"] = $id;
$data["term_id"] = getTermID("notes");
$data["users_id"] = $this->session->userdata["users_id"];
$this->load->view("report/report_form",$data) 
?>
	</div><!--#main-content-->

<div id="sidebar" class="span-4 last">
		<div id="status" class="sidebar-item span-4 last">
			<h3>Note Info</h3>
			<p>Author : <br /><?php echo anchor("profile/user/".$note->notes_author."/".url_title($note->full_name),$note->full_name,array("class"=>"entity")) ?><br />
			Date : <br /><?php echo get_date($note->notes_date) ?>
			<!--Category : <br /><?php echo anchor("notes/categories/".$note->term,$note->term_name,array("class"=>"command")) ?>-->
			</p>
		</div><!--#status-->
		<div id="status" class="sidebar-item span-4 last">
			<h3>Status</h3>
			<p><?php echo $total_comments." comments" ?><br />
      <?php echo $total_like." peoples liked" ?>
			
			</p>
		</div><!--#status-->
		<div id="action" class="sidebar-item span-4 last">
			<h3>Actions</h3>
			<ul>
				<li class="like"><a href="<?php echo base_url()."like/submit/notes/".$note->notes_id;?>" id="" class="command " >Like</a></li>
				<li class="dislike"><a href="#" id="report" class="command ">Report</a></li>
				
				<?php if($this->session->userdata("users_id")==$note->notes_author){ ?>
					<a href="<?php echo site_url("notes/delete/".$note->notes_id) ?>" class="command">Delete Note</a>
				<?php } ?>
				<li class="share-notes"><a href="<?php echo site_url("notes/write_form") ?>" class="command">Write Notes</a></li>
				
			</ul>
		</div><!--#action-->
		
		
		<div id="advertisement" class="sidebar-item span-4 last">
			<a href="http://www.google.com" id="" class="" ><img src="<?php echo themes_url() ?>images/sidebar-banner-advertising.jpg" alt=""/></a>
		</div><!--#advertisement-->
	</div><!--#sidebar-->

</div><!--#container-->

<?php $this->load->view("footer") ?>