<?php $this->load->view("header") ?>
<div id="content" class="span-22 prepend-1 append-1 last">
	<h1>Notification </h1>
	<div id="main-content" class="content-block span-18">
		<div id="basic-content" class="">
		<div id="notification-archive" class="tab content-block span-16 prepend-1 append-1 last">
			<div class="tab-titles span-16 last">
				<ul>
					<li><a href="<?php echo site_url("notifications/browse/friends_request") ?>" rel="my" <?php if($submenu=="friends_request"){echo "class=\"active\"";} ?> ><span>Friend Request</span></a></li>
					<li><a href="<?php echo site_url("notifications/browse/groups_invitation") ?>" rel="featured" <?php if($submenu=="groups_invitation"){echo "class=\"active\"";} ?>><span>Group Invitation</span></a></li>
					<!--<li><a href="<?php echo site_url("notifications/browse/special_action_invitation") ?>" rel="most" <?php if($submenu=="special_action_invitation"){echo "class=\"active\"";} ?>><span>Special Action Invitation</span></a></li>-->
					<li><a href="<?php echo site_url("notifications/browse/new_consultation") ?>" <?php if($submenu=="new_consultation"){echo "class=\"active\"";} ?>><span>New Consultation</span></a></li>
				</ul>
			</div>
			<!--<div id="tabs" class="tab-titles span-16 last">
				<ul>
					<li><a href="#" rel="friend" class="active" ><span>Friend Request</span></a></li>
					<li><a href="#" rel="group" class="" ><span>Group Invitation</span></a></li>
					<li><a href="#" rel="special-action-tab-content" class="" ><span>New Special Action</span></a></li>
					<li><a href="#" rel="consultation" class="" ><span>Consultation</span></a></li>
				</ul>
			</div>-->
		  <?php if($submenu == "friends_request"){ ?>
			<div id="friend" class="archive span-16 last " >
			
				<?php foreach($friends_request as $friend):
					$profile = $this->user_model->profile($friend->users_id_request);
					$url = "profile/user/".$profile->users_id;
				?>
				<div class="tab-article span-16 last">
					<h2><a href="<?php echo site_url($url) ?>" id="" class="" ><?php echo $profile->full_name ?></a></h2>
					<a href="<?php echo site_url($url) ?>" class="more-link first" >Read More</a>
					<?php is_friend($friend->users_id_request,$this->session->userdata("users_id"),""); ?>
					<?php echo "<img src='".base_url().image_thumb($profile->users_picture, 72, 72)."' class='med' />" ?>
					<dl class="profile-meta" id="basic-meta">
						<dt>Interest</dt>
						<dd><?php echo $profile->users_interest ?></dd>
						<dt>Company</dt>
						<dd><?php echo $profile->users_company ?></dd>
					</dl>
				</div><!--.tab-article-->
				<?php endforeach; ?>
				<?php //echo $friend_request_pagination ?>
			</div><!--.tab-content-->
      <?php }elseif($submenu == "groups_invitation"){ ?>
			<div id="group" class="span-16 last " >
				<?php if(!empty($groups_invitation)) : ?>
				
				<?php foreach ($groups_invitation as $item): 
					$url = "groups/view/".$item->groups_id."/".$item->groups_slug;
					$parent = $this->groups_model->get_parent($item->term_id);
					$creator_profile = $this->user_model->profile($item->groups_creator);
				?>
				
				<div id="" class="tab-article group span-16 last">
					<?php echo "<h2>".anchor($url,$item->groups_name)."</h2>" ?>
					<a href="<?php echo site_url($url) ?>" id="" class="more-link first" >Read More</a>
					<img src="<?php echo base_url().image_thumb($item->groups_profilepic,72,72) ?>" class="med" />
					<dl class="profile-meta" id="basic-meta">
						<dt>Inititator</dt>
            <dd><?php echo anchor("profile/user/".$creator_profile->users_id, $creator_profile->full_name) ?></dd>
            <!--<dt>Created on</dt> 
            <dd><?php echo get_date($item->groups_date_created) ?></dd>-->
						<dt>Member</dt>
            <dd><?php echo $item->member_count ?></dd> 
						<dt>Category</dt>
            <dd><?php echo  ($parent)?(anchor("groups/browse/featured/".$item->term_slug,$item->term_name)." - "):"";
						echo anchor("groups/browse/featured/".$item->term_slug,$item->term_name) 
            ?></dd>
						
						<!--<dt><?php //echo anchor("groups/leave/".$item->groups_id."/".$item->groups_slug, "Leave Group"); ?></dd>-->
					</dl>
					<p><?php echo $item->groups_description ?></p>
				</div><!--.tab-article-->
				<?php endforeach; ?>
				<?php else : ?>
				<p><strong><em>No Groups. </em></strong></p>
/				<?php endif; ?>
				<div id="" class="tab-article-paging">
					<?php echo $groups_invitation_pagination ?>
				</div><!--.tab-article-paging-->
			</div><!--.tab-content-->
			<?php }elseif($submenu == "special_action_invitation"){ ?>
			<!--<div class="span-16 last" id="special-action-tab-content">
				<h3>Special Action</h3>
				<div class="tab-article" id="">
					<h2><a class="" id="" href="#">Very Special Action</a></h2>
					<a class="more-link first" id="" href="#">Read More</a>
					<a href="#" id="" class="no second" >Deny</a>
					<a class="accept third" id="" href="#">Join</a>
					<ul class="article-meta">
						<li>Group : <a href="#" id="" class="entity">Jakarta Biker</a></li>
						<li>Due date : July 12th, 2009</li>
						<li>24 Group Member joined</li>
					</ul>
					<p>Completely parallel task user friendly web-readiness after intermandated outsourcing. Progressively incentivize state of the art value after interactive paradigms.</p>
				</div><!--.tab-article-->
				<div id="" class="tab-article-paging">
					<a href="#" id="" class="previous" >Previous</a>
					<a href="#" id="" class="previous" >3</a>
					<a href="#" id="" class="previous" >4</a>
					<a href="#" id="" class="next" >5</a>
					<a href="#" id="" class="previous" >6</a>
					<a href="#" id="" class="previous" >7</a>
					<a href="#" id="" class="next" >Next</a>
				</div><!--.tab-article-paging-->
			</div>-->
			<?php }elseif($submenu == "new_consultation"){ ?>
			
			<div id="consultation" class="span-16 last">
				<?php foreach($new_consultation as $qa):
					$profile = $this->user_model->profile($qa->users_id);
					$url = "profile/user/".$profile->users_id;
				?>
				<div class="tab-article" id="">
					<h2><a href="<?php echo site_url("consultation/single/".$qa->qa_id) ?>"><?php echo $qa->subject ?></a></h2>
					<a class="more-link first" id="" href="<?php echo site_url("consultation/single/".$qa->qa_id) ?>">Read More</a>
					<?php echo "<img src='".base_url().image_thumb($profile->users_picture, 72, 72)."' class='med' />" ?>
          <ul class="article-meta">
						<li>Author : <a href="<?php echo site_url($url) ?>" class="entity"><?php echo $profile->full_name ?></a></li>
						<li>Started : <?php echo get_date($qa->date_question_published) ?></li>
					</ul>
					<p><?php echo $qa->question ?></p>
				</div>
				<?php endforeach; ?>
				<div class="tab-article-paging">
					<?php echo $new_consultation_pagination ?>
				</div><!--.tab-article-paging-->
			</div><!--notes-tab-content-->
			<?php } ?>
		</div><!--.tabindex-->	
		</div><!--#basic-content-->		
	</div><!--#main-content-->
<?php $this->load->view("notifications/sidebar") ?>
</div><!--#container-->
<?php $this->load->view("footer") ?>