<?php
class Consultation extends Controller {
	function index(){
		 if($this->redux_auth->logged_in()){
			 /*$data["title"] = "Consultation";
			 $data['profile'] = $this->redux_auth->profile();
			 $data["page"] = "Consultation";
			 $data["myconsultation"] = $this->getMyConsultation($data['profile']->users_id,$myconsultation,$featured);
			 $data["featured"]=$this->getFeaturedConsultation($data['profile']->users_id,$myconsultation,$featured);
			 $this->load->view("consultation/index",$data);*/
			 $this->browse();
		}else{		
			redirect("auth/login");
		}
	}
	function categories($term="experts",$cat="all"){
		if($this->redux_auth->logged_in()){
			$data["title"] = $term." consultation";
			$data["page"] = $term;
			$data["term"]=$term;
			$this->load->view("consultation/index",$data);
		}else{		
			redirect("auth/login");
		}
		
	}
	function view($qa_id,$page=0)
	{
		if($this->redux_auth->logged_in()){
			 $data["title"] = "Consultation";
			 $data['profile'] = $this->redux_auth->profile();
			 $data["page"] = "Consultation";
			 $data["qa_id"] = $qa_id;
			 $data["question"]=$this->consultation_model->getQuestion($qa_id);
			 $data["reply"]=$this->getReply($qa_id,$page);
			 
			 $this->load->view("consultation/single",$data);
		}else{		
			redirect("auth/login");
		}
	}
	function post($type,$id){
		$data["title"] = "Post Question";
		$data["page"] = "Consultation";
		$data["id"]=$id;
		$this->load->view("consultation/post_".$type,$data);
	}
	
	function network_archive($user_id=null,$num=5,$page=0){
		if($this->redux_auth->logged_in()){
			if ($user_id==null){
        $user_id = $this->session->userdata("users_id");
      }
      $data["profile"] = $this->user_model->profile($user_id);
      $data["title"] = "Expert Consultations";
			$data["page"] = "experts";
			//getRecentNotes($user_id,$cat="all",$order="notes_date",$expert=false,$num=5,$page=1);
			//$data["pagination"] =  $this->pagination->create_links();
			
			$data["consultations"] = $this->consultation_model->get_network_consultation($user_id,$page,$num=5);
			
			$config['uri_segment'] = 5;
			$config['base_url'] = base_url()."consultation/network_archive/".$user_id."/".$num."/";
			$config["total_rows"] = $this->consultation_model->total_network_consultation($user_id);
			$this->pagination->initialize($config);
			$data["pagination"] =  $this->pagination->create_links();
			$this->load->view("consultation/archive",$data);
		}else{		
			redirect("auth/login");
		}
		
	}
	
	function add($type){
		//proses form 
	}
	
	function postQuestion()
  {                
    if($this->redux_auth->logged_in()){
			 $data["title"] = "Post New Consultation";
			 //$data['profile'] = $this->redux_auth->profile();
			 $data["page"] = "experts";
			 $data["list_expert"] = $this->consultation_model->getExpert($this->session->userdata("users_id"));
			 $this->load->view("consultation/post_new_question",$data);
		}else{		
			redirect("auth/login");
		}
  }
	
	function submitQuestion()
	{
		if($this->redux_auth->logged_in()){
			 $this->form_validation->set_rules('subject', 'Subject', 'required');
		   $this->form_validation->set_rules('question', 'Question', 'required');
       $this->form_validation->set_rules('expert_id', 'Expert', 'required');
	     $this->form_validation->set_error_delimiters('<p class="error">', '</p>');
	     if ($this->form_validation->run() == false){
	         $data["title"] = "Consultation";
			     $data["page"] = "experts";                  
			     $data["list_expert"] = $this->consultation_model->getExpert($this->session->userdata("users_id"));
			     $this->load->view("consultation/post_new_question",$data);
	     }else{
           $data["title"] = "Consultation";
    			 //$data['profile'] = $this->redux_auth->profile();
    			 $data["page"] = "experts";
    			 //$data["list_expert"] = $this->consultation_model->getExpert($data['profile']->users_id);
    			 $expert_id=$this->input->post('expert_id');
    			 $user_id=$this->input->post('user_id');
    			 $question=$this->input->post('question');
    			 $subject=$this->input->post('subject');
    			 //$term_id=8;
    			 $private=$this->input->post('private');
    			 if (trim($private)=="")
    			   $private=0;
    			 $date_question_published=$this->input->post('question_date');
    			 $id = $this->consultation_model->ask($expert_id,$user_id,$subject,$question,'',$private,$date_question_published);
    			 if($id){
    			   $to = $this->user_model->get_meta(array("email"),"users",$expert_id)->email;
              $from = $this->config->item("email_from");
              $link = base_url()."consultation/single/".$id; 
              $title = "New question on Expert Consultation";
              $message = "New reply on Expert Consultation:\r\n".$subject."\r\n";
              $message .= "Read more on <a href='".$link."'>".$link."</a>";
              $this->email->clear();
    			    $this->email->set_newline("\r\n");
    			    $this->email->from($from, 'suksesmulia.com');
    			    $this->email->to($to);
    			    $this->email->subject($subject);
    			    $this->email->message($message);
    			    $this->email->send();
             redirect("consultation/single/".$id);
           }else{
              header('Location: '.getenv('HTTP_REFERER'));
           }
       }

		}else{		
			redirect("auth/login");
		}
	}
	
	function postAnswer($qa_id)
	{
		if($this->redux_auth->logged_in()){
			 $data["title"] = "Resources";
			 $data['profile'] = $this->redux_auth->profile();
			 $data["page"] = "resources";
			 $data["qa_id"]=$qa_id;
			 $data["question"]=$this->consultation_model->getQuestion($qa_id);
			 $data["list_expert"] = $this->consultation_model->getExpert($data['profile']->users_id);
			 $this->load->view("consultation/post_answer",$data);
		}else{		
			redirect("auth/login");
		}
	}
	
	function submitanswer()
	{
		if($this->redux_auth->logged_in()){
			 $data["title"] = "Consultation";
			 //$data['profile'] = $this->redux_auth->profile();
			 $data["page"] = "Consultation";
			 
			 $qa_id=$this->input->post('qa_id');
			 $answer=$this->input->post('answer');
			 $reply_sender = $this->session->userdata("users_id"); 
			 //$date_answer_published=$_POST['answer_date'];
			 
			 //$data["qa_id"]=$qa_id;
			 //$data["question"]=$this->consultation_model->getQuestion($qa_id);
			 $answer_id = $this->consultation_model->answer($qa_id,$answer,$reply_sender);
			 if($answer_id){
          feeding("consultation_reply",$answer_id);
          $questions=$this->consultation_model->getQuestion($qa_id);
          
          $from = $this->config->item("email_from");
          $link = base_url()."consultation/single/".$qa_id; 
          $subject = "New reply on Expert Consultation";
          $message = "New reply on Expert Consultation:\r\n".$questions->subject."\r\n";
          $message .= "Read more on <a href='".$link."'>".$link."</a>";
          $to_sender = $this->user_model->get_meta(array("email"),"users",$questions->users_id)->email;
          //sendMail($to_sender,$from,$subject,$message);
          $to_expert = $this->user_model->get_meta(array("email"),"users",$questions->expert_id)->email;
          $this->email->clear();
			    $this->email->set_newline("\r\n");
			    $this->email->from($from, 'suksesmulia.com');
			    $this->email->to($to_sender);
			    $this->email->bcc($to_expert);
			    $this->email->subject($subject);
			    $this->email->message($message);
			    $this->email->send();
          //sendMail($to_expert,$from,$subject,$message);
          //$questions=$this->consultation_model->getQuestion($qa_id);
          if($questions->expert_id==$this->session->userdata("users_id")){
            $this->consultation_model->update_is_answer($qa_id);
          }
       }else{
       }
			 header('Location: '.getenv('HTTP_REFERER'));
		}else{		
			redirect("auth/login");
		}
	}
	
	function single($qa_id,$page=0)
	{
		if($this->redux_auth->logged_in()){
			 $data["title"] = "Consultation";
			 //$data['profile'] = $this->redux_auth->profile();
			 $data["page"] = "experts";
			 $data["qa_id"] = $qa_id;
			 $data["questions"]=$this->consultation_model->getQuestion($qa_id);
			 if($data["questions"]){
          $data["answers"]=$this->consultation_model->getReply($qa_id,$page);
          $config['uri_segment'] = 4;
		      $config['base_url'] = base_url()."consultation/single/".$qa_id."/";
		      $config['total_rows'] = $this->consultation_model->countReply($qa_id);
		      $this->pagination->initialize($config);
		      $data["answer_pagination"] =  $this->pagination->create_links();
			    $this->load->view("consultation/single_view",$data);
       }else{
            redirect("page404");
       }

		}else{		
			redirect("auth/login");
		}
	}
	
	function getReply($qa_id,$num,$page)
	{
			$total_resources=$this->consultation_model-> countReply($qa_id);
			$total_page=$total_resources/5;
			if ($total_resources%5>0)
				$total_page++;
			$output="";
			$table_users=getUserTable();
			$result=$this->consultation_model->getReply($qa_id,$page);
			foreach ($result as $item):
			$output.="<div  class=\"tab-article thread-reply span-16 last\">
					<h2><a href=\"".base_url()."profile/user/".$item->reply_sender."\" >".$table_users[$item->reply_sender]."</a></h2>
					<img src=\"".image_thumb(base_url().$this->user->getPictureThumb($item->reply_sender), 150, 150)."\"  class=\"med\"/>
					<ul class=\"article-meta\">
						<li>Author : <a class=\"entity\"  href=\"#\">".$table_users[$item->reply_sender]."</a></li>
						<li>Posted :".$item->reply_date."</li>
					</ul>
					<p>".$item->reply_text."</p>
				</div>";
			endforeach; 
			
			$after=2;
			$before=2;
			
			$before_page="";
			$count=1;
			for ($i=$page-1;$i>0;$i--)
			{
				$before_page.="<a href=\"".base_url()."consultation/view/$qa_id/$i"."\"  class=\"previous\" >".$i."</a>";
				if ($count==2)
					break;
				else
					$count++;
			}
			$after_page="";
			$count=1;
			for ($i=$page+1;$i<$total_page;$i++)
			{
				$after_page.="<a href=\"".base_url()."consultation/view/$qa_id/$i"."\"    class=\"previous\" >".$i."</a>";
				if ($count==2)
					break;
				else
					$count++;
			}
			
			$output.="<div  class=\"tab-article-paging\">";
			$output.="<a href=\"#\"  class=\"previous\" >Previous</a>";
			$output.=$before_page."<a href=\"#\"  class=\"next\" >$page</a>".$after_page;
			$output.="<a href=\"#\"  class=\"previous\" >Next</a>";
			$output.="</div>";
			
			return $output;
	
				
	}
	
	
	
	function get_answer($answer_id)
	{
	 	
	}
	
	function getMyConsultation($users_id,$myconsultation,$featured)
	{
			$page=$myconsultation;
			$total_resources=$this->consultation_model->countMyConsultation($users_id);
			$total_page=$total_resources/5;
			if ($total_resources%5>0)
				$total_page++;
			$output="";
			$table_users=getUserTable();
			$result=$this->consultation_model->getMyConsultation($users_id,$page);
			foreach ($result as $item):
			$output.="<div  class=\"tab-article span-16 last\">
					
					<img src=\"".image_thumb($this->user->getPictureThumb($item->users_id), 150, 150)."\"  class=\"med\"/>
					<a href=\"".base_url()."consultation/view/".$item->qa_id."\"  class=\"more-link first\" >Read More</a>
					<ul class=\"article-meta\">
						<li>Author : <a class=\"entity\"  href=\"#\">".$table_users[$item->users_id]."</a></li>
						<li>Posted :".$item->date_question_published."</li>
					</ul>
					<p>".$item->question."</p>
				</div>";
			endforeach;
			$after=2;
			$before=2;
			
			$before_page="";
			$count=1;
			for ($i=$page-1;$i>0;$i--)
			{
				$before_page.="<a href=\"".base_url()."consultation/index/$i/$featured"."\"  class=\"previous\" >".$i."</a>";
				if ($count==2)
					break;
				else
					$count++;
			}
			$after_page="";
			$count=1;
			for ($i=$page+1;$i<$total_page;$i++)
			{
				$after_page.="<a href=\"".base_url()."consultation/index/$i/$featured"."\"    class=\"previous\" >".$i."</a>";
				if ($count==2)
					break;
				else
					$count++;
			}
			
			$output.="<div  class=\"tab-article-paging\">";
			$output.="<a href=\"#\"  class=\"previous\" >Previous</a>";
			$output.=$before_page."<a href=\"#\"  class=\"next\" >$page</a>".$after_page;
			$output.="<a href=\"#\"  class=\"previous\" >Next</a>";
			$output.="</div>"; 
			return $output;
	}
	
	function getFeaturedConsultation($users_id,$myconsultation,$featured)
	{
			$page=$featured;
			$total_resources=$this->consultation_model->countMyFeatured($users_id);
			$total_page=$total_resources/5;
			if ($total_resources%5>0)
				$total_page++;
			$output="";
			$table_users=getUserTable();
			$result=$this->consultation_model->getMyFeatured($users_id,$page);
			foreach ($result as $item):
			$output.="<div  class=\"tab-article span-16 last\">
					
					<img src=\"".$this->user->getPictureThumb($item->users_id)."\"  class=\"med\"/>
					<a href=\"".base_url()."consultation/view/".$item->qa_id."\"  class=\"more-link first\" >Read More</a>
					<ul class=\"article-meta\">
						<li>Author : <a class=\"entity\"  href=\"#\">".$table_users[$item->users_id]."</a></li>
						<li>Posted :".$item->date_question_published."</li>
					</ul>
					<p>".$item->question."</p>
				</div>";
			endforeach; 
			
			$after=2;
			$before=2;
			
			$before_page="";
			$count=1;
			for ($i=$page-1;$i>0;$i--)
			{
				$before_page.="<a href=\"".base_url()."consultation/index/$myconsultation/$i"."\"  class=\"previous\" >".$i."</a>";
				if ($count==2)
					break;
				else
					$count++;
			}
			$after_page="";
			$count=1;
			for ($i=$page+1;$i<$total_page;$i++)
			{
				$after_page.="<a href=\"".base_url()."consultation/index/$myconsultation/$i"."\"    class=\"previous\" >".$i."</a>";
				if ($count==2)
					break;
				else
					$count++;
			}
			
			$output.="<div  class=\"tab-article-paging\">";
			$output.="<a href=\"#\"  class=\"previous\" >Previous</a>";
			$output.=$before_page."<a href=\"#\"  class=\"next\" >$page</a>".$after_page;
			$output.="<a href=\"#\"  class=\"previous\" >Next</a>";
			$output.="</div>";
			
			return $output;
	}
	
	function browse($submenu="my",$cat="all",$num=5,$page=0){
		if($this->redux_auth->logged_in()){
			$data["title"] = "Consultation";
			$data["page"] = "experts";
			$data["submenu"] = $submenu;
			
			$config['uri_segment'] = 6;
			if($cat!="all"){
        $term = get_term_by_slug($cat);
        if(!empty($term)){
        $cat = $term->term_id;
        $category_sort = $term->term_name;
        }else{
          $cat = "all";
          $category_sort = "All Categories";
        }        
      }else{
        $cat = "all";
        $category_sort = "All Categories";
      }
			$data['category_sort']	=	$category_sort;
			if ($submenu == "my"){
				$data["consultations"] = $this->consultation_model->get_list_consultation($this->session->userdata("users_id"), $cat, "date_question_published desc",$page, $num);
				$config['base_url'] = base_url()."consultation/browse/my/".$cat."/".$num."/";
				$config['total_rows'] = $this->consultation_model->total_list_consultation($this->session->userdata("users_id"),$cat);
				$this->pagination->initialize($config);
				$data["pagination"] =  $this->pagination->create_links();
			}elseif ($submenu == "featured"){
				$data["consultations"] = $this->consultation_model->get_list_consultation($this->session->userdata("users_id"), $cat, "date_question_published desc",$page, $num);
				$config['base_url'] = base_url()."consultation/browse/my/".$cat."/".$num."/";
				$config['total_rows'] = $this->consultation_model->total_list_consultation($this->session->userdata("users_id"),$cat);
				$this->pagination->initialize($config);
				$data["pagination"] =  $this->pagination->create_links();
			}else{
        redirect("page404");
      }
			$this->load->view("consultation/index",$data);
		}else{
			redirect("auth/login");
		}
	}
	
	
}
?>