<?php
	class Groups extends controller{
		function Groups(){
			parent::Controller();
			//library
			//$this->load->library('form_validation');
			$this->load->library('calendar');
			//helper
			//$this->load->helper('url');
			//$this->load->helper('form');
		}
		function index(){
			//$this->categories("all","feature");
			//$this->mygroups();
			$this->browse();
		}
				
		function categories($cat_slug="all",$order="feature")
		{
			$data["page"] 		= "groups";



			$data['cat_slug'] 	= $cat_slug;
			$data['order'] 		= $order;
			$data['title'] 		= 'Group';
			if ($order=="feature"){
				$order="groups_id desc";
			}else{
				$order="member_count desc";
			}
			$data['action']		= "index";
			if($cat_slug == "all"){
				$data['category_pill']	=	"all";
			}
			else{
				$name				= $this->groups_model->getNameBySlug($cat_slug);
				$data['category_pill']	=	$name->cat_name;
			}
			$data['submenu']	= "";
			$uid				= $this->session->userdata('users_id');
			$data['uid']		= $uid;
			$data['glist'] 		= $this->groups_model->view_list($limit=10, $order, $cat_slug);
			$data['glist_uid'] 	= $this->groups_model->view_list_uid($uid);
			$data['uid']		= $this->session->userdata('users_id');
			$this->load->view("groups/index",$data);
		}
	
		function view($id,$title,$year=0,$month=0)
		{
			//$data['submenu']	= "";
			if($this->redux_auth->logged_in()){
			$data['page'] 		= "groups";
			$data["title"] 		= "Groups ".$title ; 
			$data['gmeta'] 		= $this->groups_model->view_single($id);
			$data['id_group']	=$data['gmeta']->groups_id;
			$data['gmember'] 	= $this->groups_model->view_member($id);
			$data['groups_admin'] = $this->groups_model->view_member($id,"admin");
			$data['notes']		= $this->getGroupNotes($id,2,1);
			$data['share']		= $this->getGroupShare($id,1,2);
			
			

			//$data['mlist'] 		= $this->groups_model->view_admin($id);
			//$data['gwall'] 		= $this->groups_model->view_comment($id);
			
			$data['status_detail']=$this->getStatusDetailGroup(1,$id);

			
			$uid				= $this->session->userdata('users_id');
			$data['uid']		= $uid;
			$gid				= $this->uri->segment(3);
			
			$data['status_user']=$this->groups_model->cekstatus($uid, $gid);
			if(!empty($uid))
				$cek			= $this->groups_model->cek_member($uid, $gid);
			else
				$cek			= false;
			if($cek) $data['member']		= 1; else $data['member']		= 0; 
			
			//HEADER
			//$data['profile'] = $this->redux_auth->profile();
			//TANGGALAN

			if ($month==0)
				$month=date("m");
			$data['month']=$month;
			if ($year==0)
				$year=date("Y");
			$data['year']=$year;
			$data['datacalendar']=$this->makeCalendar($id,$year,$month);
			
			$data['specialaction']=$this->getSpecialAction($id,1);
			$data['discussion']=$this->getDiscussion($id,2,1);
			
			$this->load->view("groups/single",$data);
			}else{
      redirect("auth/login");
      }
		}
		
		function create()
		{
			$data['submenu']	=	"create";
			$data["page"] 		= 	"groups";
			$data['category']	=	$this->category_model->get_list();
			$data["title"] 		= 	"Groups"; 
			$uid				=	$this->session->userdata('users_id');
			$data['categorysort']	=	'Create Groups';
			if($uid	!=	0){
			$data['categories']	=	$this->category_model->select_list();
			$data['uid']	=	$this->session->userdata('users_id');	
			//$data['profile'] = $this->redux_auth->profile();
			$this->form_validation->set_rules('name', 'Group Name', 'trim|required|min_length[4]|max_length[50]');
			//$this->form_validation->set_rules('slug', 'Slug', 'trim|required|callback_check_groupname');
			$this->form_validation->set_rules('description', 'Group Description', 'trim|required');
			$this->form_validation->set_rules('category', 'Group Category', 'trim|required');
			$this->form_validation->set_rules('statusgr', 'Group Status', 'trim|required');
			//$this->form_validation->set_rules('pic', 'Group Picture', 'trim|required');		
      $this->form_validation->set_error_delimiters('<p class="error">', '</p>');			
			if ($this->form_validation->run() == FALSE)
			{
				$this->load->view("groups/create", $data);
			}
			else
			{
				$name	=	isset($_POST["name"]) ? $_POST["name"] : "";
				//$slug	=	isset($_POST['slug']) ? $_POST['slug']: "";
				//replace " " with "-"
				//$slug	=	str_replace(" ", "-", $slug);
				$slug = url_title($name);
				$term_id	=	isset($_POST['category']) ? $_POST['category']: "";
				$statusgr	=	isset($_POST['statusgr']) ? $_POST['statusgr']: "";
				$description=	isset($_POST["description"]) ? $_POST["description"] : "";
				//$pic	=	isset($_POST['picture']) ? $_POST['picture']: "";
				$files = "";
				$lokasi_file = $_FILES['picture']['tmp_name'];
				$nama_file=$_FILES['picture']['name'];

				$conf['upload_path'] = "./upload/groups/";
				$conf['allowed_types'] = "jpg|jpeg|gif";
				$this->load->library('upload', $conf);
				//echo $conf['upload_path'];
				if (!$this->upload->do_upload("picture"))
					//echo $this->upload->display_errors('<p>', '</p>');
					$files=false;
				else
				{
					$result=$this->upload->data();
					$files="upload/groups/".$result['file_name'];
				}
				
					$uid	=	$this->session->userdata('users_id');
					$date	=	date("Y-m-d H:i:s");
					
					//masukan code untuk upload picture group di bawah ini.
					
					$query['groups_name']			=	$name;
					$query['groups_slug']			=	$slug;
					$query['groups_creator']		=	$uid;
					$query['groups_date_created']	=	$date;
					$query['term_id']				=	$term_id;
					if($files){
            $query['groups_profilepic']		=	$files;
          }else{
            $query['groups_profilepic']		=	"upload/groups/pic-group-default.jpg";
          }
					$query['groups_description']	=	$description;
					$query['groups_status']			=	$statusgr;
					$query['member_count']			=	1;
					
					if($this->groups_model->insert_entry($query)){
						$idgroup	=	$this->groups_model->get_id($uid, $date);
						$datanya['groups_id']	=	$idgroup->groups_id;
						$datanya['users_id']	=	$query['groups_creator'];
						$datanya['users_status']=	"admin";
						if($this->groups_model->insert_member($datanya)){
							//$data['title'] 		= 	'Group | '.$this->config->item('home_title');
							$data['groupid']	=	$idgroup->groups_id;
							$data['groupslug']	=	$idgroup->groups_slug;
							$data['groupsname']	=	$idgroup->groups_name;
							redirect("groups/view/".$data['groupid']."/".$data['groupslug']);
						}						
							
					}
			}
			}
			else{
				$data['submenu']	=	"no_session";
				//$this->load->view("groups/create_group", $data);
				redirect('auth/login/');
			}
			
		}
		
		function allgroup()
		{
			$uid	=	$this->session->userdata('users_id');
			$data['glist']	=	$this->groups_model->getGroupByUser($uid);
			
			$this->load->view('groups/allgroup', $data);
		}
		
		//funsi untuk mengecek ketersediaan group name
		function check_groupname($name)
		{
			$name	=	strtoupper($name);
			$name	=	str_replace(" ", "-", $name);
			if($this->groups_model->check_groupname($name))
				return true;
			else
				{
					$this->form_validation->set_message('check_groupname', 'Group Slug is not available. Please use different name.');
					return FALSE;
				}
		}
		
		//fungsi search groups
		function search($query=null,$num=5,$page=0){
		if($this->redux_auth->logged_in()){
			//echo "berhasil.";
			/*$page			=	$this->input->get('pg');
			$perpage		=	1;
			if(empty($page)){
				$start	=	0;
			}
			else{
				$start	=	($page * $perpage)-$perpage;
			}*/

	
			$data['page'] = "groups";
			$data['submenu'] = "featured";
			$data['title']		=	"Search Result";
			
			$config['uri_segment'] = 5;
			if($query==null){
        $query = $this->input->post("query");
        if($query==false){
          $query = "";
        }
      }
      $data['query'] = $query;

			//$query				=	$this->input->post('q');	
			$config['base_url'] = base_url()."groups/search/".$query."/".$num."/";
			$data['groups']		=	$this->groups_model->search($query,$num,$page);
			$config['total_rows'] = $this->groups_model->search_count($query);
			$this->pagination->initialize($config);
			$data["pagination"] =  $this->pagination->create_links();
			$this->load->view('groups/search_result', $data);
			}else{
          redirect("auth/login");
      }
		}
		
		function mygroups(){
			
			$uid				=	$this->session->userdata('users_id');
			$data['uid']		=	$uid;
			
			if($uid	!=	0){
				$data['submenu']	=	"mygroups";
				$data['login']		=	true;
				$data['page'] 		= 	"groups";
				
				$data['title'] 		= 	'Groups';
				$data['category']	=	$this->category_model->get_list();
				$data['profile'] = $this->redux_auth->profile();
				$sort	=	$this->uri->segment(4);
				$slug	=	$this->uri->segment(5);
				$page	=	$this->uri->segment(3);
				
				$data['tanggalan']	=	"";
				
				
				if($sort == 'all' || $sort == ''){
					if(empty($sort) && $page == 0) $page = 1;
					$data['glist_manage']	=	$this->groups_model->view_list_uid($uid, 'all', $page);
					$count_row				=	$this->groups_model->row_view;
					$data['row_count']		=	$count_row;
					$data['categorysort']	=	'All Categories';
					$data['nextpage']		=	$page+1;
					$data['prevpage']		=	$page-1;
					$data['page']			=	$page;
					if(($count_row % 2) == 0)
					$data['maxpage']		=	($count_row / 2);
					else
					$data['maxpage']		=	($count_row / 2)+1;
				}
				else
				if($this->groups_model->check_category($sort, $slug)){
					$data['glist_manage']=	$this->groups_model->view_list_uid($uid, $sort, $page);
					$count_row				=	$this->groups_model->row_view;
					$data['row_count']		=	$count_row;
					//getTerm($term_id)
					$cat					=	$this->groups_model->getNameBySlug($slug);
					$data['categorysort']	=	$cat->term_name;
					$data['nextpage']		=	$page+1;
					$data['prevpage']		=	$page-1;
					$data['page']			=	$page;
					if(($count_row % 2) == 0)
					$data['maxpage']		=	($count_row / 2);
					else
					$data['maxpage']		=	($count_row / 2)+1;
				}
				
				//$data['glist_uid'] 	=	$this->groups_model->view_list_uid($uid);
				
				
				//$this->header();
				$data['tanggalan']	=	"";
				$this->load->view('groups/index', $data);
			}
			else{
				redirect("auth/login/");
			}
		}
		
		private function header(){
			$data['title']	=	'webku yang baru';
			$data['profile'] = $this->redux_auth->profile();
			$this->load->view('header', $data);
		}
		
		function join(){
			$data['submenu']	=	"join";
			$data["page"] 		= 	"groups";
			$data["title"] 		= 	$this->config->item('home_title')." | "."Groups"; 
			$data['title'] 		= 	'Group | '.$this->config->item('home_title');
			$uid				=	$this->session->userdata('users_id');
			$data['uid']		=	$uid;
			$gid				=	$this->uri->segment(3);
			$slug				=	$this->uri->segment(4);
			$gname				= $this->groups_model->getNameGroupById($gid);
			$gmeta				= $this->groups_model->view_single($gid);
			if($this->groups_model->cek_gid_slug($gid, $slug)){
				if(empty($uid)){
					$data['submenu']	=	"no_session";
					//$this->load->view("groups/create_group", $data);
					redirect('auth/login/');
				}
				else{
					
					$query['groups_id']		=	$gid;
					$query['users_id']		=	$uid;
					if ($gmeta->groups_status=="open")
						$query['users_status']	=	"member";
					else
						$query['users_status']	=	"pending";
					if($this->groups_model->join_group($query)){
						//$this->groups_model->updateJmlMember($gid);
						$data['msg']	=	"You already have joined to this group. Feel free to share and discuss.";
					}
					else{
						$data['msg']	=	"Error. Please try again.";
					}
					redirect("groups/view/$gid/".url_title($gname->groups_name));
				}
			}
			else{
				redirect('groups/');
			}
			
		}
		
		function leave(){
			$data['submenu']	=	"leave";
			$data["page"] 		= 	"groups";
			$data["title"] 		= 	$this->config->item('home_title')." | "."Groups"; 
			$data['title'] 		= 	'Group | '.$this->config->item('home_title');
			$uid				=	$this->session->userdata('users_id');
			$data['uid']		=	$uid;
			$gid				=	$this->uri->segment(3);
			$status_user		=	$this->groups_model->getStatusUsers($uid, $gid);
			$slug				=	$this->uri->segment(4);
			if($this->groups_model->cek_gid_slug($gid, $slug)){
				if($uid	==	0){
					$data['submenu']	=	"no_session";
					//$this->load->view("groups/create_group", $data);
					redirect('auth/login/');
				}
				else{
					if ($status_user!=false)
					{
						if($status_user->users_status	==	"member"){
							if($this->groups_model->leave_group($uid, $gid)){
								$data['msg']	=	"You have leave this group.";
							}
							else{
								$data['msg']	=	"Error. Please try again.";
							}
						}
						else{
							$data['msg']	=	"Error. You are an administrator.";
						}
					}
					redirect("groups/view/$gid/$slug");
				}
			}
			else{
				redirect('groups/');
			}
		}
		
		function member($groups_id,$groups_name){
			if($this->redux_auth->logged_in()){
        $data['submenu']	=	"member";
  			$data["page"] 		= 	"groups";
  			$data["title"] 		= 	"Groups"; 
  			$uid				=	$this->session->userdata('users_id');
  			$data['uid']		=	$uid;
  			$data['mlist'] 		=	$this->groups_model->view_member($groups_id);
  			$gname				=	$this->groups_model->getNameGroupById($groups_id);
  			$data['gname']		=	"Member of ".anchor("groups/view/".$gname->groups_id."/".$gname->groups_slug,$gname->groups_name);
			  $this->load->view("groups/member",$data);
		  }else{
         redirect("auth/login");
      }
		}
		function admin($groups_id,$groups_name){
    if($this->redux_auth->logged_in()){
        $data['submenu']	=	"member";
  			$data["page"] 		= 	"groups";
  			$data["title"] 		= 	"Groups"; 
  			$uid				=	$this->session->userdata('users_id');
  			$data['uid']		=	$uid;
  			$data['mlist'] 		=	$this->groups_model->view_member($groups_id,"admin");
  			$gname				=	$this->groups_model->getNameGroupById($groups_id);
  			  			$data['gname']		=	"Admin of ".anchor("groups/view/".$gname->groups_id."/".$gname->groups_slug,$gname->groups_name);
			  $this->load->view("groups/member",$data);
		  }else{
         redirect("auth/login");
      }
		}
		
		function invite(){
		if($this->redux_auth->logged_in()){
    
			$data['submenu']	=	"invite";
			$data["page"] 		= 	"groups";
			$data['title'] 		= 	'Invite Group';
			$uid				=	$this->session->userdata('users_id');
			$data['uid']		=	$uid;
			$list=array();
				
				$gid				=	$this->uri->segment(3);
				$gslug				=	$this->uri->segment(4);
				
				//$data['already']	=	$this->groups_model->friendAlreadyJoin($uid, $gid);			
				$gname				=	$this->groups_model->getNameGroupById($gid);
				$data['gname']		=	$gname->groups_name;
				$check			=	$this->input->post('check');
				if(!empty($check)){
					foreach($check as $item){
						if($item){
							$list[]	.=	$item;
							$fid	=	$item;
							//
							if($this->groups_model->invite($gid, $fid)){
								$data['message']		=	"Invitation has sent to your friends";
								//$data['tlist']		=	$list;
							}
						}
					}	
					$data['invite']		=	$this->groups_model->friendAlreadyInvited($uid, $gid);
					$data['mlist'] 		=	$this->groups_model->selectFriendInvitation($uid, $gid);
					$data['member'] 		=	$this->groups_model->friendMember($uid, $gid);
					$this->load->view('groups/invite_ui', $data);	
					
				}
				else{
					$list[0]			=	" ";
					$data['msg']		=	"";
					$data['tlist']		=	$list;
					$data['mlist'] 		=	$this->groups_model->selectFriendInvitation($uid, $gid);
					$data['invite']		=	$this->groups_model->friendAlreadyInvited($uid, $gid);
					$data['member'] 		=	$this->groups_model->friendMember($uid, $gid);
					$this->load->view('groups/invite_ui', $data);
				}
			}else{
				redirect("auth/login/");
			}
		}
		
		function askjoin(){
			$data['submenu']	=	"ask";
			$data["page"] 		= 	"groups";
			$data["title"] 		= 	$this->config->item('home_title')." | "."Groups"; 
			$data['title'] 		= 	'Group | '.$this->config->item('home_title');
			$uid				=	$this->session->userdata('users_id');
				$data['uid']		=	$uid;
			
			if(!empty($uid)){
				$username			=	$this->session->userdata('username');
				$data['username']	=	$username;
				
				$gid				=	$this->uri->segment(3);
				$slug				=	$this->uri->segment(4);
				$data['mlist'] 		=	$this->groups_model->view_member($gid);
				$gname				=	$this->groups_model->getNameGroupById($gid);
				$data['gname']		=	$gname->groups_name;
				$alasan				=	$this->input->post('alasan');
				$chekask			=	$this->groups_model->cekAsk($uid, $gid);
				if(!$chekask){
					if(!empty($alasan)){
						$query['groups_id']		=	$gid;
						$query['users_id']		=	$uid;
						$query['users_status']	=	"ask";
						if($this->groups_model->join_group($query)){
							//$this->groups_model->updateJmlMember($gid);
							$data['msg']	=	"Message has sent. Waiting for approval. Check in your myGroups if your invitation approved or no.";
						}
						else{
							$data['msg']	=	"Error. Please try again.";
						}
						$this->load->view('groups/single', $data);
					}
					else{
						$this->load->view('groups/single', $data);
					}
				}
				else{
					$data['msg']	=	"You have already ask to join this group.";
					$this->load->view('groups/single', $data);
				}
			}
			else{
				redirect("auth/login/");
			}
		}
		
		function viewinvit(){
			$data['submenu']	=	"viewinvit";
			$data["page"] 		= 	"groups";
			$data["title"] 		= 	$this->config->item('home_title')." | "."Groups"; 
			$data['title'] 		= 	'Group | '.$this->config->item('home_title');
			$uid				=	$this->session->userdata('users_id');
			$data['uid']		=	$uid;
			$check				=	$this->uri->segment(3);
			$gid				=	$this->uri->segment(4);
			$slug				=	$this->uri->segment(5);
			if($uid	!=	0){
				if(!empty($check)){
					if($check == 'confirm'){
						if($this->groups_model->updateConvirmInvit($uid, $gid)){
							$this->groups_model->updateJmlMember($gid);
							$gname				=	$this->groups_model->getNameGroupById($gid);
							$data['gname']		=	$gname->groups_name;
							$data['invite']		=	$this->groups_model->listInvitation($uid);
							$data['msg']		=	"You have became member of '".$gname->groups_name.".";
							$this->load->view('groups/single', $data);
						}
						else{
							redirect("groups/viewinvit/");
						}
					}
					if($check == 'ignore'){
						if($this->groups_model->updateIgnoreInvit($uid, $gid)){
							$data['invite']		=	$this->groups_model->listInvitation($uid);
							$gname				=	$this->groups_model->getNameGroupById($gid);
							$data['gname']		=	$gname->groups_name;
							$data['msg']		=	$gname->groups_name."Invitation has been ignored.";
							$this->load->view('groups/single', $data);
						}
						else{
							redirect("groups/viewinvit/");
						}
					}
					else{
						redirect("groups/viewinvit/");
					}					
				}
				else{
					$data['invite']		=	$this->groups_model->listInvitation($uid);
					$this->load->view('groups/single', $data);
				}
			}
			else{
				redirect("auth/login/");
			}
		}
		
		function moderate(){
			$data['submenu']	=	"moderate";
			$data["page"] 		= 	"groups";
			$data["title"] 		= 	$this->config->item('home_title')." | "."Groups"; 
			$data['title'] 		= 	'Group | '.$this->config->item('home_title');
			$uid				=	$this->session->userdata('users_id');
			$data['uid']		=	$uid;
			$check				=	$this->uri->segment(3);
			$gid				=	$this->uri->segment(4);
			$slug				=	$this->uri->segment(5);
			if($uid	!=	0){
				if(!empty($check)){
					if($check == 'confirm'){
						$username	=	$this->uri->segment(6);
						$iduser		=	$this->groups_model->getUserIdByUsername($username);
						
						if(!empty($iduser)){
							$id			=	$iduser->users_id;
							if($this->groups_model->updateConvirmMode($id, $gid)){
								$this->groups_model->updateJmlMember($gid);
								$gname				=	$this->groups_model->getNameGroupById($gid);
								$data['gname']		=	$gname->groups_name;
								$data['moderate']	=	$this->groups_model->listInvitation($uid);
								$data['msg']		=	"You have became member of '".$gname->groups_name.".";
								$this->load->view('groups/single', $data);
							}
							else{
								redirect("groups/moderate/");
							}
						}
						else{
							redirect("groups/moderate/");
						}
					}
					if($check == 'ignore'){
						$username	=	$this->uri->segment(6);
						$iduser		=	$this->groups_model->getUserIdByUsername($username);
						if(!empty($iduser)){
							$id			=	$iduser->users_id;
							if($this->groups_model->updateIgnoreMode($id, $gid)){
								$data['moderate']	=	$this->groups_model->listInvitation($uid);
								$gname				=	$this->groups_model->getNameGroupById($gid);
								$data['gname']		=	$gname->groups_name;
								$data['msg']		=	$gname->groups_name."Invitation has been ignored.";
								$this->load->view('groups/single', $data);
							}
							else{
								redirect("groups/moderate/");
							}
						}
						else{
							redirect("groups/moderate/");
						}
					}
					else{
						redirect("groups/moderate/");
					}					
				}
				else{
					$data['moderate']		=	$this->groups_model->listModerate($uid);
					$this->load->view('groups/single', $data);
				}
			}
			else{
				redirect("auth/login/");
			}
		}
		
		function profile(){
			$data['submenu']	=	"profile";
			$data["page"] 		= 	"groups";
			$data["title"] 		= 	$this->config->item('home_title')." | "."Groups"; 
			$data['title'] 		= 	'Group | '.$this->config->item('home_title');
			$uid				=	$this->session->userdata('users_id');
			$data['uid']		=	$uid;
			//$check				=	$this->uri->segment(3);
			$gid				=	$this->uri->segment(3);
			$slug				=	$this->uri->segment(4);
			
			if(!empty($uid)){
				$data['gmeta']	=	$this->groups_model->view_single($gid);
				if(!empty($uid))
					$cek			= $this->groups_model->cek_member($uid, $gid);
				else
					$cek			= false;
				if($cek) $data['member']		= 1; else $data['member']		= 0;
				$this->load->view('groups/single', $data);
			}
			else{
				redirect("auth/login/");
			}
		}
		
		function tesaja(){
		
		$data['submenu']	=	"create";
			$data["page"] 		= 	"groups";
			$data["title"] 		= 	$this->config->item('home_title')." | "."Groups"; 
			$data['title'] 		= 	'Group | '.$this->config->item('home_title');
			$uid				=	$this->session->userdata('users_id');
			if($uid	!=	0){
			$data['cate']	=	$this->category_model->select_list();
			
			$this->form_validation->set_rules('name', 'Group Name', 'trim|required|min_length[4]|max_length[20]');
			$this->form_validation->set_rules('slug', 'Slug', 'trim|required|callback_check_groupname');
			$this->form_validation->set_rules('description', 'Group Description', 'trim|required');
			$this->form_validation->set_rules('category', 'Group Category', 'trim|required');
			$this->form_validation->set_rules('statusgr', 'Group Status', 'trim|required');
			$this->form_validation->set_rules('pic', 'Group Picture', 'trim|required');
			$data['uid']	=	$this->session->userdata('users_id');			
			if ($this->form_validation->run() == FALSE)
			{
				$this->load->view("groups/create_group", $data);
			}
			else
			{
				$name	=	isset($_POST["name"]) ? $_POST["name"] : "";
				$slug	=	isset($_POST['slug']) ? $_POST['slug']: "";
				//replace " " with "-"
				$slug	=	str_replace(" ", "-", $slug);
				$cateid	=	isset($_POST['category']) ? $_POST['category']: "";
				$pic	=	isset($_POST['picture']) ? $_POST['picture']: "";
				$statusgr	=	isset($_POST['statusgr']) ? $_POST['statusgr']: "";
				$description=	isset($_POST["description"]) ? $_POST["description"] : "";
				
					$uid	=	$this->session->userdata('users_id');
					$date	=	date("Y-m-d H:i:s");
					
					//masukan code untuk upload picture group di bawah ini.
					
					$query['groups_name']			=	$name;
					$query['groups_slug']			=	$slug;
					$query['groups_creator']		=	$uid;
					$query['groups_date_created']	=	$date;
					$query['categories_cat_id']		=	$cateid;
					$query['groups_profilepic']		=	$pic;
					$query['groups_description']	=	$description;
					$query['groups_status']			=	$statusgr;
					$query['member_count']			=	1;
					
					if($this->groups_model->insert_entry($query)){
						$idgroup	=	$this->groups_model->get_id($uid, $date);
						$datanya['groups_id']	=	$idgroup->groups_id;
						$datanya['users_id']	=	$query['groups_creator'];
						$datanya['users_status']=	"admin";
						if($this->groups_model->insert_member($datanya)){
							$data['submenu']	=	"creates";
							$data["page"] 		= 	"groups";
							$data["title"] 		= 	$this->config->item('home_title')." | "."Groups"; 
							//$data['title'] 		= 	'Group | '.$this->config->item('home_title');
							$data['groupid']	=	$idgroup->groups_id;
							$data['groupslug']	=	$idgroup->groups_slug;
							$data['groupsname']	=	$idgroup->groups_name;
							$this->load->view("groups/create_group", $data);
						}						
							
					}
			}
			}
			else{
				$data['submenu']	=	"no_session";
				//$this->load->view("groups/create_group", $data);
				redirect('auth/login/');
			}
		}
		
		function editprofile(){
			$data['submenu']	=	"editprofile";
			$data["page"] 		= 	"groups";
			$data["title"] 		= 	$this->config->item('home_title')." | "."Groups"; 
			$data['title'] 		= 	'Group | '.$this->config->item('home_title');
			$uid				=	$this->session->userdata('users_id');
			$data['uid']		=	$uid;
			//$check				=	$this->uri->segment(3);
			$gid				=	$this->uri->segment(3);
			$slug				=	$this->uri->segment(4);
			$this->form_validation->set_rules('name', 'Group Name', 'trim|required|min_length[4]|max_length[20]');
			//$this->form_validation->set_rules('slug', 'Slug', 'trim|required|callback_check_groupname');
			$this->form_validation->set_rules('description', 'Group Description', 'trim|required');
			$this->form_validation->set_rules('category', 'Group Category', 'trim|required');
			$this->form_validation->set_rules('statusgr', 'Group Status', 'trim|required');
			$this->form_validation->set_rules('pic', 'Group Picture', 'trim|required');
			
			if(!empty($uid)){
				if ($this->form_validation->run() == FALSE)
				{
					$name	=	isset($_POST["name"]) ? $_POST["name"] : "";
					$slug	=	isset($_POST['slug']) ? $_POST['slug']: "";
					//replace " " with "-"
					$slug	=	str_replace(" ", "-", $slug);
					$cateid	=	isset($_POST['category']) ? $_POST['category']: "";
					$pic	=	isset($_POST['picture']) ? $_POST['picture']: "";
					$statusgr	=	isset($_POST['statusgr']) ? $_POST['statusgr']: "";
					$description=	isset($_POST["description"]) ? $_POST["description"] : "";
					
					if(!empty($uid))
						$cek			= $this->groups_model->cek_member($uid, $gid);
					else
						$cek			= false;
					$data['gmeta']	=	$this->groups_model->view_single($gid);
					$data['cate']	=	$this->category_model->select_list();
					//.$this->uri->segment(3)."/".$this->uri->segment(4)
					$data['tes']	=	"awal";
					$this->load->view("groups/single", $data);
				}
				else
				{
					//updateGroup($name, $desc, $cat, $sta, $gid)
					$name	=	isset($_POST["name"]) ? $_POST["name"] : "";
					$slug	=	isset($_POST['slug']) ? $_POST['slug']: "";
					//replace " " with "-"
					$slug	=	str_replace(" ", "-", $slug);
					$cateid	=	isset($_POST['category']) ? $_POST['category']: "";
					$pic	=	isset($_POST['picture']) ? $_POST['picture']: "";
					$statusgr	=	isset($_POST['statusgr']) ? $_POST['statusgr']: "";
					$description=	isset($_POST["description"]) ? $_POST["description"] : "";
					$data['gmeta']	=	$this->groups_model->view_single($gid);
					if(!empty($uid))
						$cek			= $this->groups_model->cek_member($uid, $gid);
					else
						$cek			= false;
					//if($cek) $data['member']		= 1; else $data['member']		= 0;
					$data['cate']	=	$this->category_model->select_list();
					$data['tes']	=	"process";
					$this->load->view('groups/single', $data);
				}
			}
			else{
				redirect("auth/login/");
			}
		}
		
		function featured($order = 'a.groups_name'){
			
			$uid				=	$this->session->userdata('users_id');
			$data['uid']		=	$uid;
			
			if($order == 'a.groups_name')
				$data['submenu']	=	"featured";
			elseif($order == 'a.groups_date_created desc')
				$data['submenu']	=	"popular";
				
				$data['login']		=	true;
				$data['page'] 		= 	"groups";
				$data["title"] 		= 	$this->config->item('home_title')." | "."Groups"; 
				$data['title'] 		= 	'Group | '.$this->config->item('home_title');
				$data['category']	=	$this->category_model->get_list();
				$data['profile'] = $this->redux_auth->profile();
				$sort	=	$this->uri->segment(4);
				$slug	=	$this->uri->segment(5);
				$page	=	$this->uri->segment(3);
				
				$data['tanggalan']	=	"";
				
				
				if($sort == 'all' || $sort == ''){
					if(empty($sort) && $page == 0) $page = 1;
					$data['glist_manage']	=	$this->groups_model->view_list('all', $page, $order);
					$count_row				=	$this->groups_model->row_view;
					$data['row_count']		=	$count_row;
					$data['categorysort']	=	'All Categories';
					$data['nextpage']		=	$page+1;
					$data['prevpage']		=	$page-1;
					$data['page']			=	$page;
					if(($count_row % 2) == 0)
					$data['maxpage']		=	($count_row / 2);
					else
					(int) $count_row;
					$data['maxpage']		=	($count_row / 2)+0.5;
				}
				else
				if($this->groups_model->check_category($sort, $slug)){
					$data['glist_manage']=	$this->groups_model->view_list($sort, $page, $order);
					$count_row				=	$this->groups_model->row_view;
					$data['row_count']		=	$count_row;
					$cat					=	$this->groups_model->getNameBySlug($slug);
					$data['categorysort']	=	$cat->term_name;
					$data['nextpage']		=	$page+1;
					$data['prevpage']		=	$page-1;
					$data['page']			=	$page;
					if(($count_row % 2) == 0)
					$data['maxpage']		=	($count_row / 2);
					else
					$data['maxpage']		=	($count_row / 2)+1;
				}
				
				//$data['glist_uid'] 	=	$this->groups_model->view_list_uid($uid);
				
				
				//$this->header();
				$this->load->view('groups/index', $data);
			
			/*
			$data['submenu']	=	"featured";
			$data["page"] 		= 	"groups";
			$data["title"] 		= 	$this->config->item('home_title')." | "."Groups"; 
			$data['title'] 		= 	'Group | '.$this->config->item('home_title');
			$uid				=	$this->session->userdata('users_id');
			$data['uid']		=	$uid;
			$data['glist_manage']=	$this->groups_model->view_list();
			$data['profile'] = $this->redux_auth->profile();
			$data['category']	=	$this->category_model->get_list();
			$this->load->view('groups/index', $data);
			*/
		}
		
		function popular(){
			
			$uid				=	$this->session->userdata('users_id');
			$data['uid']		=	$uid;
			
				$data['submenu']	=	"popular";
				$data['login']		=	true;
				$data['page'] 		= 	"groups";
				$data["title"] 		= 	$this->config->item('home_title')." | "."Groups"; 
				$data['title'] 		= 	'Group | '.$this->config->item('home_title');
				$data['category']	=	$this->category_model->get_list();
				$data['profile'] = $this->redux_auth->profile();
				$sort	=	$this->uri->segment(4);
				$slug	=	$this->uri->segment(5);
				$page	=	$this->uri->segment(3);
				
				$data['tanggalan']	=	"";
				
				
				if($sort == 'all' || $sort == ''){
					if(empty($sort) && $page == 0) $page = 1;
					$data['glist_manage']	=	$this->groups_model->view_list('all', $page, 'a.member_count');
					$count_row				=	$this->groups_model->row_view;
					$data['row_count']		=	$count_row;
					$data['categorysort']	=	'All Categories';
					$data['nextpage']		=	$page+1;
					$data['prevpage']		=	$page-1;
					$data['page']			=	$page;
					if(($count_row % 2) == 0)
					$data['maxpage']		=	($count_row / 2);
					else
					(int) $count_row;
					$data['maxpage']		=	($count_row / 2)+0.5;
				}
				else
				if($this->groups_model->check_category($sort, $slug)){
					$data['glist_manage']=	$this->groups_model->view_list($sort, $page, 'a.member_count desc');
					$count_row				=	$this->groups_model->row_view;
					$data['row_count']		=	$count_row;
					$cat					=	$this->groups_model->getNameBySlug($slug);
					$data['categorysort']	=	$cat->term_name;
					$data['nextpage']		=	$page+1;
					$data['prevpage']		=	$page-1;
					$data['page']			=	$page;
					if(($count_row % 2) == 0)
					$data['maxpage']		=	($count_row / 2);
					else
					$data['maxpage']		=	($count_row / 2)+1;
				}
				
				//$data['glist_uid'] 	=	$this->groups_model->view_list_uid($uid);
				
				
				//$this->header();
				$this->load->view('groups/index', $data);
			
			/*
			$data['submenu']	=	"featured";
			$data["page"] 		= 	"groups";
			$data["title"] 		= 	$this->config->item('home_title')." | "."Groups"; 
			$data['title'] 		= 	'Group | '.$this->config->item('home_title');
			$uid				=	$this->session->userdata('users_id');
			$data['uid']		=	$uid;
			$data['glist_manage']=	$this->groups_model->view_list();
			$data['profile'] = $this->redux_auth->profile();
			$data['category']	=	$this->category_model->get_list();
			$this->load->view('groups/index', $data);
			*/
		}
		
		function latest(){
			$this->featured('a.groups_date_created desc');
			
		}
		
		function page($id,$uname){
			
		}
		function manage($type,$action){
			
		}
		
		function specialAction($users_id=0,$myspecial=1,$mostactive=1,$latest=1,$isgroup=1)
		{
			if ($this->redux_auth->logged_in()){
				$data['profile'] = $this->redux_auth->profile();
				if ($users_id==0)
					$users_id=$data['profile']->users_id;
				$data["page"] = "Special Action";
				$data["title"] = $this->config->item('home_title')." | "."Special Action"; 
				$data["myspecial"]=$this->mySpecial($users_id,$myspecial,$mostactive,$latest,$isgroup);
				$data["mostactive"]=$this->myMostactive($users_id,$myspecial,$mostactive,$latest,$isgroup);
				$data["latest"]=$this->myLatest($users_id,$myspecial,$mostactive,$latest,$isgroup);
				$this->load->view("groups/view_sp",$data);
			}else{
				header('Location: '.base_url());
			}
		}
		
		function specialActionExpert()
		{
			if ($this->redux_auth->logged_in()){
				$data['profile'] = $this->redux_auth->profile();
				$this->specialAction($data['profile']->users_id,1,1,1,0);
			}else{
				header('Location: '.base_url());
			}
		}
		
		function mySpecial($users_id,$myspecial=1,$mostactive=1,$latest=1,$isgroup=1)
		{
			$page=$myspecial;
			$total_resources=$this->groups_model->countMySpecialAction($users_id,$isgroup);
			$total_page=$total_resources/5;
			if ($total_resources%5>0)
				$total_page++;
			$output="";
			$table_users=getUserTable();
			$result=$this->groups_model->getMySpecialAction($users_id,$page,$isgroup);
			$table_groups=getGroupTable();
			foreach ($result as $item):
			//$author_link=base_url()."profile/user".$item->user_id."/".url_title($item->full_name);
			if ($item->sp_id!="")
			{
			$output.="<div  class=\"tab-article\">
					<h2><a href=\"".base_url()."groups/eventview/$item->sp_host/".str_replace(' ','-',$table_groups[$item->sp_host])."/".str_replace(' ','-',$item->sp_name)."/$item->sp_id\" >".$item->sp_name ."</a></h2>
					<a href=\"".base_url()."groups/eventview/$item->sp_host/".str_replace(' ','-',$table_groups[$item->sp_host])."/".str_replace(' ','-',$item->sp_name)."/$item->sp_id\"  class=\"more-link first\" >Read More</a>
					<ul class=\"article-meta\">
						<li>Groups :".$table_groups[$item->sp_host]."</li>
						<li>Posted :".$item->start_date."</li>
						<li>".$item->total_folowers." Group Member joined</li>
					</ul>
					<p>".$item->sp_description."</p>
				</div>";
			}
			endforeach; 
			
			$after=2;
			$before=2;
			
			$before_page="";
			$count=1;
			for ($i=$page-1;$i>0;$i--)
			{
				$before_page.="<a href=\"".base_url()."groups/specialAction/$users_id/$i/$mostactive/$latest/$isgroup"."\"  class=\"previous\" >".$i."</a>";
				if ($count==2)
					break;
				else
					$count++;
			}
			$after_page="";
			$count=1;
			for ($i=$page+1;$i<$total_page;$i++)
			{
				$after_page.="<a href=\"".base_url()."groups/specialAction/$users_id/$i/$mostactive/$latest/$isgroup"."\"  class=\"previous\" >".$i."</a>";
				if ($count==2)
					break;
				else
					$count++;
			}
			
			$output.="<div  class=\"tab-article-paging\">";
			$output.="<a href=\"#\"  class=\"previous\" >Previous</a>";
			$output.=$before_page."<a href=\"#\"  class=\"next\" >$page</a>".$after_page;
			$output.="<a href=\"#\"  class=\"previous\" >Next</a>";
			$output.="</div>";
			
			return $output;
		}
		
		function myMostActive($users_id,$myspecial=1,$mostactive=1,$latest=1,$isgroup=1)
		{
			$page=$mostactive;
			$total_resources=$this->groups_model->countMostActiveSpecialAction($isgroup);
			//echo $total_resources;
			$total_page=$total_resources/5;
			if ($total_resources%5>0)
				$total_page++;
			$output="";
			$table_users=getUserTable();
			$result=$this->groups_model->getMostActiveSpecialAction($users_id,$page,$isgroup);
			$table_groups=getGroupTable();
			foreach ($result as $item):
			//$author_link=base_url()."profile/user".$item->user_id."/".url_title($item->full_name);
			if ($item->sp_id!="")
			{
			$output.="<div  class=\"tab-article special-action span-16 last\">
					<h2><a href=\"".base_url()."groups/eventview/$item->sp_host/".str_replace(' ','-',$table_groups[$item->sp_host])."/".str_replace(' ','-',$item->sp_name)."/$item->sp_id\" >".$item->sp_name ."</a></h2>
					<a href=\"".base_url()."groups/eventview/$item->sp_host/".str_replace(' ','-',$table_groups[$item->sp_host])."/".str_replace(' ','-',$item->sp_name)."/$item->sp_id\"  class=\"more-link first\" >Read More</a>
					<ul class=\"article-meta\">
						<li>Groups :".$table_groups[$item->sp_host]."</li>
						<li>Posted :".$item->start_date."</li>
						<li>".$item->total_folowers." Group Member joined</li>
					</ul>
					<p>".$item->sp_description."</p>
				</div>";
			}
			endforeach;
			
			$after=2;
			$before=2;
			
			$before_page="";
			$count=1;
			for ($i=$page-1;$i>0;$i--)
			{
				$before_page.="<a href=\"".base_url()."groups/specialAction/$users_id/$myspecial/$i/$latest/$isgroup"."\"  class=\"previous\" >".$i."</a>";
				if ($count==2)
					break;
				else
					$count++;
			}
			$after_page="";
			$count=1;
			for ($i=$page+1;$i<$total_page;$i++)
			{
				$after_page.="<a href=\"".base_url()."groups/specialAction/$users_id/$myspecial/$i/$latest/$isgroup"."\"  class=\"previous\" >".$i."</a>";
				if ($count==2)
					break;
				else
					$count++;
			}
			
			$output.="<div  class=\"tab-article-paging\">";
			$output.="<a href=\"#\"  class=\"previous\" >Previous</a>";
			$output.=$before_page."<a href=\"#\"  class=\"next\" >$page</a>".$after_page;
			$output.="<a href=\"#\"  class=\"previous\" >Next</a>";
			$output.="</div>";
			 
			return $output;
		}
		
		function myLatest($users_id,$myspecial=1,$mostactive=1,$latest=1,$isgroup=1)
		{
			$page=$mostactive;
			$total_resources=$this->groups_model->countMostActiveSpecialAction($isgroup);
			//echo $total_resources;
			$total_page=$total_resources/5;
			if ($total_resources%5>0)
				$total_page++;
			$output="";
			$table_users=getUserTable();
			$result=$this->groups_model->getLatestSpecialAction($users_id,$page,$isgroup);
			$table_groups=getGroupTable();
			foreach ($result as $item):
			//$author_link=base_url()."profile/user".$item->user_id."/".url_title($item->full_name);
			if ($item->sp_id!="")
			{
			$output.="<div  class=\"tab-article special-action span-16 last\">
					<h2><a href=\"".base_url()."groups/eventview/$item->sp_host/".str_replace(' ','-',$table_groups[$item->sp_host])."/".str_replace(' ','-',$item->sp_name)."/$item->sp_id\" >".$item->sp_name ."</a></h2>
					<a href=\"".base_url()."groups/eventview/$item->sp_host/".str_replace(' ','-',$table_groups[$item->sp_host])."/".str_replace(' ','-',$item->sp_name)."/$item->sp_id\"  class=\"more-link first\" >Read More</a>
					<ul class=\"article-meta\">
						<li>Groups :".$table_groups[$item->sp_host]."</li>
						<li>Posted :".$item->start_date."</li>
						<li>".$item->total_folowers." Group Member joined</li>
					</ul>
					<p>".$item->sp_description."</p>
				</div>";
			}
			endforeach;
			
			$after=2;
			$before=2;
			
			$before_page="";
			$count=1;
			for ($i=$page-1;$i>0;$i--)
			{
				$before_page.="<a href=\"".base_url()."groups/specialAction/$users_id/$myspecial/$mostactive/$i/$isgroup"."\"  class=\"previous\" >".$i."</a>";
				if ($count==2)
					break;
				else
					$count++;
			}
			$after_page="";
			$count=1;
			for ($i=$page+1;$i<$total_page;$i++)
			{
				$after_page.="<a href=\"".base_url()."groups/specialAction/$users_id/$myspecial/$mostactive/$i/$isgroup"."\"  class=\"previous\" >".$i."</a>";
				if ($count==2)
					break;
				else
					$count++;
			}
			
			$output.="<div  class=\"tab-article-paging\">";
			$output.="<a href=\"#\"  class=\"previous\" >Previous</a>";
			$output.=$before_page."<a href=\"#\"  class=\"next\" >$page</a>".$after_page;
			$output.="<a href=\"#\"  class=\"previous\" >Next</a>";
			$output.="</div>";
			 
			return $output;
		}
		
		function eventview(){
			$uid				= $this->session->userdata('users_id');
			$data['uid']		= $uid;
			$gid				= $this->uri->segment(3);
			$ename				= $this->uri->segment(5);
			$eid				= $this->uri->segment(6);
			$data['submenu']	= "view";
			$data['page'] 		= "groups";
			$data['title'] 		= 	'Group | '.$this->config->item('home_title'); 
			
			//cek eid dan ename disini
			$data['gsp'] 		= $this->groups_model->getNameEventById($eid, $ename);
			//$data['gmember'] 	= $this->groups_model->view_member($uid);
			
			if(!empty($uid))
				$cek			= $this->groups_model->cek_member($uid, $gid);
			else
				$cek			= false;
			if($cek) $data['member']	= 1; else $data['member']	= 0; 
			//GROUPS NAME
			$gname				=	$this->groups_model->getNameGroupById($gid);
			$data['spdetail']	=	$this->groups_model->getSpecialActionDetail($eid);
			$data['gname']		=	$gname->groups_name;
			//HEADER
			$data['profile'] = $this->redux_auth->profile();
			//TANGGALAN
			$cal = array(
	               3  => 'http://example.com/news/article/2006/03/',
	               7  => 'http://example.com/news/article/2006/07/',
	               13 => 'http://example.com/news/article/2006/13/',
	               26 => 'http://example.com/news/article/2006/26/'
	             );
			$data['tanggalan']	=	$this->calendar->generate(2009,10,$cal);
			$this->load->view("groups/event",$data);
		}
		
	function getStatusDetailGroup($page,$gid)
	{
		
		$output="<ul>";
		if ($page=="")
			$page=1;
		if ($this->redux_auth->logged_in()){
			$data['profile'] = $this->redux_auth->profile();
			
			$term_id=$this->comment_model->getTermID('wall');
			$recent_status=$this->status_model->getRecentStatusGroup($gid, $page);
			//echo $recent_status;
			foreach ($recent_status as $item): 
				$count=$this->comment_model->countComment($term_id,$item[3]);
					$user_link = base_url()."profile/user/".$item[0]."/".url_title($item[1]);
				$output.="		
						<li class=\"status\">
							<a href=\"".$user_link."\"  class=\"entity\" ><img src=".base_url().image_thumb($item[2], 32, 32)." title=\"user-thumb\"/>".$item[1]."</a>
							<p class=\"meta\">
							<strong>$count</strong> 	<a href=\"javascript:Effect.Combo('comment_form_".$item[3]."', {});\"   class=\"add add-comment\" > add</a> - 
							".getLikeGroups($term_id,$item[3],$data['profile']->users_id,1,10,$gid)."
						</p>
							<p>".$item[0]."</p><ul class=\"comment\">";
				$comment=$this->comment_model->getComments($term_id,$item[3]);			
				foreach ($comment as $i):
					$user_comment_link = base_url()."profile/user/".$i->users_id."/".url_title($i->full_name);
					$output.="<li class=\"status\">
								<a href=\"".$user_comment_link."\"  class=\"entity\" ><img src=\"".base_url().image_thumb($i->users_picture, 32, 32)."\" title=\"user-thumb\"/>$i->full_name</a>
								<p>".$i->comment_text." <span class=\"quiet wall-time\"> - ".nicetime($i->comment_date)."</span></p>
							</li>";		
				endforeach; 			
				$output.="</ul>
				</li><div id=\"comment_form_".$item[3]."\"  style=\"display: none;\">
						<textarea name=\"".$item[3]."\" id=\"".$item[3]."\"></textarea>
                        <input type=\"submit\" name=\"comment\" value=\"Post\" class=\"btn\" onclick=\"submitCommentGroups(".$item[3].",".$data['profile']->users_id.",".$gid.")\"  />                              
                     </div>";       
			endforeach; 
			//$output = $this->status_model->getLastStatus($data['profile']->users_id);
		}
		$output.="</ul>";
		return $output;
		
	}
	
  function submitLike($groups_id)
		{
			if($this->redux_auth->logged_in()){
				$data['profile'] = $this->redux_auth->profile();
				$this->like_model->add(3,$groups_id,$data['profile']->users_id,1,'');
				header('Location: '.getenv('HTTP_REFERER'));
			} else{		
					redirect("auth/login");
			}





		}
		
		function submitUnLike()
		{
			$term_id = $_POST['term_id'];
			$content_id = $_POST['content_id'];
			$user_id = $_POST['user_id'];
			$is_like = $_POST['is_like'];
			$info = $_POST['info'];
			$current_page=$_POST['current_page'];
			$user_status_id = $this->input->post("user_status_id");
			
			$submit = $this->like_model->delete($term_id,$content_id,$user_id,$is_like);
			//makeFeed($user_id,base_url()."notes","New Notes for my friends",4);
			//header('Location: '.getenv('HTTP_REFERER'));
			echo  $this->getStatusDetailGroup($current_page,$user_status_id);
		}
		
	function makeCalendar($groups_id,$year=0,$month=0)
	{
		if ($month==0)
			$month=date("m");
		
		if ($year==0)
			$year=date("Y");
		
		$prefs = array (
               'show_next_prev'  => TRUE,
               'next_prev_url'   => base_url().'home/index/'
             );


		$this->load->library('calendar', $prefs);


		$data = array();
		
		$result=$this->groups_model->getAllGroupsSpecialAction($groups_id,$month,$year);
		foreach ($result as $item):
			$data[$item->day]=base_url()."groups/viewspecialaction/$groups_id/".$item->year."/".$item->month."/".$item->day;
		endforeach;
		
		return $data;
		
		//echo $this->calendar->generate($year, $month, $data);
		//echo $this->calendar->generate($this->uri->segment(3), $this->uri->segment(4));
	}
	
	function viewSpecialAction($groups_id,$year,$month,$day)
	{
		if ($this->redux_auth->logged_in()){
				$data['profile'] = $this->redux_auth->profile();
				$data["page"] = "Special Action";

					
					
					//$data['glist_uid'] 	= $this->groups_model->view_list_uid($data['profile']->users_id);
					//$this->newsletter_model->add("TEST","TEST",$senddate,0);
				$data["title"] = $this->config->item('home_title')." | "."My Groups Special Action"; 
				$data["sp"]=$this->getSpecialGroupActionbyDate($year,$month,$day,$groups_id);
				$this->load->view("user/view_sp",$data);
			}else{
				$data['template'] = 'login_left';
			}
	}
	
	function getSpecialGroupActionbyDate($year,$month,$day,$groups_id)
	{
			
			$output="";
			$table_groups=getGroupTable();
			
			$result=$this->groups_model->getGroupsSpecialActionbyDate($year,$month,$day,$groups_id);
			foreach ($result as $item):
			//echo $item->sp_name;
			if ($item->sp_id !="")
			{
			$output.="<div  class=\"tab-article share span-11 last\">
					<h2><a href=\"".base_url()."groups/eventview/$item->sp_host/".str_replace(' ','-',$table_groups[$item->sp_host])."/".str_replace(' ','-',$item->sp_name)."/$item->sp_id\" >".$item->sp_name ."</a></h2>
					<a href=\"".base_url()."groups/eventview/$item->sp_host/".str_replace(' ','-',$table_groups[$item->sp_host])."/".str_replace(' ','-',$item->sp_name)."/$item->sp_id\"  class=\"more-link first\" >Read More</a>
					<ul class=\"article-meta\">
						<li>Groups :".$table_groups[$item->sp_host]."</li>
						<li>Posted :".$item->start_date."</li>
						<li>".$item->total_folowers." Group Member joined</li>
					</ul>
					<p>".$item->sp_description."</p>
				</div>";
			}
			endforeach; 
			return $output;
	}
	
	function getSpecialAction($groups_id,$page)
	{
			
			$table_groups=getGroupTable();
			$output="";
			$result=$this->groups_model->getGroupsSpecialAction($groups_id,$page);
			foreach ($result as $item):
			//echo $item->a.sp_name;
			if ($item->sp_id !="")
			{
			$output.="<div  class=\"tab-article share span-11 last\">
					<h2><a href=\"".base_url()."special_action/view/groups/".$item->sp_id."/".url_title($item->sp_name)."\" >".$item->sp_name ."</a></h2>
					<a href=\"".base_url()."special_action/view/groups/".$item->sp_id."/".url_title($item->sp_name)."\"  class=\"more-link first\" >Read More</a>
					<ul class=\"article-meta\">
						<li>Groups :".$table_groups[$item->sp_host]."</li>
						<li>Posted :".$item->start_date."</li>
						<li>".$item->total_folowers." Group Member joined</li>
					</ul>
					<p>".$item->sp_description."</p>
				</div>";
			}
			endforeach; 
			return $output;
	}

		
	function eventadd(){
			$data['submenu']	=	"add";
			$data["page"] 		= 	"groups";
			$data["title"] 		= 	$this->config->item('home_title')." | "."Groups"; 
			$data['title'] 		= 	'Group | '.$this->config->item('home_title');
			$uid				=	$this->session->userdata('users_id');
			$data['categorysort']	=	'Create Special Event';
			$data['profile'] = $this->redux_auth->profile();
			$data['category']	=	$this->category_model->get_list();
			$gid				= $this->uri->segment(3);
			if(!empty($uid))
				$cek			= $this->groups_model->cek_member($uid, $gid);
			else
				$cek			= false;
			if($cek) $data['member']	= 1; else $data['member']	= 0; 
			
			if($uid	!=	0){
			$data['cate']	=	$this->category_model->select_list();
			
			$this->form_validation->set_rules('name', 'Special Action Name', 'trim|required|min_length[4]|max_length[50]');
			$this->form_validation->set_rules('description', 'Description', 'trim|required');
			$this->form_validation->set_rules('tag', 'Tag Line', 'trim|required');
			$this->form_validation->set_rules('stdate', 'Start Date', 'trim|required');
			$this->form_validation->set_rules('location', 'Location', 'trim|required');
			//$this->form_validation->set_rules('pic', 'Group Picture', 'trim|required');
			$data['uid']		=	$uid;
			$gname				=	$this->groups_model->getNameGroupById($gid);
			$data['gname']		=	$gname->groups_name;	
						
			if ($this->form_validation->run() == FALSE)
			{
				$this->load->view("groups/add_sp", $data);
			}
			else
			{
				$name	=	isset($_POST["name"]) ? $_POST["name"] : "";
				$tag	=	isset($_POST['tag']) ? $_POST['tag']: "";
				//replace " " with "-"
				//$slug	=	str_replace(" ", "-", $slug);
				$location	=	isset($_POST['location']) ? $_POST['location']: "";
				$stdate	=	isset($_POST['stdate']) ? $_POST['stdate']: "";
				$endate	=	isset($_POST['endate']) ? $_POST['endate']: "";
				$description=	isset($_POST["description"]) ? $_POST["description"] : "";
				
				//	$uid	=	$this->session->userdata('users_id');
					//$date	=	date("Y-m-d H:i:s");
					
					//masukan code untuk upload picture group di bawah ini.
					
					$query['sp_host']			=	$gid;
					$query['sp_name']			=	$name;
					$query['sp_description']	=	$description;
					$query['sp_tagline']		=	$tag;
					$query['start_date']		=	$stdate;
					$query['end_date']			=	$endate;
					$query['term_id']			=	7;
					$query['sp_location']		=	$location;
					$query['is_group']			=	1;
					$hasil=$this->groups_model->insert_sp($query);
					//echo $hasil;
					if($hasil>0){
						/*$idgroup	=	$this->groups_model->get_id($uid, $date);
						$datanya['groups_id']	=	$idgroup->groups_id;
						$datanya['users_id']	=	$query['groups_creator'];
						$datanya['users_status']=	"admin";
						if($this->groups_model->insert_member($datanya)){
							$data['submenu']	=	"adds";
							$data["page"] 		= 	"groups";
							$data["title"] 		= 	$this->config->item('home_title')." | "."Groups"; 
							//$data['title'] 		= 	'Group | '.$this->config->item('home_title');
							$data['groupid']	=	$idgroup->groups_id;
							$data['groupslug']	=	$idgroup->groups_slug;
							$data['groupsname']	=	$idgroup->groups_name;*/
							$this->groups_model->addspfollowers($hasil,$data['uid']);
							$data['submenu']	=	"adds";
							$data["page"] 		= 	"groups";
							$data["title"] 		= 	$this->config->item('home_title')." | "."Groups";
							$this->load->view("groups/add_sp", $data);
						//}						
							
					}
			}
			}
			else{
				$data['submenu']	=	"no_session";
				//$this->load->view("groups/create_group", $data);
				redirect('auth/login/');
			}
		}
	

  
	
		
	function getDiscussion($users_id,$num=2,$page=1)
	{
			
			
			$output="";
			$table_users=getUserTable();
			$result=$this->discussion_model->getMyGroupDiscussion($users_id,$page,1,$num);

			
			foreach ($result as $item):
			$total_reply=$this->discussion_model->getTotal($item->discussion_id);
			$page_reply=$total_reply/5;
			if ($total_reply%5>0)
				$page_reply++;
			$expl=explode(".",$page_reply);
			$page_reply=$expl[0];
			$table_groups=getGroupTable();
			$page_reply=$total_reply/5;
			$output.="<div  class=\"tab-article share span-11 last\">
					<h2><a href=\"".base_url()."discussion/view/groups/".$item->discussion_id."\" >".$item->discussion_subject  ."</a></h2>
					<a class=\"more-link first\"  href=\"".base_url()."discussion/view/groups/".$item->discussion_id."\">Read More</a>
					<!--<a class=\"reply second\"  href=\"".base_url()."discussion/view/".$item->discussion_id."/".$page_reply."\">Last Reply</a>-->
					<ul class=\"article-meta\">
						<li>Posted :".$item->discussion_start ."</li>
						<li>".$total_reply." Reply</li>
					</ul>
					<p>".$item->discussion_topic ."</p>
				</div>";
			endforeach; 
			return $output;
	}
	
	function getGroupNotes($user_id,$num,$page)
		{
			$output="";
			$content=$this->notes_model->getGroupNotes($user_id,$num,$page);
			foreach ($content as $item)
			{
				$url = "notes/view/".$item->notes_id.'/'.url_title($item->notes_title);
				$output.="<div  class=\"tab-article\">
				<h2>".anchor($url,$item->notes_title)."</h2>
					".anchor($url,"Read More", array('class' => 'more-link first'))."
					
						
						<ul class=\"article-meta\">
                            <li>Author : <a class=\"entity\" href=\"#\">".$item->full_name."</a></li>
                            <li>Posted : ".nicetime($item->notes_date)."</li>
                            <li>24 Reply</li>
                        </ul>
				<p>".$item->notes_excerpt."</p>
                </div>";;
				
				
			}

			return $output;			
		}
		
		function getGroupShare($groups_id,$page,$num)
		{
			$output="";
			$content=$this->share_model->getGroupsShare($groups_id,$page,$num);
			foreach ($content as $item)
			{
				$author_link=base_url()."profile/user".$item->user_id."/".url_title($item->full_name);
				//$url = "notes/detail/".$item->notes_id;
				
				$output.="<div  class=\"tab-article\">
				<h2><a href=\"".base_url()."share/view/".$item->files_id."/".url_title($item->files_title)."\" >".$item->files_title."</a></h2>
					<img src=\"".$item->files_thumb."\"  class=\"med\"/>
					<a href=\"".base_url()."share/view/".$item->files_id."/".url_title($item->files_title)."\"  class=\"more-link first\" >Read More</a>
					<ul class=\"article-meta\">
						<li>Author : <a class=\"entity\"  href=\"".$author_link."\">".$item->full_name."</a></li>
						<li>Posted :".$item->files_date."</li>
					</ul>
					<p>".$item->files_desc."</p>
                </div>";
				
				
			}

			return $output;			
		}
		
		function browse($submenu="featured",$cat="all",$num=5,$page=0){
		if($this->redux_auth->logged_in()){
			$data["title"] = "Groups";
			$data["page"] = "groups";
			$data["submenu"] = $submenu;
			
			$config['uri_segment'] = 6;
			if($cat!="all"){
        $term = get_term_by_slug($cat);
        if(!empty($term)){
        $cat = $term->term_id;
        $category_sort = $term->term_name;
        }else{
          $cat = "all";
          $category_sort = "All Categories";
        }        
      }else{
        $cat = "all";
        $category_sort = "All Categories";
      }
			$data['category_sort']	=	$category_sort;
			if ($submenu == "my"){
				$data["groups"] = $this->groups_model->get_list($this->session->userdata("users_id"), "groups_name asc", $cat, $num, $page);
				$config['base_url'] = base_url()."groups/browse/my/".$cat."/".$num."/";
				$config['total_rows'] = $this->groups_model->total_groups($this->session->userdata("users_id"),$cat);
				$this->pagination->initialize($config);
				$data["pagination"] =  $this->pagination->create_links();
			}elseif ($submenu == "featured"){
				$data["groups"] = $this->groups_model->get_list(null, "groups_date_created desc", $cat, $num, $page);
				$config['base_url'] = base_url()."groups/browse/featured/".$cat."/".$num."/";
				$config['total_rows'] = $this->groups_model->total_groups(null,$cat);
				$this->pagination->initialize($config);
				$data["pagination"] =  $this->pagination->create_links();
			}elseif($submenu == "popular"){
				$data["groups"] = $this->groups_model->get_list(null, "member_count desc", $cat, $num, $page);
				$config['base_url'] = base_url()."groups/browse/popular/".$cat."/".$num."/";
				$config['total_rows'] = $this->groups_model->total_groups(null,$cat);
				$this->pagination->initialize($config);
				$data["pagination"] =  $this->pagination->create_links();
			}else{
        redirect("page404");
      }
			$this->load->view("groups/index",$data);
		}else{
			redirect("auth/login");
		}
	}
	
	function archive($id, $cat="all",$num=5,$page=0){
		if($this->redux_auth->logged_in()){
			$data["title"] = "Groups";
			$data["page"] = "groups";
      $data["profile_archive"] = $this->user_model->profile($id);
      if(!$data["profile_archive"]){
        redirect("page404");
      }			
			$config['uri_segment'] = 6;
			if($cat!="all"){
        $term = get_term_by_slug($cat);
        if(!empty($term)){
        $cat = $term->term_id;
        $category_sort = $term->term_name;
        }else{
          $cat = "all";
          $category_sort = "All Categories";
        }        
      }else{
        $cat = "all";
        $category_sort = "All Categories";
      }
			$data['category_sort']	=	$category_sort;
				$data["groups"] = $this->groups_model->get_list($id, "groups_name asc", $cat, $num, $page);
				$config['base_url'] = base_url()."groups/archive/".$id."/".$cat."/".$num."/";
				$config['total_rows'] = $this->groups_model->total_groups($id,$cat);
				$this->pagination->initialize($config);
				$data["pagination"] =  $this->pagination->create_links();
			$this->load->view("groups/archive",$data);
		}else{
			redirect("auth/login");
		}
	}
	
		function edit($groups_id,$groups_title)
		{
			if ($this->redux_auth->logged_in()){
				$data["page"] = "Groups";
				$data["title"] = $this->config->item('home_title')." | "."My Groups"; 	
				$data['gmeta'] 		= $this->groups_model->view_single($groups_id);
				$data['category']	=	$this->category_model->get_list();
				$this->load->view("groups/edit", $data);
			}
		}
		
		function update()
		{
			if ($this->redux_auth->logged_in()){
				$groups_id=$_POST['groups_id'];
				$name=$_POST['name'];
				$description=$_POST['description'];
				$category=$_POST['category'];
				$statusgr=$_POST['statusgr'];
				$files = "";
				$lokasi_file = $_FILES['picture']['tmp_name'];
				$nama_file=$_FILES['picture']['name'];

				$conf['upload_path'] = "./upload/groups/";
				$conf['allowed_types'] = "jpg|jpeg|gif";
				$this->load->library('upload', $conf);
				//echo $conf['upload_path'];
				if (!$this->upload->do_upload("picture"))
					//echo $this->upload->display_errors('<p>', '</p>');
					$files="upload/groups/pic-group-default.jpg";
				else
				{
					$result=$this->upload->data();
					$files="upload/groups/".$result['file_name'];
				}
				$this->groups_model->update($groups_id,$name,$description,$category,$statusgr,$files);
				header('Location: '.base_url().'admin/groups');
			}
		}
		

		
		function create_special_action($is_group,$host_id){
			if($this->redux_auth->logged_in()){
          if((($is_group=="groups")||($is_group==="experts"))&&($host_id>0)){
          
            $data['submenu']	=	"add";
  			    $data["page"] 		= "groups";
  			    $data["title"] 		= "Special Action"; 
            $data["users_id"] = $this->session->userdata("users_id");
            $data["host_id"] = $host_id;
            $data["is_group"]	=$is_group;		
      			$this->form_validation->set_rules('name', 'Special Action Name', 'trim|required|min_length[4]|max_length[50]');
      			$this->form_validation->set_rules('description', 'Description', 'trim|required');
      			$this->form_validation->set_rules('tag', 'Tag Line', 'trim');
      			$this->form_validation->set_rules('start_date', 'Start Date', 'trim|required|alpha_dash|min_length[8]|max_length[10]');
      			$this->form_validation->set_rules('end_date', 'End Date', 'trim|alpha_dash|min_length[8]|max_length[10]');
      			$this->form_validation->set_rules('start_hour', 'Start Hour', 'trim|required|integer|callback_time_check');
      			$this->form_validation->set_rules('end_hour', 'End Hour', 'trim|integer|callback_time_check');
      			$this->form_validation->set_rules('start_minute', 'Start Minute', 'trim|required|integer|callback_time_check');
      			$this->form_validation->set_rules('end_minute', 'End Minute', 'trim|integer|callback_time_check');
      			$this->form_validation->set_rules('location', 'Location', 'trim|required');
      			$this->form_validation->set_error_delimiters('<p class="error">', '</p>');
  			    if ($this->form_validation->run() == FALSE)
  			    {
  				      $this->load->view("groups/add_sp", $data);
  			    }
  			    else
  			    {
      				$name	=	$this->input->post("name");
      				$tag	=	$this->input->post("tag");
      				$location	=	$this->input->post("location");
      				$start_date	=	$this->input->post("start_date");
      				$end_date	=	$this->input->post("end_date");
      				$start_hour	=	$this->input->post("start_hour");
      				$end_hour	=	$this->input->post("end_hour");
      				$start_minute	=	$this->input->post("start_minute");
      				$end_minute	=	$this->input->post("end_minute");
      				$description=	$this->input->post("description");
      				$is_groups = ($is_group=="groups")?"1":"0";
      				
              $query['sp_host']			=	$host_id;
              $query['sp_name']			=	$name;
              $query['sp_description']	=	$description;
              $query['sp_tagline']		=	$tag;
              $query['start_date']		=	$start_date." ".$start_hour.":".$start_minute;
              $query['end_date']			=	$end_date." ".$end_hour.":".$end_minute;
              $query['term_id']			=	getTermID("special-action");
              $query['sp_location']		=	$location;
              $query['is_group']			=	1;
              $hasil=$this->groups_model->insert_sp($query);
  
  					  if($hasil>0){
  							$this->groups_model->addspfollowers($hasil,$data['users_id']);
                redirect("groups/view_special_action/".$hasil);
  					 }else{
                $this->load->view("groups/add_sp", $data);
             }
  			    }
  			  }else{
            redirect("page404");
          }
			}else{
				$data['submenu']	=	"no_session";
				redirect('auth/login/');
			}
		}
		
    function time_check(){
      $start_hour = $this->input->post("start_hour");
      $start_minute = $this->input->post("start_minute");
      $end_hour = $this->input->post("end_hour");
      $end_minute = $this->input->post("end_minute");
      if(($start_hour>=0)&&($start_hour<24)&&($start_minute>=0)&&($end_minute<60)&&($end_hour=="")&&($end_minute=="")){
        return true;
      }
      if((($start_hour<0)&&($start_hour>23)&&($end_hour<0)&&($end_hour>23))||(($start_minute<0)&&($start_minute>59)&&($end_minute<0)&&($end_minuter>60))){
        return false;
      }else{
        return true;
      }
    }
    function view_special_action($sp_id,$sp_name=""){
  		if($this->session->userdata("users_id")){
  		    $data['submenu']	= "special-action";
  			  $data['page'] 		= "groups";
  			  $sp = $this->groups_model->get_special_action_single($sp_id,1);
          if(!empty($sp)){
            $data["title"] = $sp->sp_name." | Special Action ";
            
            $data["special_action"] = $sp;
            $this->load->view("special-action/single",$data);
          }else{
            redirect("page404");
          }
      }else{
        redirect("auth/login");
      }
    }
	
	function joinrequest($page=1)
		{
			if ($this->redux_auth->logged_in()){
				$data["page"] = "Groups";
				$data["title"] = $this->config->item('home_title')." | "."My Groups"; 	
				$data["request"] = $this->getListRequest($page,$this->session->userdata("users_id"));
				$this->load->view("notifications/groups_request",$data);
			}else{
			redirect("auth/login");
			}
		}
		
		function getListRequest($page,$users_id)
		{
			$total_resources=$this->groups_model->getTotalGroupsRequest($users_id);
			$total_page=$total_resources/5;
			if ($total_resources%5>0)
				$total_page++;
			$output="";
			//$table_users=$this->user_model->profile();
			$result=$this->groups_model->getGroupsRequest($users_id,$page);
			foreach ($result as $item):
				$author_link=base_url()."profile/user".$item->users_id."/".url_title($item->full_name);
				$output.='<div id="" class="tab-article friend-request span-18 last">
						<h2><a href="'.$author_link.'" id="" class="" >'.$item->full_name.'</a></h2>
						<a href="'.base_url().'groups/denyJoin/'.$item->users_id.'/'.$item->groups_id.'" id="" class="no second" >Deny</a>
						<a class="accept third" id="" href="'.base_url().'groups/approveJoin/'.$item->users_id.'/'.$item->groups_id.'">Accept Request</a>
						<img src="'.base_url().$item->users_picture.'" alt=""class="med"/>
						<dl class="profile-meta" id="basic-meta">
							<dt>Groups</dt>
							<dd>'.$item->groups_name .'</dd>
						</dl>
					</div>';
			endforeach; 
			$after=2;
			$before=2;
			
			$before_page="";
			$count=1;
			for ($i=$page-1;$i>0;$i--)
			{
				$before_page.="<a href=\"".base_url()."groups/joinrequest/$i"."\"  class=\"previous\" >".$i."</a>";
				if ($count==2)
					break;
				else
					$count++;
			}
			$after_page="";
			$count=1;
			for ($i=$page+1;$i<$total_page;$i++)
			{
				$after_page.="<a href=\"".base_url()."groups/joinrequest/$i"."\"    class=\"previous\" >".$i."</a>";
				if ($count==2)
					break;
				else
					$count++;
			}
			
			$output.="<div  class=\"tab-article-paging\">";
			$output.="<a href=\"#\"  class=\"previous\" >Previous</a>";
			$output.=$before_page."<a href=\"#\"  class=\"next\" >$page</a>".$after_page;
			$output.="<a href=\"#\"  class=\"previous\" >Next</a>";
			$output.="</div>";
				
			return $output;
		}
		
		function approveJoin($users_id,$groups_id)
		{
			$this->groups_model->approveJoin($users_id,$groups_id);
			header('Location: '.getenv('HTTP_REFERER'));
		}
		
		function denyJoin($users_id,$groups_id)
		{
			$this->groups_model->denyJoin($users_id,$groups_id);
			header('Location: '.getenv('HTTP_REFERER'));
		}
		
		function specialactionarchive($groups_id,$page=1)
		{
			if ($this->redux_auth->logged_in()){
				$data["page"] = "Groups";
				$data["title"] = $this->config->item('home_title')." | "."My Groups"; 	
				$data['gmeta'] 		= $this->groups_model->view_single($groups_id);
				$data['sp']=$this->getSpecialActionArchive($groups_id,$page,$data['gmeta']->groups_name);
				$this->load->view("groups/sp_archive",$data);
			}else{
			redirect("auth/login");
			}
			
		}
		
		function getSpecialActionArchive($groups_id,$page,$groups_name='')
		{
					
				$table_groups=getGroupTable();
				$output="";
				$total_page=$this->groups_model->countGroupsSpecialAction($groups_id);
				$result=$this->groups_model->getGroupsSpecialAction($groups_id,$page);
				foreach ($result as $item):
				//echo $item->a.sp_name;
				if ($item->sp_id !="")
				{

				$output.="<div  class=\"tab-article special-action span-16 last\">
						<h2><a href=\"".base_url()."groups/eventview/$item->sp_host/".str_replace(' ','-',$table_groups[$item->sp_host])."/".str_replace(' ','-',$item->sp_name)."/$item->sp_id\" >".$item->sp_name ."</a></h2>
						<a href=\"".base_url()."groups/eventview/$item->sp_host/".str_replace(' ','-',$table_groups[$item->sp_host])."/".str_replace(' ','-',$item->sp_name)."/$item->sp_id\"  class=\"more-link first\" >Read More</a>
						<ul class=\"article-meta\">
							<li>Groups :".$table_groups[$item->sp_host]."</li>
							<li>Posted :".$item->start_date."</li>
							<li>".$item->total_folowers." Group Member joined</li>
						</ul>
						<p>".$item->sp_description."</p>
					</div>";
				}
				endforeach; 
				
				$after=2;
				$before=2;
				
				$before_page="";
				$count=1;
				for ($i=$page-1;$i>0;$i--)
				{
					$before_page.="<a href=\"".base_url()."groups/specialactionarchive/$groups_id/$i/".url_title($groups_name)."\"  class=\"previous\" >".$i."</a>";
					if ($count==2)
						break;
					else
						$count++;
				}
				$after_page="";
				$count=1;
				for ($i=$page+1;$i<$total_page;$i++)
				{
					$after_page.="<a href=\"".base_url()."groups/specialactionarchive/$groups_id/$i/".url_title($groups_name)."\"    class=\"previous\" >".$i."</a>";
					if ($count==2)
						break;
					else
						$count++;
				}
				
				$output.="<div  class=\"tab-article-paging\">";
				$output.="<a href=\"#\"  class=\"previous\" >Previous</a>";
				$output.=$before_page."<a href=\"#\"  class=\"next\" >$page</a>".$after_page;
				$output.="<a href=\"#\"  class=\"previous\" >Next</a>";
				$output.="</div>";
				
				return $output;
		}
		
		function sharearchive($groups_id,$page=1)
		{
			if ($this->redux_auth->logged_in()){
				$data["page"] = "Groups";
				$data["title"] = $this->config->item('home_title')." | "."My Groups"; 	
				$data['gmeta'] 		= $this->groups_model->view_single($groups_id);
				$data['share']=$this->getShareArchive($groups_id,$page,$data['gmeta']->groups_name);
				$this->load->view("groups/share_archive",$data);
			}else{
			redirect("auth/login");
			}
			
		}
		
		function getShareArchive($groups_id,$page,$groups_name='')
		{
				$num=5;
				$table_groups=getGroupTable();
				$output="";
				$total_page=$this->share_model->countGroupsShare($groups_id);
				$content=$this->share_model->getGroupsShare($groups_id,$page,$num);
				foreach ($content as $item)
				{
					$author_link=base_url()."profile/user".$item->user_id."/".url_title($item->full_name);
					//$url = "notes/detail/".$item->notes_id;
					
					$output.="<div  class=\"tab-article special-action span-16 last\">
					<h2><a href=\"".base_url()."share/view/".$item->files_id."/".url_title($item->files_title)."\" >".$item->files_title."</a></h2>
						<img src=\"".$item->files_thumb."\"  class=\"med\"/>
						<a href=\"".base_url()."share/view/".$item->files_id."/".url_title($item->files_title)."\"  class=\"more-link first\" >Read More</a>
						<ul class=\"article-meta\">
							<li>Author : <a class=\"entity\"  href=\"".$author_link."\">".$item->full_name."</a></li>
							<li>Posted :".$item->files_date."</li>
						</ul>
						<p>".$item->files_desc."</p>
					</div>";
					
					
				}
				
				$after=2;
				$before=2;
				
				$before_page="";
				$count=1;
				for ($i=$page-1;$i>0;$i--)
				{
					$before_page.="<a href=\"".base_url()."groups/sharearchive/$groups_id/$i/".url_title($groups_name)."\"  class=\"previous\" >".$i."</a>";
					if ($count==2)
						break;
					else
						$count++;
				}
				$after_page="";
				$count=1;
				for ($i=$page+1;$i<$total_page;$i++)
				{
					$after_page.="<a href=\"".base_url()."groups/sharearchive/$groups_id/$i/".url_title($groups_name)."\"    class=\"previous\" >".$i."</a>";
					if ($count==2)
						break;
					else
						$count++;
				}
				
				$output.="<div  class=\"tab-article-paging\">";
				$output.="<a href=\"#\"  class=\"previous\" >Previous</a>";
				$output.=$before_page."<a href=\"#\"  class=\"next\" >$page</a>".$after_page;
				$output.="<a href=\"#\"  class=\"previous\" >Next</a>";
				$output.="</div>";
				
				return $output;
		}
		
		function notesarchive($groups_id,$page=1)
		{
			if ($this->redux_auth->logged_in()){
				$data["page"] = "Groups";
				$data["title"] = $this->config->item('home_title')." | "."My Groups"; 	
				$data['gmeta'] 		= $this->groups_model->view_single($groups_id);
				$data['notes']=$this->getNotesArchive($groups_id,$page,$data['gmeta']->groups_name);
				$this->load->view("groups/notes_archive",$data);
			}else{
			redirect("auth/login");
			}
			
		}
		
		function getNotesArchive($groups_id,$page,$groups_name='')
		{
				$num=5;
				$table_groups=getGroupTable();
				$output="";
				$total_page=$this->notes_model->countGroupNotes($groups_id);
				$content=$this->notes_model->getGroupNotes($groups_id,5,$page);
				foreach ($content as $item)
				{
					$url = "notes/view/".$item->notes_id.'/'.url_title($item->notes_title);
					$output.="<div  class=\"tab-article special-action span-16 last\">
					<h2>".anchor($url,$item->notes_title)."</h2>
						".anchor($url,"Read More", array('class' => 'more-link first'))."
						<a class=\"delete second\" href=\"#\">Delete</a>
							
							<ul class=\"article-meta\">
								<li>Author : <a class=\"entity\" href=\"#\">".$item->full_name."</a></li>
								<li>Posted : ".nicetime($item->notes_date)."</li>
								<li>24 Reply</li>
							</ul>
					<p>".$item->notes_body."</p>
					</div>";
					
					
				}
				
				$after=2;
				$before=2;
				
				$before_page="";
				$count=1;
				for ($i=$page-1;$i>0;$i--)
				{
					$before_page.="<a href=\"".base_url()."groups/notesarchive/$groups_id/$i/".url_title($groups_name)."\"  class=\"previous\" >".$i."</a>";
					if ($count==2)
						break;
					else
						$count++;
				}
				$after_page="";
				$count=1;
				for ($i=$page+1;$i<$total_page;$i++)
				{
					$after_page.="<a href=\"".base_url()."groups/notesarchive/$groups_id/$i/".url_title($groups_name)."\"    class=\"previous\" >".$i."</a>";
					if ($count==2)
						break;
					else
						$count++;
				}
				
				$output.="<div  class=\"tab-article-paging\">";
				$output.="<a href=\"#\"  class=\"previous\" >Previous</a>";
				$output.=$before_page."<a href=\"#\"  class=\"next\" >$page</a>".$after_page;
				$output.="<a href=\"#\"  class=\"previous\" >Next</a>";
				$output.="</div>";
				
				return $output;
		}

		function discussionarchive($groups_id,$page=1)
		{
			if ($this->redux_auth->logged_in()){
				$data["page"] = "Groups";
				$data["title"] = $this->config->item('home_title')." | "."My Groups"; 	
				$data['gmeta'] 		= $this->groups_model->view_single($groups_id);
				$data['discussion']=$this->getDiscussionArchive($groups_id,$page,$data['gmeta']->groups_name);
				$this->load->view("groups/discussion_archive",$data);
			}else{
			redirect("auth/login");
			}
			
		}
		
		function getDiscussionArchive($groups_id,$page,$groups_name='')
		{
			$output="";
			$table_users=getUserTable();
			$total_page=$this->discussion_model->countMyGroupDiscussion($groups_id);
			$result=$this->discussion_model->getMyGroupDiscussion($groups_id,$page);

			
			foreach ($result as $item):
			$total_reply=$this->discussion_model->getTotal($item->discussion_id);
			$page_reply=$total_reply/5;
			if ($total_reply%5>0)
				$page_reply++;
			$expl=explode(".",$page_reply);
			$page_reply=$expl[0];
			$table_groups=getGroupTable();
			$page_reply=round($total_reply/5);
			$page_reply++;
			$output.="<div  class=\"tab-article special-action span-16 last\">
					<h2><a href=\"".base_url()."discussion/view/".$item->discussion_id."\" >".$item->discussion_subject  ."</a></h2>
					<a class=\"more-link first\"  href=\"".base_url()."discussion/view/".$item->discussion_id."\">Read More</a>
					<a class=\"reply second\"  href=\"".base_url()."discussion/view/".$item->discussion_id."/".$page_reply."\">Last Reply</a>
					<ul class=\"article-meta\">
						<li>Groups :</li>
						<li>Posted :".$item->discussion_start ."</li>
						<li>".$total_reply." Reply</li>
					</ul>
					<p>".$item->discussion_topic ."</p>
				</div>";
			endforeach; 
			
			$after=2;
				$before=2;
				
				$before_page="";
				$count=1;
				for ($i=$page-1;$i>0;$i--)
				{
					$before_page.="<a href=\"".base_url()."groups/discussionarchive/$groups_id/$i/".url_title($groups_name)."\"  class=\"previous\" >".$i."</a>";
					if ($count==2)
						break;
					else
						$count++;
				}
				$after_page="";
				$count=1;
				for ($i=$page+1;$i<$total_page;$i++)
				{
					$after_page.="<a href=\"".base_url()."groups/discussionarchive/$groups_id/$i/".url_title($groups_name)."\"    class=\"previous\" >".$i."</a>";
					if ($count==2)
						break;
					else
						$count++;
				}
				
				$output.="<div  class=\"tab-article-paging\">";
				$output.="<a href=\"#\"  class=\"previous\" >Previous</a>";
				$output.=$before_page."<a href=\"#\"  class=\"next\" >$page</a>".$after_page;
				$output.="<a href=\"#\"  class=\"previous\" >Next</a>";
				$output.="</div>";
			
			return $output;
		}
		
		function manageuser($groups_id)
		{
			if ($this->redux_auth->logged_in()){
				$data["page"] = "Groups";
				$data["title"] = $this->config->item('home_title')." | "."My Groups"; 	
				$data['gmeta'] 		= $this->groups_model->view_single($groups_id);
				$data['members'] = $this->getMembers($groups_id);
				$this->load->view("groups/manage_user",$data);
			}else{
			redirect("auth/login");
			}
			
		}
		
	function getMembers($groups_id)
	{
		$output="";
		if ($this->redux_auth->logged_in()){
			$data['profile'] = $this->redux_auth->profile();
			$result=$this->groups_model->view_member($groups_id);
				$names=array();
				$users_id=array();
				$pict=array();
				foreach ($result as $item):
					$names[].=$item->full_name;
					$uid=$item->users_id;
					$users_id[].=$uid;
					$pict[].=$this->user->getPictureThumb($uid);
				endforeach; 
				for ($i=0;$i<count($names);$i++)
				{
					$output.='	<tr>
									<td><input type="checkbox" name="users[]" value="'.$users_id[$i].'"/></td>
									<td><img class="small" alt="" src="'.image_thumb(base_url().$pict[$i],32,32).'"/></td>
									<td><h2><a href="'.base_url().'"profile/user/'.$users_id[$i].'/'.url_title($names[$i]).'" id="" class="" >'.$names[$i].'</a></h2></td>
								</tr>';
				}
		}
		return $output;
	}
	
	function deleteuser()
	{
			$users=$this->input->post('users');
			$groups_id=$this->input->post('groups_id');
			for ($i=0;$i<count($users);$i++)
			{
				$this->groups_model->leave_group($users[$i], $groups_id);
			}
			$gmeta=$this->groups_model->view_single($groups_id);
			header('Location: '.base_url().'/groups/view/'.$groups_id.'/'.url_title($gmeta->groups_name));
	}


	}
?>