<?php
class Notifications extends Controller {
	function index(){
		parent::Controller();
		$this->browse();
	}
	
	function browse($submenu="friends_request",$num=5,$page=0){
		if($this->redux_auth->logged_in()){
			$data["title"] = "Notifications";
			$data["page"] = "notifications";
			$data["submenu"] = $submenu;
			$config['uri_segment'] = 5;
			$config['base_url'] = base_url()."notifications/browse/".$submenu."/".$num."/";
			if ($submenu == "friends_request"){
				$data["friends_request"] = $this->friend_model->pending_list($this->session->userdata("users_id"),$num,$page);
				$config['total_rows'] = $this->friend_model->total_pending_list($this->session->userdata("users_id"));
				$this->pagination->initialize($config);
				$data["friends_request_pagination"] =  $this->pagination->create_links();
			}elseif ($submenu == "groups_invitation"){
				$data["groups_invitation"] = $this->groups_model->my_invitation($this->session->userdata("users_id"),$num,$page);
				$config['total_rows'] = $this->groups_model->total_my_invitation($this->session->userdata("users_id"));
				//echo $config['total_rows'];
				$this->pagination->initialize($config);
				$data["groups_invitation_pagination"] =  $this->pagination->create_links();
			}elseif($submenu == "special_action_invitation"){
				$data["special_action_invitation"] = $this->sa_model->invitation($this->session->userdata("users_id"),$num,$page);
				//$config['base_url'] = base_url()."friends/browse/popular/".$num."/";
				$config['total_rows'] = $this->sa_model->total_invitation($this->session->userdata("users_id"));
				$this->pagination->initialize($config);
				$data["special_action_invitation_pagination"] =  $this->pagination->create_links();
			}elseif($submenu == "new_consultation"){
				$data["new_consultation"] = $this->consultation_model->pending_question($this->session->userdata("users_id"),$num,$page);
				//$config['base_url'] = base_url()."friends/browse/popular/".$num."/";
				$config['total_rows'] = $this->consultation_model->notification_question($this->session->userdata("users_id"));
				$this->pagination->initialize($config);
				$data["new_consultation_pagination"] =  $this->pagination->create_links();
			}else{
        redirect("page404");
      }
			$this->load->view("notifications/index",$data);
		}else{
			redirect("auth/login");
		}
	}
}