<?php
class QA extends controller{
	function QA()
	{
		parent::Controller();
		$this->load->model('qa_model');
	}
	
	function index(){
		$data['page'] = "qa";
		$data['title'] = 'Ask the Experts | '.$this->config->item('home_title');
		
		$data['category'] = $this->category_model->get_list();
		$data['users'] = $this->qa_model->get_list();
		
		$this->load->view('qa/index', $data);
	}
	
	function category($id) {
		$data['page'] = "qa";
		$data['title'] = 'Ask the Experts | '.$this->config->item('home_title');

		$data['category'] = $this->category_model->get_list($id);
		$data['users'] = $this->qa_model->get_expert_by_category($id);
		
		$this->load->view('qa/index', $data);
	}
	
	function view($id){
		$user = $this->qa_model->get_person($id);
		$data['user'] = $user;
		
		$data['page'] = "qa";
		$data['title'] = 'Ask ' . $data['user']['username'] . ' as the Experts | '.$this->config->item('home_title');

		$this->load->view('qa/single',$data);
	}
	
	function answer($uname,$id){
		$data["page"] = "qa";
		$data["title"] = 'Ask '.$uname.' as the Experts | '.$this->config->item('home_title');
		$data["qa_id"] = $id;
		$this->load->view('qa/answer',$data);
	}
}
?>