<?php
class Resources extends Controller {
	function index(){
		 parent::Controller();
		 /*if($this->redux_auth->logged_in()){
			 $data["title"] = "Resources";
			 $data['profile'] = $this->redux_auth->profile();
			 $data["page"] = "resources";
			 $data["books"] = $this->getPage(20,1);
			 $data["training"] = $this->getPage(21,1);
			 $this->load->view("resources/index",$data);
		}else{		
			redirect("auth/login");
		}*/
		$this->browse();
	}
	
	function create(){
		 parent::Controller();
		 if($this->redux_auth->logged_in()){
			 $data["title"] = "Resources";
			 $data['profile'] = $this->redux_auth->profile();
			 $data["page"] = "resources";
			 $data["list_form"] = $this->resource_model->getListTerm();
			 $this->load->view("resources/create",$data);
		}else{		
			redirect("auth/login");
		}
	}
	
	
	function download(){
		if($this->redux_auth->logged_in()){
			
		}else{		
			redirect("auth/login");
		}
	}
	
	function add(){
		//proses form 
	}
	
	function submit(){
		 parent::Controller();
		 if($this->redux_auth->logged_in()){
			 $data["title"] = "Resources";
			 $data['profile'] = $this->redux_auth->profile();
			 $data["page"] = "resources";
			 $files_date=$_POST['files_date'];
			 $resource_description=$_POST['resource_description'];
			 //echo"$resource_description";
			 $term_id=$_POST['term_id'];
			 $file_description=$resource_description;
			 //echo"$file_description";
			 $lokasi_file=$_FILES['file_upload']['tmp_name'];
			 $nama_file=$_FILES['file_upload']['name'];
			 $conf['upload_path'] = "./upload/resources/";
			 $conf['allowed_types'] = "doc|pdf|ppt|jpg|jpeg|gif|png|flv|odt";

			 $this->load->library('upload', $conf);
			 //echo $conf['upload_path'];
			 if (!$this->upload->do_upload("file_upload"))
				echo $this->upload->display_errors('<p>', '</p>');
			 else
			 {
			 	$result=$this->upload->data();
				$files_link= upload_url()."resources/".$result['file_name'];
				$files_thumb="upload/resources/".str_replace(".","",$result['file_ext']).".gif";
				if ($this->upload->do_upload("file_thumb"))
				{
					$thumb=$this->upload->data();
					$files_thumb="upload/resources/".$thumb['file_name'];
					
				}
				$file_id=$this->resource_model->addFile($data['profile']->users_id,$result['file_name'],$result['raw_name'],$files_link,$files_thumb,$file_description,$files_date,$result['file_ext']);
				//echo $file_id;
				//echo $result['full_path'];
				$this->resource_model->addResource($term_id,$file_id,$resource_description);
			}
			 //echo $this->mimes[$this->getExtension($nama_file)];
			 //$this->load->view("resources/index",$data);
			 redirect("resources");
		}else{		
			redirect("auth/login");
		}
	}
	
	function getPage($term_id,$page)
	{
		$output="";
		$total_resources=$this->resource_model->getTotal($term_id);
		$total_page=$total_resources/5;
		if ($total_resources%5>0)
			$total_page++;
		$result=$this->resource_model->getContent($term_id,$page);
		foreach ($result as $item):
			$output.="<div id=\"\" class=\"tab-article\">
					<h2><a href=\"".$item->files_link."\" >".$item->files_name."</a></h2>
					<img src=\"".image_thumb($item->files_thumb,72,72)."\"  class=\"med\"/>
					<a href=\"".$item->files_link."\"  class=\"more-link first\" >Download</a>
					<ul class=\"article-meta\">
						<li>Posted :".$item->files_date."</li>
					</ul>
					<p>".$item->resources_description."</p>
				</div>";
		endforeach; 
		$after=2;
		$before=2;

		$output.="<div id=\"\" class=\"tab-article-paging\">";
		$output.="<a href=\"#\"  class=\"previous\" >Previous</a>";
		$output.="<a href=\"#\"  class=\"next\" >1</a>";
		$output.="<a href=\"#\"  class=\"previous\" >Next</a>";
		$output.="</div>";
		return $output;
	}
  
  function browse($submenu="books",$num=5,$page=0){
	if ($this->redux_auth->logged_in()){
	  $data["page"] = "resources";
		$data["title"] = "Resources";
		$data["submenu"]=$submenu;
		
		$config['uri_segment'] = 5;
		$config['base_url'] = base_url()."resources/browse/".$submenu."/".$num."/";

	   if ($submenu == "books"){
				$term = getTermID("books");
        $data["resources"] = $this->resource_model->getContent($term,$num,$page);
        $config['total_rows']=$this->resource_model->getTotal($term);
				$this->pagination->initialize($config);
				$data["pagination"] =  $this->pagination->create_links();
			}elseif ($submenu == "trainings"){
				$term = getTermID("trainings");
        $data["resources"] = $this->resource_model->getContent($term,$num,$page);
        $config['total_rows']=$this->resource_model->getTotal($term);
				$this->pagination->initialize($config);
				$data["pagination"] =  $this->pagination->create_links();
			}else{
        redirect("page404");
      }
      $this->load->view("resources/index",$data);
    }else{
      redirect("auth/login");
    }
  }
  
  function search($key=null,$num=5,$page=0){
      if ($this->redux_auth->logged_in()){
      $data["page"] = "resources";
		  $data["title"] = "Resources";
		  
		  $config['uri_segment'] = 5;
		  
		  if($key==null){
        $key = $this->input->post("key");
        if($key==false){
          $key = "";
        }
      }
		  $data['key'] = $key;
		  $config['base_url'] = base_url()."resources/search/".$key."/".$num."/";
		  $data["resources"] = $this->resource_model->search($key,$num,$page);
		  $config['total_rows'] = $this->resource_model->total_search($key);
			$this->pagination->initialize($config);
			$data["pagination"] =  $this->pagination->create_links();
		  $this->load->view("resources/search_result",$data);
		  }else{
      redirect("auth/login");
      }
  }
  
	
	
	
}
?>