<?php
class Wikimed extends Controller {
	
	function Wikimed()
    {
        parent::Controller();
        
        
        $this->output->set_header("Cache-Control: no-cache");
        $this->output->set_header("Pragma: nocache");
    }
	
	function index()
	{
		$this->categories("all","feature");
	}
	
	function categories($cat_slug="all",$order="feature")
	{
		$data['page'] = "wikimed";

		$data['cat_slug'] = $cat_slug;
		$data['order'] = $order;
		$data['title'] = 'Wikimed | '.$this->config->item('home_title');
		if ($order=="feature"){
			$order="date_revision desc";
		}else{
			$order="wm_hits desc";
		}
		$data['wlist'] = $this->wikimed_model->view_list($limit=10, $order, $cat_slug);
		$this->load->view('wikimed/index',$data);
	}
	function view($id,$title)
	{
		$this->load->model('ratings_model', 'ratings');
		$data['page'] = "wikimed";
		$data['order'] = "feature";
		$data['category'] = $this->category_model->get_list();
		$data['post'] = $this->wikimed_model->view_single($id);
		//$data['comments'] = $this->comment_model->view_list($id,"multimed");
		//$data['files'] = $this->multimed_model->view_supported_files($id);
		$data['title'] = $data['post']->wm_title." | ".$this->config->item('home_title');
		$this->load->view('wikimed/single',$data);
	}
	
	function flag($id,$title)
	{
		if($this->redux_auth->logged_in()){
			$this->db->select("flag");
		$this->db->where("wm_id",$id);
		$flag = $this->db->get("wikimed")->row()->flag;
		$this->db->update("wikimed",array("flag"=>($flag+1)),array("wm_id"=>$id));
			redirect('wikimed/view/'.$id.'/'.$title);
		}else{
			redirect('auth/login');
		}
	}
	
	function add(){
		
		$title = $this->input->post('title');
		$abstract = $this->input->post('abstract');
		$content = $this->input->post('content');
		$category = $this->input->post('category');
		$publish = $this->input->post('publish');
		$sender = $this->input->post('author');
		$this->wikimed_model->add($title,$abstract,$content,$category,$publish,$sender);
		header('Location: '.getenv('HTTP_REFERER'));
	}
	
	
	
	
	
}
?>