<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class groups_model extends Model {
	public $row_view;
    public function groups_model()
    {
        // Call the Model constructor
        parent::Model();
		$this->tables  = $this->config->item('tables');
    }
    
    public function get_id($uid, $date){
    	$this->tables['groups'];
		$this->db->where('groups_date_created', $date);
		$this->db->where('groups_creator', $uid);
		$i = $this->db->get('groups');
		if($i->num_rows() > 0)
		return $i->row();
		else
		return false;
	}
    
    public function view_mygroup($uid){
		$groups = $this->tables['groups'];
		$this->db->where('groups_creator', $uid);
		//$this->db->limit(6);
		$i = $this->db->get('groups');
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function view_list($sort,$page = 1,$order = 'a.groups_name'){
		$limit	=	($page - 1)*2;
		if($sort == "all"){
			$sql	=	"SELECT a. * , b. * , c. * , d . *
					FROM groups AS a, term AS b, users AS c, groups_members AS d
					WHERE c.users_id = a.groups_creator
					AND a.term_id = b.term_id
					AND d.groups_id = a.groups_id
					AND d.users_id = c.users_id
					ORDER BY $order
					LIMIT $limit, 2 ";
					
			$sql2	=	"SELECT a. * , b. * , c. * , d . *
					FROM groups AS a, term AS b, users AS c, groups_members AS d
					WHERE c.users_id = a.groups_creator
					AND a.term_id = b.term_id
					AND d.groups_id = a.groups_id
					AND d.users_id = c.users_id
					ORDER BY a.groups_name";
		}
		else{
			$sql	=	"SELECT a. * , b. * , c. * , d . *
					FROM groups AS a, term AS b, users AS c, groups_members AS d
					WHERE c.users_id = a.groups_creator
					AND a.term_id = b.term_id
					AND d.groups_id = a.groups_id
					AND d.users_id = c.users_id
					AND a.term_id = $sort
					ORDER BY $order
					LIMIT $limit, 2";
			$sql2	=	"SELECT a. * , b. * , c. * , d . *
					FROM groups AS a, term AS b, users AS c, groups_members AS d
					WHERE c.users_id = a.groups_creator
					AND a.term_id = b.term_id
					AND d.groups_id = a.groups_id
					AND d.users_id = c.users_id
					AND a.term_id = $sort
					ORDER BY a.groups_name";
		}
		$i = $this->db->query($sql2);
		$this->row_view	= $i->num_rows;
		$i = $this->db->query($sql);
		return ($i->num_rows > 0)? $i->result() : array();
		/*$groups = $this->tables['groups'];

		$user = $this->tables['users'];
		$usermeta = $this->tables['meta'];
		$category = $this->tables['category'];
		$cat_id = ($cat!="all")?$this->category_model->get_id($cat):0;
		$this->db->select($groups.".*");

		$this->db->select($user.".username");
		$this->db->select($category.".cat_name,".
						  $category.".cat_slug");
		$this->db->select($usermeta.".users_picture_thumb");
		$this->db->from($groups);

		$this->db->join($user, $user.'.users_id = '.$groups.'.groups_creator', 'left');
		$this->db->join($category,$category.'.cat_id = '.$groups.'.categories_cat_id','left');
			$this->db->join($usermeta, $user.'.users_id = '.$usermeta.'.users_id', 'left');
		if ($cat!="all"){
			$this->db->where($category.'.cat_slug',$cat);
			$this->db->or_where($category.'.cat_parent',$cat_id); 
		}
		$this->db->order_by($order);
		$this->db->limit($limit);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();*/
	}
	
	public function view_list_uid($uid, $sort, $page = 1){
		$limit	=	($page - 1)*2;
		if($sort == 'all'){
			$sql	=	"SELECT a. * , b. * , c. * , d . *
					FROM groups AS a, term AS b, users AS c, groups_members AS d
					WHERE c.users_id = a.groups_creator
					AND a.term_id = b.term_id
					AND d.groups_id = a.groups_id
					AND d.users_id = c.users_id
					AND c.users_id = $uid
					ORDER BY a.groups_name
					LIMIT $limit, 2";
			$sql2	=	"SELECT a. * , b. * , c. * , d . *
					FROM groups AS a, term AS b, users AS c, groups_members AS d
					WHERE c.users_id = a.groups_creator
					AND a.term_id = b.term_id
					AND d.groups_id = a.groups_id
					AND d.users_id = c.users_id
					AND c.users_id = $uid
					ORDER BY a.groups_name";
		}
		else{
			$sql	=	"SELECT a. * , b. * , c. * , d . *
					FROM groups AS a, term AS b, users AS c, groups_members AS d
					WHERE c.users_id = a.groups_creator
					AND a.term_id = b.term_id
					AND d.groups_id = a.groups_id
					AND d.users_id = c.users_id
					AND c.users_id = $uid
					AND a.term_id = $sort
					ORDER BY a.groups_name
					LIMIT $limit, 2";
			$sql2	=	"SELECT a. * , b. * , c. * , d . *
					FROM groups AS a, term AS b, users AS c, groups_members AS d
					WHERE c.users_id = a.groups_creator
					AND a.term_id = b.term_id
					AND d.groups_id = a.groups_id
					AND d.users_id = c.users_id
					AND c.users_id = $uid
					AND a.term_id = $sort
					ORDER BY a.groups_name";
		}
		
		$i = $this->db->query($sql2);
		$this->row_view	= $i->num_rows;
		$i = $this->db->query($sql);
		
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function view_list_manage($uid){
		$groups = $this->tables['groups'];

		$user = $this->tables['users'];
		$usermeta = $this->tables['meta'];
		$category = $this->tables['category'];
		$groups_member	= $this->tables['groups_member'];
		//$cat_id = ($cat!="all")?$this->category_model->get_id($cat):0;
		$this->db->select($groups.".*");
		$this->db->select($groups_member.".users_status");
		$this->db->select($user.".username");
		$this->db->select($category.".cat_name,".
						  $category.".cat_slug");
		$this->db->select($usermeta.".users_picture_thumb");
		$this->db->from($groups);

		$this->db->join($user, $user.'.users_id = '.$groups.'.groups_creator', 'left');
		$this->db->join($category,$category.'.cat_id = '.$groups.'.categories_cat_id','left');
		$this->db->join($usermeta, $user.'.users_id = '.$usermeta.'.users_id', 'left');
		$this->db->join($groups_member,$groups_member.".groups_id = ".$groups.".groups_id", 'left');
		$this->db->where($groups_member.".users_id", $uid);
		$this->db->where($user.".users_id", $uid);
		/*if ($cat!="all"){
			$this->db->where($category.'.cat_slug',$cat);
			$this->db->or_where($category.'.cat_parent',$cat_id); 
		}*/
		//$this->db->order_by($order);
		//$this->db->limit($limit);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function view_single($id){
		$groups = $this->tables['groups'];
		$user = $this->tables['users'];
		$usermeta = $this->tables['users_meta'];
		$term = $this->tables['term'];
		$this->db->select($groups.".*");

		$this->db->select($user.".full_name");
		$this->db->select($term.".term_name,".
						  $term.".term_slug");
		//$this->db->select($usermeta.".users_picture_thumb");
		$this->db->from($groups);

		$this->db->join($user, $user.'.users_id = '.$groups.'.groups_creator', 'left');
		$this->db->join($term,$term.'.term_id = '.$groups.'.term_id','left');
		$this->db->join($usermeta, $user.'.users_id = '.$usermeta.'.users_id', 'left');
		$this->db->where($groups.'.groups_id',$id);

		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->row() : array();
	}	
	
	public function view_comment($id)
	{
		$groups = $this->tables['groups'];
		$points = $this->tables['points'];
		$comment = $this->tables['comment'];
		$user = $this->tables['users'];
		$usermeta = $this->tables['meta'];
		$this->db->select($user.".username");
		$this->db->select($usermeta.".users_picture_thumb");
		$this->db->select($comment.".comment_date,".
						  $comment.".comment_text");
		$this->db->select($points.".points_level");
		$this->db->from($groups);
		$this->db->join($comment,$groups.".groups_id=".$comment.".related_id",'left');
		$this->db->join($user,$comment.".comment_sender=".$user.".users_id",'left');
		$this->db->join($usermeta,$user.".users_id=".$usermeta.".users_id",'left');
		$this->db->join($points,$user.".users_id=".$points.".users_id",'left');
		$this->db->where($groups.'.groups_id',$id);
		$this->db->where($comment.".comment_object","groups");
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function view_member($id,$status="member")
	{

		$member = $this->tables['groups_member'];
		$user = $this->tables['users'];
		$usermeta = $this->tables['users_meta'];
		$this->db->select($user.".full_name");
		$this->db->select($usermeta.".users_picture");
		$this->db->select($member.".groups_id,".
						  $member.".users_id,".
						  $member.".users_status");
		$this->db->from($member);
		$this->db->join($user,$user.".users_id=".$member.".users_id",'left');
		$this->db->join($usermeta,$user.".users_id=".$usermeta.".users_id",'left');

		$this->db->where($member.'.groups_id',$id);
		//$this->db->where($groups.'.groups_slug',$slug);
		$this->db->where($member.".users_status",$status);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	public function view_moderator($id,$status="member")
	{
    $groups = $this->tables['groups'];
		$member = $this->tables['groups_member'];
		$user = $this->tables['users'];
		$usermeta = $this->tables['users_meta'];
		$this->db->select($groups.".creator");
		$this->db->select($user.".full_name");
		$this->db->select($usermeta.".users_picture");
		$this->db->select($member.".groups_id,".
						  $member.".users_id,".
						  $member.".users_status");
		$this->db->from($member);
		$this->db->join($groups,$groups.".groupss_id=".$member.".groups_id",'left');
		$this->db->join($user,$user.".users_id=".$member.".users_id",'left');
		$this->db->join($usermeta,$user.".users_id=".$usermeta.".users_id",'left');
    $this->db->join($user,$user.".users_id=".$member.".users_id",'left');
		$this->db->join($usermeta,$user.".users_id=".$usermeta.".users_id",'left');
		$this->db->where($member.'.groups_id',$id);
		//$this->db->where($groups.'.groups_slug',$slug);
		$this->db->where($member.".users_status",$status);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function view_share($id)
	{
		$mfile = $this->tables['multimed_file'];
		$file = $this->tables['files'];
		$this->db->select($file.".files_name,".
						  $file.".files_link,".
						  $file.".files_desc");
		$this->db->from($file);
		$this->db->join($mfile,$mfile.".files_id=".$file.".files_id");
		$this->db->where($mfile.'.multimed_pm_id',$id);
		$this->db->where($mfile.".files_order >",'1');
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	function search($query,$num,$page,$cat="all")
	{
		$groups = $this->tables['groups'];

		$user = $this->tables['users'];
		$usermeta = $this->tables['users_meta'];
		$category = $this->tables['term'];
		$cat_id = ($cat!="all")?$this->category_model->get_id($cat):0;
		$this->db->select($groups.".*");
		
		$this->db->select($user.".full_name");
		$this->db->select($category.".term_name,".
						  $category.".term_slug");
		$this->db->select($usermeta.".users_picture");
		$this->db->from($groups);

		$this->db->join($user, $user.'.users_id = '.$groups.'.groups_creator', 'left');
		$this->db->join($category,$category.'.term_id = '.$groups.'.term_id','left');
			$this->db->join($usermeta, $user.'.users_id = '.$usermeta.'.users_id', 'left');
		if ($cat!="all"){
			$this->db->where($category.'.term_slug',$cat);
			$this->db->or_where($category.'.term_parent',$cat_id); 
		}
		$this->db->limit($num,$page);
		$this->db->like($groups.'.groups_name', $query);
		$this->db->orderby($groups.'.groups_date_created desc');
		$i = $this->db->get();
		$output	=	"";
		return ($i->num_rows > 0)? $i->result() : array();
		/*if($i->num_rows() > 0){
			$output		.=	"<ul>";
			foreach($i->result() as $row){
				$output	.=	"<li><strong>"	.	$row->groups_name	.	"</strong></li>";
				
			}
		}
		else{
			$output		.=	"<strong>No Result</strong>";
		}
		return $output;*/
	}
	
	function search_count($query,$cat="all")
	{
		$groups = $this->tables['groups'];
		$category = $this->tables['term'];
		$cat_id = ($cat!="all")?$this->category_model->get_id($cat):0;
		$this->db->select($groups.".*");
		$this->db->from($groups);
		$this->db->join($category,$category.'.term_id = '.$groups.'.term_id','left');
		if ($cat!="all"){
			$this->db->where($category.'.term_slug',$cat);
			$this->db->or_where($category.'.term_parent',$cat_id); 
		}
		$this->db->like($groups.'.groups_name', $query);
		$i = $this->db->get();
		return $i->num_rows ;
	}
	
	function select_group(){
		
		$tabel	=	$this->db->get();
		return $tabel;
	}
	
	function insert_member($data){
		if($this->db->insert('groups_members', $data))
			return true;
		else
			return false;
	}
	
	function insert_entry($data)
    {
    	
        if($this->db->insert('groups', $data))
			return true;
		else
			return false;
    }
    
	function cekstatus($uid,$gid)
	{
		$i = $i= $this->db->query("SELECT * FROM groups_members where users_id=$uid and groups_id=$gid");
		return ($i->num_rows > 0)? $i->row()->users_status : 'none';
	}
function cek_member($uid, $gid){
		$i= $this->db->query("SELECT * FROM groups_members where users_id=$uid and groups_id=$gid and (users_status='member' or users_status='admin')");
		if($i->num_rows > 0)
			return true;
		else
			return false;
	}
	
	function is_member($uid, $gid){
		$i= $this->db->query("SELECT * FROM groups_members where users_id=".$uid." and groups_id=".$gid." and (users_status='member' or users_status='admin')");
		if($i->num_rows > 0)
			return true;
		else
			return false;
	}
    
    function join_group($data)
    {
    	$this->db->delete('groups_members', $data); 
        if($this->db->insert('groups_members', $data))
			return true;
		else
			return false;
    }
    
    function leave_group($uid, $gid){
    	$sql	=	"delete from groups_members where users_id = $uid and groups_id = $gid";
		if($this->db->query($sql))
			return true;
		else
			return false;
	}
    
    function getNameBySlug($slug){
    	$slug	=	strtoupper($slug);
		$this->db->where('upper(term_slug)', $slug);
		$i	=	$this->db->get('term');
		if($i->num_rows > 0)
			return $i->row();
		else
			return false;
	}
	
	function getStatusUsers($uid, $gid){
		$this->db->where('users_id', $uid);
		$this->db->where('groups_id', $gid);
		$i	=	$this->db->get('groups_members');
		if($i->num_rows > 0)
			return $i->row();
		else
			return false;
	}
    
    function check_groupname($name){
		$this->db->where('upper(groups_slug)', $name);
		$i	=	$this->db->get('groups');
		if($i->num_rows > 0)
			return false;
		else
			return true;
	}
	
	function cek_gid_slug($gid, $slug){
		$this->db->where('groups_slug', $slug);
		$this->db->where('groups_id', $gid);
		$i	=	$this->db->get('groups');
		if($i->num_rows > 0)
			return true;
		else
			return false;
	}
	
	public function get_parent($tid)
	{
		$this->db->select('term_parent');
		$this->db->from('term');
		$this->db->where('term_id',$tid);
		$i = $this->db->get();
		$parent = $i->row()->term_parent;
		if($parent==0){
			return false;
		}else{
			$this->db->select('term_name');
			$this->db->select('term_slug');
			$this->db->from('categories');
			$this->db->where('term_id',$parent);
			$j = $this->db->get();
			return $j->row();
		}
	}
	
	function select_category(){
		$sql	=	"";
		
		$i = $this->db->query($sql);
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	function check_category($tid, $slug){
		$this->db->where('term_id', $tid);
		$this->db->where('term_slug', $slug);
		
		$i	=	$this->db->get('term');
		if($i->num_rows > 0 )
			return true;
		else
			return false;
	}

	function view_member2($gid, $slug){
		
	}

	public function getAllSpecialAction($users_id,$month,$year)
	{
		$query=$this->db->query("SELECT a . * ,month(start_date) month,year(start_date) year,day(start_date) day, b.follower_id
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and b.follower_id=$users_id and month(start_date)=$month and year(start_date)=$year");
		return $query->result();

	}
	
	
	public function countSpecialAction($users_id)
	{
		$query=$this->db->query("SELECT a . * , b.follower_id
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and b.follower_id=$users_id ");
		$output=$this->db->count_all_results();
		return $output;

	}
	
	public function getSpecialAction($users_id,$page,$num=5)
	{
		$start=($page-1)*$num;
		$query=$this->db->query("SELECT a . * , b.follower_id, count(b.sp_id) total_folowers
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and b.follower_id=$users_id 
									GROUP BY b.sp_id
									Limit $start,$num");
		return $query->result();

	}
	
	public function getMySpecialAction($users_id,$page,$isgroup=1,$num=5)
	{
		$start=($page-1)*$num;
		$query=$this->db->query("SELECT a . * ,month(start_date) month,year(start_date) year,day(start_date) day, count(b.sp_id) total_folowers
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and b.follower_id=$users_id and a.is_group=$isgroup 
									GROUP BY b.sp_id order by start_date desc
									Limit $start,$num");
									
		return $query->result();

	}

	public function countMySpecialAction($users_id,$isgroup=1)
	{
		$query=$this->db->query("SELECT a . * ,month(start_date) month,year(start_date) year,day(start_date) day, b.follower_id
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and b.follower_id=$users_id and a.is_group=$isgroup 
									GROUP BY b.sp_id order by start_date desc");
		$output=$this->db->count_all_results();
		return $output;

	}
	
	public function getMostActiveSpecialAction($users_id,$page,$isgroup=1,$num=5)
	{
		$start=($page-1)*$num;
		$query=$this->db->query("SELECT a . * ,month(start_date) month,year(start_date) year,day(start_date) day, count(b.sp_id) total_folowers
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and a.is_group=$isgroup 
									GROUP BY b.sp_id order by total_folowers desc
									
									Limit $start,$num");
		return $query->result();

	}
	
	public function countMostActiveSpecialAction($isgroup=1)
	{

		$query=$this->db->query("SELECT a . * ,month(start_date) month,year(start_date) year,day(start_date) day, count(b.sp_id) total_folowers
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and a.is_group=$isgroup GROUP BY b.sp_id order by total_folowers desc
									");
		$output=$this->db->count_all_results();
		return $output;

	}
	
	public function getLatestSpecialAction($users_id,$page,$isgroup=1,$num=5)
	{
		$start=($page-1)*$num;
		$query=$this->db->query("SELECT a . * ,month(start_date) month,year(start_date) year,day(start_date) day, count(b.sp_id) total_folowers
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and a.is_group=$isgroup GROUP BY b.sp_id order by start_date desc
									Limit $start,$num");
		return $query->result();

	}
	
	
	function getNameEventById($eid, $ename){
		$ename	=	str_replace('-', ' ', $ename);
		$sql	=	"SELECT a . * , b.groups_name
					FROM special_action AS a, groups AS b
					WHERE b.groups_id = a.sp_host
					AND a.sp_id = $eid
					AND a.sp_name = '$ename'
					ORDER BY start_date";
		
		$i	=	$this->db->query($sql);
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function getNameGroupById($gid){
		$this->db->where("groups_id", $gid);
		$i	=	$this->db->get("groups");
		
		return ($i->num_rows > 0)? $i->row() : array();
	}
	
	public function getSpecialActionDetail($sp_id)
	{
		$this->db->from("special_action");
		$this->db->where("sp_id",$sp_id);	
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();	
	}
	
	public function getMySpecialActionbyDate($year,$month,$day,$users_id)
	{
		$start_date=$year."-".$month."-".$day;
		$query=$this->db->query("SELECT a . * , b.follower_id, count(b.sp_id) total_folowers
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and b.follower_id=$users_id and date(a.start_date)='$start_date' GROUP BY b.sp_id");
		return $query->result();

	}
	
	function friendAlreadyJoin($uid, $gid){
		$sql	=	"SELECT distinct a.*, d.users_picture
						FROM users AS a, groups AS b, groups_members AS c, users_meta as d
						WHERE a.users_id = c.users_id
						AND b.groups_id = c.groups_id
						AND b.groups_id = $gid
						AND	(c.users_status = 'member' OR c.users_status = 'admin')
						AND	a.users_id != $uid
						and a.users_id=d.users_id
						ORDER BY a.username";
						
		$i		=	$this->db->query($sql);
		
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	function selectFriendInvitation($uid, $gid){
		$sql	=	"SELECT distinct a . * , b.users_picture
						FROM users AS a
            JOIN users_meta AS b
            ON a.users_id = b.users_id
						WHERE a.users_id NOT
						IN (						
						SELECT c.users_id
						FROM groups_members AS c
						WHERE c.groups_id = $gid
						AND (c.users_status = 'member'
						OR c.users_status = 'pending'
						OR c.users_status = 'invite')
            )
						AND(
            (a.users_id
            IN (
            SELECT d.users_id_request 
            FROM friendship AS d 
            WHERE d.users_id_approve=$uid 
            AND d.status='friend'
            )) 
            OR
            (a.users_id 
            IN (
            SELECT e.users_id_approve 
            FROM friendship AS e
            WHERE e.users_id_request=$uid and status='friend'
            ))
            )
            AND 
            a.users_id NOT IN(
            SELECT f.groups_creator
            FROM groups AS f
            WHERE f.groups_id=$gid
            )
            ORDER BY a.full_name";
		/*$sql	=	"SELECT distinct a . * , b.users_picture
						FROM users AS a, users_meta AS b
						WHERE a.users_id NOT
						IN (						
						SELECT a.users_id
						FROM users AS a, groups AS b, groups_members AS c
						WHERE a.users_id = c.users_id
						AND b.groups_id = c.groups_id
						AND b.groups_id = $gid)
						AND a.users_id NOT
						IN	(
						SELECT DISTINCT a . users_id
						FROM users AS a, users_meta AS b, groups_invitation AS c
						WHERE a.users_id = c.to
						AND c.from = $uid
						AND c.groups_id = $gid
						ORDER BY a.username
						)
						ORDER BY a.username";*/
						
		$i		=	$this->db->query($sql);
		
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	function friendAlreadyInvited($uid, $gid){
		$sql	=	"SELECT distinct a . * , b.users_picture
						FROM users AS a
            JOIN users_meta AS b
            ON a.users_id = b.users_id
						WHERE
            a.users_id IN (
            SELECT c.users_id
						FROM groups_members AS c
						WHERE c.groups_id = $gid
						AND c.users_status = 'invite')
						AND(
            (a.users_id
            IN (
            SELECT d.users_id_request 
            FROM friendship AS d 
            WHERE d.users_id_approve=$uid 
            AND d.status='friend'
            )) 
            OR
            (a.users_id 
            IN (
            SELECT e.users_id_approve 
            FROM friendship AS e
            WHERE e.users_id_request=$uid and status='friend'
            ))
            )
            ORDER BY a.full_name";
						
		$i		=	$this->db->query($sql);
		
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	function friendMember($uid, $gid){
		$sql	=	"SELECT distinct a . * , b.users_picture
						FROM users AS a
            JOIN users_meta AS b
            ON a.users_id = b.users_id
						WHERE ((a.users_id
						IN (						
						SELECT c.users_id
						FROM groups_members AS c
						WHERE c.groups_id = $gid
						AND (c.users_status = 'member'
						OR c.users_status = 'admin')
            )
            )
            OR 
            (a.users_id IN(
            SELECT f.groups_creator
            FROM groups AS f
            WHERE f.groups_id=$gid
            ))
            )
						AND(
            (a.users_id
            IN (
            SELECT d.users_id_request 
            FROM friendship AS d 
            WHERE d.users_id_approve=$uid 
            AND d.status='friend'
            )) 
            OR
            (a.users_id 
            IN (
            SELECT e.users_id_approve 
            FROM friendship AS e
            WHERE e.users_id_request=$uid and status='friend'
            ))
            )
            ORDER BY a.full_name";
						
		$i		=	$this->db->query($sql);
		
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function getAllGroupsSpecialAction($groups_id,$month,$year)
	{
		$query=$this->db->query("SELECT a . * ,month(start_date) month,year(start_date) year,day(start_date) day
									FROM special_action a
									WHERE  sp_host=$groups_id and month(start_date)=$month and year(start_date)=$year");
		return $query->result();

	}
	
	public function getGroupsSpecialActionbyDate($year,$month,$day,$groups_id)
	{
		$start_date=$year."-".$month."-".$day;
		$query=$this->db->query("SELECT a . * , b.follower_id, count(b.sp_id) total_folowers
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and a.sp_host=$groups_id and date(a.start_date)='$start_date' GROUP BY b.sp_id");
									
		return $query->result();

	}
	
	public function getGroupsSpecialAction($users_id,$page,$num=5)
	{
		$start=($page-1)*$num;
		$query=$this->db->query("SELECT a . * , b.follower_id, count(b.sp_id) total_folowers
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and a.sp_host=$users_id 
									GROUP BY b.sp_id

									Limit $start,$num");
		
		return $query->result();

	}
	
	public function countGroupsSpecialAction($users_id)
	{
		$query=$this->db->query("SELECT a . * , b.follower_id, count(b.sp_id) total_folowers
									FROM special_action a, special_action_follower b
									WHERE a.sp_id = b.sp_id and a.sp_host=$users_id 
									GROUP BY b.sp_id");
		
		$output=$this->db->count_all_results();
		return $output;

	}
	
	function insert_sp($data)
    {
    	
        if($this->db->insert('special_action', $data))
		{
			$query=$this->db->query("select max(sp_id) sp_id from special_action where sp_host=".$data['sp_host']);
			$sp_id=0;
			foreach ($query->result() as $row)
			{
				$sp_id=$row->sp_id;
			}
			
			return $sp_id;
		}
		else
			return 0;
    }
	
	function addspfollowers($sp_id,$users_id)
	{
		$data['sp_id']=$sp_id;
		$data['follower_id']=$users_id;
		$this->db->insert('special_action_follower', $data);
		
	}
	
	function invite($groups_id,$users_id)
	{
		$data['groups_id']=$groups_id;
		$data['users_id']=$users_id;
		$data['users_status']="invite";
		if ($this->hasJoined($users_id, $groups_id)==0)
		{
			if ($this->join_group($data))
				return true;
			else
				return false;
		}else
		{
			return false;
		}
	}
	
	function hasJoined($users_id, $groups_id)
	{
		$this->db->from("groups_members");
		$this->db->where("users_id",$users_id);
        $this->db->where("groups_id",$groups_id);
		$output=$this->db->count_all_results();
		return $output;
	}
	
	public function get_list($uid=null, $order="groups_date_created desc", $sort="all", $num=5, $page = 0){
		//$limit	=	($page - 1)*2;
		$this->db->select("groups.*");
		$this->db->select("users.full_name");
		$this->db->select("term.*");
		$this->db->from("groups");
		$this->db->join("users","users.users_id=groups.groups_creator","left");
		$this->db->join("term","groups.term_id=term.term_id","left");
		$this->db->join("groups_members","groups.groups_id=groups_members.groups_id","left");
		if($uid!=null){
    //$this->db->where("groups_creator",$uid);
    $where = "(groups_creator=".$uid. " OR(groups_members.users_id=".$uid." AND (groups_members.users_status='member' OR groups_members.users_status='admin')))";
    
    $this->db->where($where);
    
    }
    if($sort != 'all'){
      $this->db->where("groups.term_id",$sort);
    }
    $this->db->group_by("groups.groups_id");
    $this->db->order_by($order);
    $this->db->limit($num,$page);
		$i = $this->db->get();
		
		return ($i->num_rows > 0)? $i->result() : array();
	}

  public function total_groups($uid=null, $sort="all"){
		$this->db->select("groups.*");
		$this->db->select("users.full_name");
		$this->db->select("term.*");
		$this->db->select("groups_members.*");
		$this->db->from("groups");
		$this->db->join("users","users.users_id=groups.groups_creator");
		$this->db->join("term","groups.term_id=term.term_id");
		$this->db->join("groups_members","groups.groups_id=groups_members.groups_id");
		if($uid!=null){
    //$this->db->where("groups_creator",$uid);
    $where = "(groups_creator=".$uid. " OR(groups_members.users_id=".$uid." AND (groups_members.users_status='member' OR groups_members.users_status='admin')))";
    
    $this->db->where($where);
    
    }
    if($sort != 'all'){
      $this->db->where("groups.term_id",$sort);
    }
		$this->db->group_by("groups.groups_id");
    $i = $this->db->get();
		
		return ($i->num_rows > 0)? $i->num_rows() : 0;
	}
	
	function my_invitation($user_id,$num=5,$page=0){
		$this->db->select("groups.*");
		$this->db->select("users.full_name");
		$this->db->select("term.*");
		$this->db->from("groups");
		$this->db->join("users","users.users_id=groups.groups_creator","left");
		$this->db->join("term","groups.term_id=term.term_id","left");
		$this->db->join("groups_members","groups.groups_id=groups_members.groups_id","left");
     $this->db->where("groups_members.users_id",$user_id);
     $this->db->where("groups_members.users_status","invite");
     $this->db->order_by("groups_name");
     $this->db->limit($num,$page);
       $i = $this->db->get();
     return ($i->num_rows > 0)? $i->result() : 0;
  }
  
  function total_my_invitation($user_id){
     $this->db->from("groups_members");
     $this->db->where("users_id",$user_id);
     $this->db->where("users_status","invite");
       $i = $this->db->get();
     return ($i->num_rows > 0)? $i->num_rows() : 0;
  }
  
  public function get_latest_special_action($is_group=null,$num=5,$page=0)
	{
		$str = "SELECT a . * ,month(start_date) month,year(start_date) year,day(start_date) day, count(b.sp_id) total_folowers
									FROM special_action a LEFT JOIN special_action_follower b on a.sp_id = b.sp_id ";
		$str .= ($is_group==null)?"":" WHERE a.is_group=".$is_group;
		$str .= " GROUP BY b.sp_id order by start_date desc ";
		$str .= " LIMIT ".$page.",".$num;
		//echo $str;
		$query=$this->db->query($str);
		return ($query->num_rows > 0)? $query->result() : array();

	}
	
	public function get_special_action_single($sp_id,$is_group)
	{
		$this->db->from("special_action");
		if($is_group=="1"){
      $this->db->join("groups","special_action.sp_host=groups.groups_id");
    }else{
      $this->db->join("users_meta","special_action.sp_host=users_meta.users_id");
      $this->db->join("users","special_action.sp_host=users.users_id");
    }
		$this->db->where("sp_id",$sp_id);
    $this->db->limit(1);	
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->row() : array();
    
	}
	
	public function groupsShare($groups_id,$content_id,$term_id,$users_id)
	{
		$data = array('groups_id'=>$groups_id,
					  'content_id'=>$content_id,
					  'term_id'=>$term_id,
					  'users_id'=>$users_id
					  );
		$this->db->insert('groups_share', $data);
	}
	
	public function getAllGroups($page,$num=5)
	{
		$start=(($page-1)*$num);
		$end=$page*$num;
		$this->db->from("groups");
		$this->db->limit($end,$start);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function update($groups_id,$groups_name,$groups_description,$term_id,$groups_status,$groups_profilepic)
	{
		$data = array('groups_name'=>$groups_name,
					  'groups_description'=>$groups_description,
					  'groups_status'=>$groups_status,
					  'groups_profilepic'=>$groups_profilepic,
					  'term_id'=>$term_id
					  );
					  
					  $this->db->where('groups_id', $groups_id);
					  $this->db->update('groups', $data); 
	}
	
	public function delete($groups_id)
	{
		$this->db->delete('groups', array('groups_id' => $groups_id));
		$this->db->delete('groups_members', array('groups_id' => $groups_id)); 
	}
	
	public function getGroupsRequest($users_id,$page,$num=5)
	{
		$end=$page*$num;
		$start=(($page-1)*$num);
		$query=$this->db->query("select a.*,b.*, d.* from groups a, users_meta b, groups_members c, users d where d.users_id=b.users_id and c.groups_id=a.groups_id and b.users_id=c.users_id and a.groups_id in (select groups_id from groups_members where users_id=$users_id and users_status='admin') 
		and c.users_status='pending'
		Limit $start,$num");
		
		return $query->result();
	}
	
	public function getTotalGroupsRequest($users_id)
	{

		$query=$this->db->query("select a.*,b.*, d.* from groups a, users_meta b, groups_members c, users d where d.users_id=b.users_id and c.groups_id=a.groups_id and b.users_id=c.users_id and a.groups_id in (select groups_id from groups_members where users_id=$users_id and users_status='admin') 
		and c.users_status='pending'");
		$output=$query->num_rows;
		return $output;
	}
	
	function approveJoin($users_id,$groups_id)
	{
		$data = array('users_status '=>'member'
					  );
					  
					  $this->db->where('users_id', $users_id);
					  $this->db->where('groups_id', $groups_id);
					  $this->db->update('groups_members ', $data); 
	}
	
	function denyJoin($users_id,$groups_id)
	{
		$data = array('users_id '=>$users_id,
						'groups_id '=>$groups_id
					  );
					  $this->db->delete('groups_members', $data); 
	}

	public function get_all_group($uid){
		//$limit	=	($page - 1)*2;
		$this->db->select("groups.groups_id gid");
		$this->db->from("groups");
		$this->db->join("groups_members","groups.groups_id=groups_members.groups_id","left");
		if($uid!=null){
			//$this->db->where("groups_creator",$uid);
			$where = "(groups_creator=".$uid. " OR(groups_members.users_id=".$uid." AND (groups_members.users_status='member' OR groups_members.users_status='admin')))";
			$this->db->where($where);
		}
		$i = $this->db->get();	
		$all_group = array();
		foreach ($i->result_array() as $row)
		{
			$all_group[]=$row["gid"];
		}
		return $all_group;
	}

		
}
?>