<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class News_model extends Model {

    public function news_model()

    {

        // Call the Model constructor

        parent::Model();


    }

	

	public function add($author,$title,$news,$excerpt)

	{

		/*$this->db->query("select max(note_id)  last_id from news");

		$i = $this->db->get();

		$last=0;		

		if ($i->num_rows()>0)

		{

			foreach ($i->result() as $result)

			{

				$last=$result->last_id;

			} 

		}*/



		

		//$last++;

		if (trim($excerpt)=="")

			$excerpt=cutText($news,40);

		$date=date('Y-m-d h:i:s');
		
		$news_permalink = url_title($title);

		$data = array('news_author'=>$author,

					  'news_excerpt'=>$excerpt,

					  'news_body'=>$news,
					  
					  'news_permalink'=>$news_permalink,

					  'news_title'=>$title,

					  'news_date'=>$date,
					  
					  'news_status' => "publish"

					  );

		$this->db->insert('news', $data);
		$id= 0;
		if($this->db->affected_rows() > 0){
			$id = $this->db->insert_id();
			
			return $id;
		}else{
			return $id;
		}
		//return ($this->db->affected_rows() > 0) ? true : false;

	}

	public function updateCommentCount($news_id,$count){
	$this->db->update("news", array("comment_count"=>$count), "news_id = ".$news_id);
	}

	public function get_recent_news($user_id="all",$cat="all",$order="news_date",$num=5,$page=0)
	{
	    $news_term = getTermID("news");
	    $this->db->select("news.*");
	    $this->db->select("full_name");
	    $this->db->select("comment_count");
	    $this->db->from("news");
	    $this->db->join("users", "users.users_id = news.news_author", 'left');
	    if($cat != "all"){
			$this->db->join("term_relationship", "term_relationship.content_id= news.news_id", 'left');
		
			$this->db->join("term","term.term_id=term_relationship.term_id");

			$this->db->where("term_relationship.term_id",$cat);
			$this->db->where("term_relationship.object_id",$news_term);
		}

		if($user_id != "all"){
			$this->db->where("news_author",$user_id);
		}
		

		
		$this->db->orderby($order, "desc");

		$this->db->limit($num,$page);

		$i = $this->db->get();

		return ($i->num_rows > 0)? $i->result() : array();

	}
	
	public function total_recent_news($user_id="all",$cat="all")
	{
		$news_term = getTermID("news");
		$this->db->select("news_id");
    $this->db->from("news");
		$this->db->join("users", "users.users_id = news.news_author", 'left');
		if($cat != "all"){
			$this->db->join("term_relationship", "term_relationship.content_id= news.news_id", 'left');
			$this->db->join("term","term.term_id=term_relationship.term_id");
			$this->db->where("term_relationship.term_id",$cat);
			$this->db->where("term_relationship.object_id",$news_term);
		}

		if($user_id != "all"){
			$this->db->where("news_author",$user_id);
		}


		$i = $this->db->get();

		return ($i->num_rows > 0)? $i->num_rows : 0;

	}
	
	

	public function get_news($news_id)

	{
	    $this->db->from("news");
	    $this->db->join("users", "users.users_id = news.news_author");
	    $this->db->where("news_id",$news_id);
	    $this->db->limit(1);
	    $i = $this->db->get();
	    if ($i->num_rows > 0){
		return $i->row();

	    }else{
		false;
	    }
	}

	public function delete($news_id)
	{
	    $this->db->delete('news', array('news_id' => $news_id));
	    if($this->db->affected_rows() > 0){
		return true;
	    }else{
		return false;
	    }
	}
	
	public function submit($title,$slug,$author,$content,$excerpt){
	    $data = array('news_title'=>$title,
			'news_permalink'=>$slug,
			'news_body'=>$content,
			'news_author'=>$author,
			'news_excerpt'=>$excerpt
			);

		$this->db->insert('news', $data);
		$id= 0;
		if($this->db->affected_rows() > 0){
			$id = $this->db->insert_id();
			
			return $id;
		}else{
			return $id;
		}
	}
	
	public function search($key,$num=5,$page=0)
	{
		$this->db->from("news");
		$this->db->join("users", "users.users_id = news.news_author");
		$this->db->like("news_title",$key);
		$this->db->limit($num,$page);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}

    public function total_search($key)
	{
		$this->db->from("news");
		$this->db->like("news_title",$key);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->num_rows() : 0;
	}

    public function edit($news_id,$slug,$title,$content,$excerpt){

		//echo $date;
		$data = array('news_permalink'=>$slug,
					  'news_title'=>$title,
					  'news_body' =>$content,
					  'news_excerpt'=>$excerpt
					  );
		$this->db->where("news_id",$news_id);

		$this->db->update("news", $data);
		if($this->db->affected_rows() > 0){
			//$id = $this->db->insert_id();	
			
			return true;
		}else{
			return false;
		}
	}	


}

?>