<?php
class Quiz_Model extends Model {

    function Quiz()
    {
        // Call the Model constructor
        parent::Model();
    }
    
    public function set_quiz($quiz)
    {
        $query_string = $this->db->insert_string('quiz', $quiz);
	    $query = $this->db->query($query_string);
		$query_id = $this->db->insert_id();
		return $query_id;
    }
	
	public function set_quiz_question($quiz_id, $question)
	{
		$query_string = $this->db->insert_string('quiz_question', $question);
	    $query = $this->db->query($query_string);
		$query_id = $this->db->insert_id();
		return $query_id;
	}
	
	public function set_quiz_answers($quiz_question_id, $answers)
	{
		$query_string = $this->db->insert_string('quiz_answers', $answers);
	    $query = $this->db->query($query_string);
		$query_id = $this->db->insert_id();
		return $query_id;
	}
	
	public function update_quiz($quiz_id, $quiz)
    {
        $where = "quiz_id = $quiz_id";
		$str = $this->db->update_string('quiz', $quiz, $where);
		$query = $this->db->query($str);
    }
	public function update_quiz_top_scorer($quiz_id, $name)
    {
        $where = "quiz_id = $quiz_id";
		$str = $this->db->update_string('quiz', $name, $where);
		$query = $this->db->query($str);
    }
	public function update_quiz_follower($quiz_id, $follower)
    {
        $where = "quiz_id = $quiz_id";
		$str = $this->db->update_string('quiz', $follower, $where);
		$query = $this->db->query($str);
    }
	
	public function update_quiz_question($quiz_question_id, $question)
	{
		$where = "quiz_question_id = $quiz_question_id";
		$str = $this->db->update_string('quiz_question', $question, $where);
		$query = $this->db->query($str);
	}
	
	public function update_quiz_answers($answers_id, $answers)
	{
		$where = "quiz_answer_id = $answers_id";
		$str = $this->db->update_string('quiz_answers', $answers, $where);
		$query = $this->db->query($str);
	}
	
	public function set_quiz_users($quiz_user) {
		$query_string = $this->db->insert_string('quiz_user', $quiz_user);
	    $query = $this->db->query($query_string);
	}
	public function get_quiz_users($user,$quiz) {
		$sql = "SELECT * FROM quiz_user WHERE user_id = ? AND quiz_id = ?";
		$quizes = $this->db->query($sql, array($user,$quiz));
		foreach ($quizes->result_array() as $quiz) {
			$quiz_ret = $quiz;
		}
		if (!isset ($quiz_ret)) {
			return 0;
		}
		else { 
			return $quiz_ret;
		}
	}
	public function update_quiz_users($user,$quiz,$quiz_user) {
		$where = "user_id = $user AND quiz_id = $quiz";
		$str = $this->db->update_string('quiz_user', $quiz_user, $where);
		$query = $this->db->query($str);
	}
	public function delete_quiz($quiz_id, $quiz)
    {
        $query = "DELETE FROM quiz WHERE quiz_id = '$quiz_id'";
		$query = $this->db->query($query);
		$query = "DELETE FROM quiz_user WHERE quiz_id = '$quiz_id'";
		$query = $this->db->query($query);
		$query = "DELETE a,b FROM quiz_answers AS a INNER JOIN quiz_question AS b ON a.quiz_question_id = b.quiz_question_id WHERE b.quiz_id = '$quiz_id'";
		$query_ids = $this->db->query($query);
		
    }
	
	public function delete_quiz_question($quiz_question_id, $question)
	{
		$query = "DELETE a,b FROM quiz_answers AS a INNER JOIN quiz_question AS b ON a.quiz_question_id = b.quiz_question_id WHERE b.quiz_id = '$quiz_id'";
		$query_ids = $this->db->query($query);
	}
	
	public function delete_quiz_answers($answers_id, $answers)
	{
		$query = "DELETE FROM quiz_answers WHERE quiz_question_id = '$answers_id'";
		$query = $this->db->query($query);
	}
	public function get_quiz($quiz_id)
    {
		$quiz_ret = array();
        $sql = "SELECT * FROM quiz WHERE quiz_id = ?";
		$quizes = $this->db->query($sql, array($quiz_id));
		foreach ($quizes->result_array() as $quiz) {
			$quiz_ret['quiz'] = $quiz;
			$quiz_ret['questions'] = $this->get_quiz_question($quiz['quiz_id']);
		}
		return $quiz_ret;
    }
	
	public function get_all_quiz_category() {
			$quiz_ret = array();
			$i=1;
			$sql = "SELECT * FROM quiz INNER JOIN categories ON categories.cat_id = quiz.categories_cat_id WHERE quiz.published = '1' ORDER BY quiz.quiz_date_created DESC";
			$quizes = $this->db->query($sql);
			foreach ($quizes->result_array() as $quiz) {
				$quiz_ret[$i] = $quiz;

				$i++;
			}
		
		return $quiz_ret;
	}
	public function get_popular_quiz () {
		$quiz_ret = array();
			$i=1;
			$sql = "SELECT * FROM quiz INNER JOIN categories ON categories.cat_id = quiz.categories_cat_id WHERE quiz.published = '1' ORDER BY quiz.quiz_follower DESC";
			$quizes = $this->db->query($sql);
			foreach ($quizes->result_array() as $quiz) {
				$quiz_ret[$i] = $quiz;

				$i++;
			}
		
		return $quiz_ret;
	}
	public function add_follower ($quiz_id) {
		$sql = "SELECT quiz_follower FROM quiz WHERE quiz_id = $quiz_id";
		$quizes = $this->db->query($sql);
		foreach ($quizes->result_array() as $quiz) {
			$quiz['quiz_follower']= (int)$quiz['quiz_follower'] + 1;
		}
		echo $quiz['quiz_follower'];
		$this -> update_quiz($quiz_id, $quiz);
	}
	
	public function get_quiz_categories($category) {
		$quiz_ret = array();
		$i=1;
		$sql = "SELECT * FROM quiz WHERE category_id = $category GROUP BY categories.category_id";
		$quizes = $this->db->query($sql, array($quiz_id));
		foreach ($quizes->result_array() as $quiz) {
			$quiz_ret[$i] = $quiz;
			$i++;
		}
		return $quiz_ret;
	}
	
	public function get_quiz_question($quiz_id)
	{
		$questions_ret = array ();
		$i=1;
		$sql = "SELECT * FROM quiz_question WHERE quiz_id = ? ORDER BY question_order ";
		$questions = $this->db->query($sql, array($quiz_id));
		foreach ($questions->result_array() as $question) {
			$questions_ret[$i] = $question;
			//echo $question['quiz_question_id'];
			$questions_ret[$i]['answers'] = $this->get_quiz_answers($question['quiz_question_id']);
			$i++;
		}
		//print_r ($questions_ret);
		return $questions_ret;
	}
	
	public function get_quiz_answers($question_id)
	{
		$answers_ret = array ();
		$sql = "SELECT * FROM quiz_answers WHERE quiz_question_id = ? ORDER BY answer_order";
		$answers = $this->db->query($sql, array($question_id));
		$i=1;
		foreach ($answers ->result_array() as $answer) {
			$answers_ret[$i] = $answer;
			$i++;
		}
		return $answers_ret;
	}
	
	public function is_quiz_answers($question_id, $answers)
	{
		$sql = "SELECT is_key FROM quiz_answers WHERE quiz_question_id = $question_id AND quiz_answer_id = $answers LIMIT 1";
		$answers = $this->db->query($sql);
		//$i=1;
		//print_r ($answers);
		$answer =$answers ->result_array();
		//print_r ($answer);
		
		return $answer[0]['is_key'];
	}
}
?>