<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class share_model extends Model {
    public function share_model()
    {
        // Call the Model constructor
        parent::Model();
		$this->tables  = $this->config->item('tables');
    }
	
	public function getTotalMyfile($user_id)
	{
		$this->db->from("files");
		$this->db->where("user_id",$user_id);
        $this->db->where("is_share",'1');
		$output=$this->db->count_all_results();
		return $output;
	}
	
  public function get_my_files($user_id=null,$num=5,$page=0)
	{
		$user_id = ($user_id==null)?$this->session->userdata("users_id"):$user_id;
    $this->db->select("files_id");
		$this->db->select("user_id");
		$this->db->select("full_name");
		$this->db->select("files_title");
		$this->db->select("files_date");
		$this->db->select("files_thumb");
		$this->db->select("files_link");
		$this->db->select("files_desc");
        $this->db->from("files");
        $this->db->join("users","files.user_id = users.users_id");
        $this->db->where("files.user_id",$user_id);
        $this->db->where("is_share",'1');
		$this->db->orderby('files_date', "desc");
		$this->db->limit($num,$page);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function getMyfiles($page,$user_id,$num=5)
	{
		$start=(($page-1)*$num);
		$end=$page*$num;
		$this->db->select("files_id");
		$this->db->select("user_id");
		$this->db->select("full_name");
		$this->db->select("files_title");
		$this->db->select("files_date");
		$this->db->select("files_thumb");
		$this->db->select("files_link");
		$this->db->select("files_desc");
        $this->db->from("files");
        $this->db->join("users","files.user_id = users.users_id");
        $this->db->where("files.user_id",$user_id);
        $this->db->where("is_share",'1');
		$this->db->orderby('files_date', "desc");
		$this->db->limit($end,$start);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function getTotalFeatured()
	{
		$this->db->from("files");
        $this->db->where("is_share",'1');
		$output=$this->db->count_all_results();
		return $output;
	}
	
	public function getFeaturedfiles($page,$num=5)
	{
		$start=(($page-1)*$num);
		$end=$page*$num;
		$this->db->select("files_id");
		$this->db->select("user_id");
		$this->db->select("full_name");
		$this->db->select("files_title");
		$this->db->select("files_date");
		$this->db->select("files_thumb");
		$this->db->select("files_link");
		$this->db->select("files_desc");
        $this->db->from("files");
        $this->db->join("users","files.user_id = users.users_id");
        $this->db->where("is_share",'1');
		$this->db->orderby('files_date', "desc");
		$this->db->limit($end,$start);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function getPopularfiles($page,$num=5)
	{
		$start=(($page-1)*$num);
		$end=$page*$num;
		$this->db->select("files_id");
		$this->db->select("user_id");
		$this->db->select("full_name");
		$this->db->select("files_title");
		$this->db->select("files_date");
		$this->db->select("files_thumb");
		$this->db->select("files_link");
		$this->db->select("files_desc");
        $this->db->from("files");
        $this->db->join("users","files.user_id = users.users_id");
        $this->db->where("is_share",'1');
		$this->db->orderby('files_download', "desc");
		$this->db->limit($end,$start);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function getDetail($files_id)
	{
    $this->db->from("files");
		$this->db->where("files_id",$files_id);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function getComment($content_id,$page=0,$num=5)
	{
		$term_id=getTermID("share");
    $this->db->from("comment");
		$this->db->where("content_id",$content_id);
		$this->db->where("term_id",$term_id);
		$this->db->orderby('comment_date', 'desc');
		$this->db->limit($num,$page);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function getTotalComment($content_id)
	{
		$this->db->from("comment");
		$this->db->where("content_id",$content_id);		
		$this->db->where("term_id",'4');
		$output=$this->db->count_all_results();
		return $output;
	}
	
	public function getGroupsShare($groups_id,$page,$num=5)
	{
		$end=$page*$num;
		$start=(($page-1)*$num);
		$query=$this->db->query("select a.*,b.* from files a,users b,groups_share c  where a.user_id=b.users_id and  
		c.groups_id=$groups_id and c.content_id=a.files_id  and c.term_id=4
		order by a.files_date  DESC Limit $start,$num");
		return $query->result();
	}
	

  public function get_files($users_id=null, $order="files_date", $sort="all", $num=5, $page = 0)
	{
		$this->db->select("files_id");
		$this->db->select("user_id");
		$this->db->select("full_name");
		$this->db->select("files_title");
		$this->db->select("files_date");
		$this->db->select("files_thumb");
		$this->db->select("files_link");
		$this->db->select("files_desc");
		$this->db->select("files_type");
    $this->db->from("files");    
    $this->db->join("users","files.user_id = users.users_id");
    if($users_id!=null){
      $this->db->where("files.user_id",$users_id);    
    }
    if($sort!="all"){
      $this->db->where("files.files_type",$sort); 
    }

    $this->db->where("is_share",'1');
		$this->db->orderby($order, "desc");
		$this->db->limit($num,$page);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	 public function get_total_files($users_id=null, $sort="all")
	{
		$this->db->select("files_id");
    $this->db->from("files");    
    $this->db->join("users","files.user_id = users.users_id");
    if($users_id!=null){
      $this->db->where("files.user_id",$users_id);    
    }
    if($sort!="all"){
      $this->db->where("files.files_type",$sort); 
    }

    $this->db->where("is_share",'1');
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->num_rows() : 0;
	}
	
	public function search($key, $num=5, $page = 0)
	{
		$this->db->select("files_id");
		$this->db->select("user_id");
		$this->db->select("full_name");
		$this->db->select("files_title");
		$this->db->select("files_date");
		$this->db->select("files_thumb");
		$this->db->select("files_link");
		$this->db->select("files_desc");
		$this->db->select("files_type");
    $this->db->from("files");    
    $this->db->join("users","files.user_id = users.users_id");
    $this->db->like("files_title",$key);
    $this->db->where("is_share",'1');
    $this->db->orderby("files_date", "desc");
		$this->db->limit($num,$page);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	 public function total_search($key)
	{
		$this->db->select("files_id");
    $this->db->from("files");    
    $this->db->join("users","files.user_id = users.users_id");
    $this->db->like("files_title",$key);
    $this->db->where("is_share",'1');
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->num_rows() : 0;
	}
	
	public function delete_share($share_id)
	{
		$termID = getTermID("share");
		$this->db->delete('files', array('files_id' => $share_id));
		//$this->db->delete('comment',array('term_id'=>$termID,'content_id'=>$share_id));
		//$this->db->delete('feednews',array('term_id'=>$termID,'content_id'=>$share_id));
	}
	
	
    	
}
?>