<?php
if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class status_model extends Model {

    public function status_model()
    {
        parent::Model();
        $this->tables  = $this->config->item('tables');
        $this->columns = $this->config->item('columns');
    }

    public function getLastStatus($user_id)
    {
        //$status= $this->tables['status'];
        $this->db->select("wall_text");
        $this->db->from("wall");
        $this->db->where("wall_receiver",$user_id);
        $this->db->where("wall_sender",$user_id);
		$this->db->orderby('wall_date', "desc");
		$this->db->limit(1);
        $i = $this->db->get();
		$output="";
		if ($i->num_rows()>0)
		{
			foreach ($i->result() as $result)
			{
				$output.=$result->wall_text;
			} 
		}
        //return ($i->num_rows > 0)? $i->result() : array();
		return $output;

    }
	
	public function getRecentStatus($user_id, $page, $default_page=5)
  {
		  $start=(($page-1)*$default_page);
      $query=$this->db->query("select a.wall_text,b.full_name,b.users_id, a.wall_id, c.users_picture from wall a, users b, users_meta c where 
		b.users_id=a.wall_sender and b.users_id=c.users_id and a.wall_receiver=$user_id order by a.wall_date desc limit $start,$default_page");
		  $i=0;
		  $result=array();
  		foreach ($query->result() as $row)
  		{
  			$result[$i][0]=$row->wall_text;
  			$result[$i][1]=$row->full_name;
  		  $result[$i][2]=$row->users_picture;
  			$result[$i][3]=$row->wall_id;
  			$result[$i][4]=$row->users_id;
  			$i++;
  		}
		  return $result;
    }
	
	public function getRecentStatusGroup($user_id, $page, $default_page=5)
    {
		$start=(($page-1)*$default_page);
        $query=$this->db->query("select a.wall_text,b.full_name,c.users_picture,a.wall_id from wall a, users b, users_meta c where 
		b.users_id=a.wall_sender and b.users_id=c.users_id and a.wall_receiver=$user_id and a.term_id=3 order by a.wall_date desc limit $start,$default_page");
		
		$i=0;
		$result=array();
		foreach ($query->result() as $row)
		{
			$result[$i][0]=$row->wall_text;
			$result[$i][1]=$row->full_name;
			$result[$i][2]=$row->users_picture;
			$result[$i][3]=$row->wall_id;
			$i++;
		}

		return $result;
	}	
	
	public function setStatus($status,$user_id,$date,$receiver,$is_group=0)
	{
		$date=date('Y-m-d H:i:s');
		if ($status!="")
		if ($is_group==0)
			$input = array('wall_sender' => $user_id,'wall_receiver' => $receiver, 'wall_text' => $status, 'wall_date'=>$date);
		else
			$input = array('wall_sender' => $user_id,'wall_receiver' => $receiver, 'wall_text' => $status, 'wall_date'=>$date,'term_id'=>$is_group);
		$this->db->insert('wall',$input);
	}	
}
