// JavaScript Document
Ext.onReady(function(){

	// create the data store
	var store = new Ext.data.JsonStore({
		url: '<?php echo site_url("pages/get_list") ?>',
		fields: [
			{name: 'id', type: 'int'},
			'title', 'slug', 'last-edit', 'action'
		]
	});

	// load data from the url ( data.php )
	store.load();

	// create the Grid
	var grid = new Ext.grid.GridPanel({
		store: store,
		columns: [
			{id:'id',header: 'ID', width: 30, sortable: true, dataIndex: 'id'},
			{header: 'Page Title', width: 150, sortable: true, dataIndex: 'title'},
			{header: 'Page Slug', width: 150, sortable: true, dataIndex: 'slug'},
			{header: 'Last Edit', width: 100, sortable: true, dataIndex: 'last-edit'},
			{header: 'Action',width:100,sortable:false, dataIndex: 'action'}
		],
		stripeRows: true,
		height:400,
		width:530,
		title:'Pages'
	});

	// render grid
	grid.render('db-grid');

});
