<?php
class Multimed extends Controller {
	
	function Multimed()
    {
        parent::Controller();
        
        
        $this->output->set_header("Cache-Control: no-cache");
        $this->output->set_header("Pragma: nocache");
    }
	
	function index()
	{
		$this->categories("all","feature");
	}
	
	function categories($cat_slug="all",$order="feature")
	{
		$data['page'] = "multimed";

		$data['cat_slug'] = $cat_slug;
		$data['order'] = $order;
		$data['title'] = 'Multimed | '.$this->config->item('home_title');
		if ($order=="feature"){
			$order="pm_date desc";
		}else{
			$order="pm_hits desc";
		}
		$data['mlist'] = $this->multimed_model->view_list($limit=10, $order, $cat_slug);
		$this->load->view('multimed/index',$data);
	}
	
	function view($id,$title)
	{
		$this->load->model('ratings_model', 'ratings');
		$data['page'] = "multimed";
		$data['category'] = $this->category_model->get_list();
		$data['order'] = "feature";
		$data['post'] = $this->multimed_model->view_single($id);
		$data['comments'] = $this->comment_model->view_list($id,"multimed");
		$data['files'] = $this->multimed_model->view_supported_files($id);
		$data['title'] = $data['post']->pm_title." | ".$this->config->item('home_title');
		$this->load->view('multimed/single',$data);
	}
	
	function flag($id,$title)
	{
		if($this->redux_auth->logged_in()){
			$this->db->select("flag");
		$this->db->where("pm_id",$id);
		$flag = $this->db->get("multimed")->row()->flag;
		$this->db->update("multimed",array("flag"=>($flag+1)),array("pm_id"=>$id));
			redirect('multimed/view/'.$id.'/'.$title);
		}else{
			redirect('auth/login');
		}
	}
	
	
	
	
	
}
?>