<?php
	class Profile extends controller{
		function Profile(){
			parent::Controller();
		}
		function index(){
			if($this->redux_auth->logged_in()){
				$data["page"] = "profile";
				$data["title"] = "My Profile";
				$profile = $this->redux_auth->profile();
				$data['profile'] = $profile;
				$id = $profile->users_id;
				$data['recent_status'] = $this->status_model->getRecentStatus($id, 1);
				$data['status'] = $this->status_model->getLastStatus($id);
				$data['receiver']=$id;
				$data['status_detail'] = $this->getStatusDetail(1,$id);
				$data["my_notes"] = $this->notes_model->getRecentNotes($id);
				$data["my_friends"] = $this->friend_model->view_friend($id,7,0);
				$data["total_my_friends"] = $this->friend_model->total_friends($id);
        $data["my_experts"] = $this->experts_model->view_experts($id,7,0);
				$data['total_my_experts'] = $this->experts_model->total_experts($id);

				
				//$data['myshare'] =$this->myshare($id,1);
				$data["my_share"]=$this->share_model->get_my_files();
				$data["my_groups"] = $this->groups_model->get_list($id, "groups_name asc", "all", 7, 0);
        $data["total_groups"] = $this->groups_model->total_groups($id, "all");
        if($profile->users_role=="expert"){
         $data["follower"] = $this->experts_model->view_follower($id,7,0);
         $data["total_follower"] = $this->experts_model->total_follower($id);
         $data["consultations"] = $this->consultation_model->get_list_consultation($id,"all","date_question_published desc",0,7);
         $data["special_actions"] = $this->special_action_model->get_list($id, 0, "start_date desc", 7, 0);
         $data["discussions"] = $this->discussions_model->get_list($id,0,"discussion_start desc",7,0);                 
         
         $this->load->view("user/profile_experts",$data);
        }else{
         $data['lifeskill'] = $this->getLifeSkillTools($id);
         $this->load->view("user/profile",$data);
        }
        
			}else{
			redirect("auth/login");
			}
		}
		function user($id=null,$name=null){
			
      if($this->redux_auth->logged_in()){
          
					
					if($id==null){
			   $id=$this->session->userdata("users_id");
			}
					$data['profile'] = $this->user_model->profile($id);
					
          if($data['profile']->users_id==$this->session->userdata("users_id")){
						//$data["title"] = "My Profile";
						redirect("profile");
						exit;
					}
					$role = $data['profile']->users_role;
					if($role=="expert"){
            $data["page"] = "experts";
          }else{
            $data["page"] = "friends";
          }
          //if((url_title($data['profile']->full_name)!=$name)&&($name!=null)){
			  //redirect("profile");
						//exit;
			//}else{
					  $data["title"] = $data['profile']->full_name." profile";
					//}
					$data['recent_status'] = $this->status_model->getRecentStatus($id, 1);
					$data['status'] = $this->status_model->getLastStatus($id);
				
					$data['receiver']= $id;
					$data['status_detail'] = $this->getStatusDetail(1,$id);
					$data["my_notes"] = $this->notes_model->getRecentNotes($id);
					$data["my_friends"] = $this->friend_model->view_friend($id,7,0);
					$data["total_my_friends"] = $this->friend_model->total_friends($id);
					$data["my_experts"] = $this->experts_model->view_experts($id,7,0);
					$data['lifeskill'] = $this->getLifeSkillTools($id);
					$data['total_my_experts'] = $this->experts_model->total_experts($id);
					$data["my_groups"] = $this->groups_model->get_list($id, "groups_name asc", "all", 7, 0);
          $data["total_groups"] = $this->groups_model->total_groups($id, "all");
					//$data['my_share'] =$this->myshare($id,1);
						$data["my_share"]=$this->share_model->get_my_files($id,5);
					$this->load->view("user/profile",$data);
				}else{
				redirect("auth/login");
			}
		}
		
		function edit($id=null,$submenu="photo",$error="")
		{
			if($this->redux_auth->logged_in()){
				if(($submenu!="photo")&&($submenu!="basic")&&($submenu!="experience")&&($submenu!="personal")){
          redirect("page404");
        }
        $data["page"] = "profile";
				$data["title"] = "Edit Profile";
				$data["submenu"] = $submenu;
				$this->load->library('formdate');

				if($id==null){
					$data["profile"] = $this->user_model->profile($this->session->userdata("users_id"));
					//$data["company"] = $this->user_model->profile($this->session->userdata("users_id"));
				}elseif(is_can($id)){
					$data["profile"] = $this->user_model->profile($id);
					//$data["company"] = $this->user_model->profile($id);
				}else{
					//$data["profile"] = $this->user_model->profile($this->session->userdata("users_id"));
					redirect("page404");
				}
				$formdate = new FormDate();
        $formdate->year['start'] = 1945;
        $formdate->year['end'] = 2010;
        $formdate->month['values'] = 'numbers';
        $formdate->day['selected'] = get_date($data["profile"]->users_birthday,$data["profile"]->users_timezone,"%d");
        $formdate->month['selected'] = get_date($data["profile"]->users_birthday,$data["profile"]->users_timezone,"%m");
        $formdate->year['selected'] = get_date($data["profile"]->users_birthday,$data["profile"]->users_timezone,"%Y");
        $data['formdate'] = $formdate;
				$data["error"] = $error;
				$this->load->view("user/profile_edit",$data);
			}else{
				redirect("auth/login");
			}
		}
		
		function submit($type="basic"){
			if($this->redux_auth->logged_in()){
				if($type=="basic"){
					$this->form_validation->set_rules('full_name', 'Full name', 'required');
					$this->form_validation->set_rules('interest', 'Interest', 'required');
					//$this->form_validation->set_rules('company_name', 'Company Name', 'required');
					$this->form_validation->set_error_delimiters('<p class="error">', '</p>');
	    
					if ($this->form_validation->run() == false){
						$users_id = $this->input->post("users_id");
						$data["page"] = "profile";
						$data["title"] = "Edit Profile";
						$data["submenu"] = "basic";
						//if($id==null){
							//$data["profile"] = $this->user_model->profile($this->session->userdata("users_id"));
						//}else{
							$data["profile"] = $this->user_model->profile($users_id);
						//}
						//$data["error"] = $error;
						$this->load->view("user/profile_edit",$data);
						//echo "false";
					}else{
            $full_name = $this->input->post("full_name");
  					$interest = $this->input->post("interest");
            $users_id = $this->input->post("users_id");
            $company_list = $this->user_model->company_list($users_id,1);
		        $company_form = "";
		        if(empty($company_list)){
  						$company_name = $this->input->post("company_name");
  						$title = $this->input->post("title");
  						$start_month = $this->input->post("start_month");
  						$start_year= $this->input->post("start_year");
  						$end_month = $this->input->post("end_month");
  						$end_year= $this->input->post("end_year");
  						$desc = $this->input->post("desc");
  						if($this->user_model->insert_company($users_id,$company_name,$title,$start_month,$start_year,$end_month,$end_year,$desc,1)){
                //echo "true";  
              }else{
                //echo $users_id.$company_name.$title.$start_month.$start_year.$end_month.$end_year.$desc;
              }
						}else{
              foreach($company_list as $company){
                  $company_name = $this->input->post("company_name_".$company->company_id);
  						    $title = $this->input->post("title_".$company->company_id);
  						    $start_month = $this->input->post("start_month_".$company->company_id);
  						    $start_year= $this->input->post("start_year_".$company->company_id);
  						    $end_month = $this->input->post("end_month_".$company->company_id);
  						    $end_year= $this->input->post("end_year_".$company->company_id);
  						    $desc = $this->input->post("desc_".$company->company_id);
  						    $this->user_model->update_company($users_id,$company->company_id,$company_name,$title,$start_month,$start_year,$end_month,$end_year,$desc);
              }
            }
						//$current_position = $company_name."&&".$title."&&".$start_month."&&".$start_year."&&".$desc;
						
						//$company_id = $this->input->post("company_id");
						$this->user_model->update_full_name($users_id,$full_name);
						$this->user_model->update_interest($users_id,$interest);
						$role = $this->input->post("role");
						
            if($role=="expert"){
						   $expert = $this->input->post("expert_title");
						   $this->user_model->update_expert($users_id,$expert);
            }
						//$this->user_model->update_company($users_id,$company_id,$company_name,$title,$start_month,$start_year,$desc);
						redirect("profile/edit/".$users_id."/basic");
					}
				}elseif ($type=="personal"){
				    //$this->form_validation->set_rules('full_name', 'Full name', 'required');
            $users_id = $this->input->post("users_id");
						$about = $this->input->post("about");
						$sex = $this->input->post("sex");
						$birthday = $this->input->post("year")."-".$this->input->post("month")."-".$this->input->post("day");
						$hometown = $this->input->post("hometown");
						$location = $this->input->post("location");
						$website= $this->input->post("website");

						$this->user_model->update_personal($users_id,$about,$sex,$birthday,$hometown,$location,$website);
						redirect("profile/edit/".$users_id."/personal");
				}/*elseif ($type=="private"){
				
				}*/elseif ($type=="experience"){
				     $users_id = $this->input->post("users_id");
             $training_title = $this->input->post("training_title");
				     $training_years = $this->input->post("training_years");
				     $books = $this->input->post("books");
				     $awards = $this->input->post("awards");
				     $contributions = $this->input->post("contributions");
				     $organizations = $this->input->post("organizations");
				     $edu_name = $this->input->post("edu_name1");
				     $edu_title = $this->input->post("edu_title1");
				     $start_year = $this->input->post("start_years1");
				     $end_year = $this->input->post("end_years1");
				     $training = $training_title."-".$training_years;
				     $edu = $edu_name."-".$edu_title."-".$start_year."-".$end_year;
				     $this->user_model->update_experience($users_id,$training,$books,$awards,$contributions,$organizations,$edu);
						 redirect("profile/edit/".$users_id."/experience");
				}elseif ($type=="photo"){
					$users_id = $this->input->post("users_id");
					$photo_old = $this->input->post("photo_old");
					$dir = $this->config->item("upload_direktori")."profile/".$users_id;
					if(!(file_exists($dir))){
             mkdir($dir, 0777); 
          }
					$config['upload_path'] = "./upload/profile/".$users_id;
					//echo $config['upload_path'] ;
					$config['allowed_types'] = 'gif|jpg|png';
					$config['max_size']	= '100';
					$config['max_width']  = '1024';
					$config['max_height']  = '768';
					$this->load->library('upload', $config);
				
					if ( ! $this->upload->do_upload())
					{
						
						$error = $this->upload->display_errors();
						
						$this->edit($users_id,"photo",$error);
						//$this->load->view('upload_form', $error);
					}	
					else
					{
						$upload_data = $this->upload->data();
						$photo_new = "upload/profile/".$users_id."/".$upload_data["file_name"];
						$this->user_model->update_photo($users_id,$photo_old,$photo_new);
						redirect("profile/edit/".$users_id."/photo");
						//$this->load->view('upload_success', $data);
					}
					
				
				}else{
           redirect("page404");
				}				
			}else{
				redirect("auth/login");
			}
		}
		
		function valid_date()
    {
    if (!checkdate($this->input->post('month'), $this->input->post('day'), $this->input->post('year')))
    {
        $this->validation->set_message('valid_date', 'The %s field is invalid.');
        return FALSE;
     }
    }
		
		function getStatusDetail($page,$users_id)
	  {
		  $output="<ul>";
		  if ($page=="")
			 $page=1;
		  if ($this->redux_auth->logged_in()){
			  $profile = $this->user_model->profile($users_id);
  			$term_id=getTermID('wall');
  			$recent_status=$this->status_model->getRecentStatus($users_id, $page);
  			//echo $recent_status;
  			foreach ($recent_status as $item): 
  				$count=$this->comment_model->countComment($term_id,$item[3]);
  				$user_link = base_url()."profile/user/".$item[4]."/".url_title($item[1]);
  				$output.="		
  						<li class=\"status\">
  							
                <a href=\"".$user_link."\"  class=\"entity\" ><img src=".base_url().image_thumb($item[2], 32, 32)." title=\"user-thumb\"/>".$item[1]."</a>
  							<p class=\"meta\">
  							<strong>$count</strong> 	<a href=\"javascript:Effect.Combo('comment_form_".$item[3]."', {});\"   class=\"add add-comment\" > add</a> - 
  							".getLike($term_id,$item[3],$this->session->userdata("users_id"),1,10,$users_id)."
  						</p>
  							<p>".$item[0]."</p><ul class=\"comment\">";
  				$comment=$this->comment_model->getComments($term_id,$item[3]);			
  				foreach ($comment as $i):
  					$output.="<li class=\"status\">
  								<a href=\"".base_url()."profile/user/".$i->comment_sender."\"  class=\"entity\" ><img src=\"".base_url().image_thumb($i->users_picture, 32, 32)."\" title=\"user-thumb\"/>".$i->full_name."</a>
  								<p>".$i->comment_text." <span class=\"quiet wall-time\"> - ".nicetime($i->comment_date)."</span></p>
  							</li>";		
  				endforeach; 			
  				$output.="</ul>
  				</li><div id=\"comment_form_".$item[3]."\"  style=\"display: none;\">
  				
  						          <textarea name=\"".$item[3]."\" id=\"".$item[3]."\">tes</textarea>
                          <input type=\"submit\" name=\"comment\" value=\"Post\" class=\"btn\" onclick=\"submitComment(".$item[3].",".$this->session->userdata('users_id').",".$users_id.")\"  />                              
                       
                       </div>";       
  			endforeach; 
  			//$output = $this->status_model->getLastStatus($data['profile']->users_id);
  		}else{
				redirect("auth/login");
			}
  		$output.="</ul>";
  		return $output;
	}

	
		function submitLike()
		{
			$term_id = $_POST['term_id'];
			$content_id = $_POST['content_id'];
			$user_id = $_POST['user_id'];
			$user_status_id = $_POST['user_status_id'];
			$is_like = $_POST['is_like'];
			$info = $_POST['info'];
			$current_page=$_POST['current_page'];
			
			$submit = $this->like_model->add($term_id,$content_id,$user_id,$is_like,$info);
			//makeFeed($user_id,base_url()."notes","New Notes for my friends",4);
			//header('Location: '.getenv('HTTP_REFERER'));
			echo  $this->getStatusDetail($current_page,$user_status_id);
		}
		
		function submitUnLike()
		{
			$term_id = $_POST['term_id'];
			$content_id = $_POST['content_id'];
			$user_id = $_POST['user_id'];
			$is_like = $_POST['is_like'];
			$info = $_POST['info'];
			$current_page=$_POST['current_page'];
			$user_status_id = $this->input->post("user_status_id");
			
			$submit = $this->like_model->delete($term_id,$content_id,$user_id,$is_like);
			//makeFeed($user_id,base_url()."notes","New Notes for my friends",4);
			//header('Location: '.getenv('HTTP_REFERER'));
			echo  $this->getStatusDetail($current_page,$user_status_id);
		}
		
		function test()
		{
			echo $this->getStatusDetail(1,3);
		}
		
		function getLifeSkillTools($users_id)
		{
			$output="";
			$result=$this->tools_model->getAllTools();
			foreach ($result as $item): 
				$output.='	<div id="" class="tab-article progress span-11 last">
								<h2><a href="'.base_url().'tools/browse_module/'.$item->tools_id.'/'.$item->tools_permalink.'">'.$item->tools_name.'</a></h2>
								<ul>';
				$modules=$this->tools_model->getAllModules($item->tools_id);
				$running=$this->tools_model->getRunningModule($item->tools_id,$users_id);
				foreach ($modules as $module_item): 
				
					$output.='<li><a href="#" id="" class="achievement-title" >'.$module_item->module_name .'</a></li>';
				endforeach; 				
				$output.='</ul></div>';
			endforeach; 
			return $output;
		}
		
		function myshare($user_id,$my_page)
		{
			$output="";
			$result=$this->share_model->getMyfiles($my_page,$user_id);
			foreach ($result as $item):
			$author_link=base_url()."profile/user".$item->user_id."/".url_title($item->full_name);
			$output.="<div  class=\"tab-article progress span-11 last\">
					<h2><a href=\"".base_url()."share/view/".$item->files_id."/".url_title($item->files_title)."\" >".$item->files_title."</a></h2>
					<img src=\"".$item->files_thumb."\"  class=\"med\"/>
					<a href=\"".base_url()."share/view/".$item->files_id."/".url_title($item->files_title)."\"  class=\"more-link first\" >Read More</a>
					<ul class=\"article-meta\">
						<li>Author : <a class=\"entity\"  href=\"".$author_link."\">".$item->full_name."</a></li>
						<li>Posted :".$item->files_date."</li>
					</ul>
					<p>".$item->files_desc."</p>
				</div>";
			endforeach; 

			
		return $output;
	}
	}
?>