<?php
if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class status_model extends Model {

    public function status_model()
    {
        parent::Model();
        $this->tables  = $this->config->item('tables');
        $this->columns = $this->config->item('columns');
    }

    public function getLastStatus($user_id)
    {
        //$status= $this->tables['status'];
        $this->db->select("wall_text");
        $this->db->from("wall");
        $this->db->where("wall_receiver",$user_id);
        $this->db->where("wall_sender",$user_id);
		$this->db->orderby('wall_date', "desc");
		$this->db->limit(1);
        $i = $this->db->get();
		$output="";
		if ($i->num_rows()>0)
		{
			foreach ($i->result() as $result)
			{
				$output.=$result->wall_text;
			} 
		}
        //return ($i->num_rows > 0)? $i->result() : array();
		return $output;

    }
	
	public function getRecentStatus($user_id, $page, $default_page=5)
    {
        //$status= $this->tables['status'];
		/*
        $this->db->select("users_picture_thumb");
        $this->db->from("users_meta");
        $this->db->where("users_id",$user_id);
		$i = $this->db->get();
		$tumbnail="";		
		if ($i->num_rows()>0)
		{
			foreach ($i->result() as $result)
			{
				$tumbnail=$result->users_picture_thumb;
			} 
		}
		$end=$page*10;
		$start=(($page-1)*10)+1;
        $this->db->select("wall_text");
        $this->db->from("wall");
        $this->db->where("wall_receiver",$user_id);
        $this->db->where("wall_sender",$user_id);
		$this->db->orderby('wall_date', "desc");
		$this->db->limit($end,$start);

		$output="";
        $i = $this->db->get();
		if ($i->num_rows()>0)
		{
			foreach ($i->result() as $result)
			{
				$output.="<div class=\"comment-list\"><img src=\"".$tumbnail."\"> (".nicetime($result->date).") : <br>".$result->status."</div>";
			} 
		}
        //return ($i->num_rows > 0)? $i->result() : array();
		return $output;*/
		
		$start=(($page-1)*$default_page);
        $query=$this->db->query("select a.wall_text,b.username,c.users_picture_thumb,a.wall_id from wall a, users b, users_meta c where 
		b.users_id=a.wall_sender and b.users_id=c.users_id and a.wall_receiver=$user_id order by a.wall_date desc limit $start,$default_page");
		
		$i=0;
		$result=array();
		foreach ($query->result() as $row)
		{
			$result[$i][0]=$row->wall_text;
			$result[$i][1]=$row->username;
			$result[$i][2]=$row->users_picture_thumb;
			$result[$i][3]=$row->wall_id;
			$i++;
		}

		return $result;
    }
	
	public function setStatus($status,$user_id,$date,$receiver)
	{
		$date=date('Y-m-d H:i:s');
		if ($status!="")
		$input = array('wall_sender' => $user_id,'wall_receiver' => $receiver, 'wall_text' => $status, 'wall_date'=>$date);
		$this->db->insert('wall',$input);
	}
	

	
	
	
	
}

?>
