<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Notes_model extends Model {

    public function notes_model()

    {

        // Call the Model constructor

        parent::Model();

		$this->tables  = $this->config->item('tables');

    }

	

	public function add($author,$title,$note,$excerpt)

	{

		/*$this->db->query("select max(note_id)  last_id from notes");

		$i = $this->db->get();

		$last=0;		

		if ($i->num_rows()>0)

		{

			foreach ($i->result() as $result)

			{

				$last=$result->last_id;

			} 

		}*/



		

		//$last++;

		if (trim($excerpt)=="")

			$excerpt=cutText($note,20);

		$date=date('Y-m-d h:i:s');
		
		$notes_permalink = url_title($title);

		$data = array('notes_author'=>$author,

					  'notes_excerpt'=>$excerpt,

					  'notes_body'=>$note,
					  
					  'notes_permalink'=>$notes_permalink,

					  'notes_title'=>$title,

					  'notes_date'=>$date,
					  
					  'notes_status' => "publish"

					  );

		$this->db->insert('notes', $data);
		$id= 0;
		if($this->db->affected_rows() > 0){
			$id = $this->db->insert_id();
			
			return $id;
		}else{
			return $id;
		}
		//return ($this->db->affected_rows() > 0) ? true : false;

	}

	public function updateCommentCount($notes_id,$count){
	$this->db->update("notes", array("comment_count"=>$count), "notes_id = ".$notes_id);
	}

	public function getRecentNotes($user_id,$cat="all",$order="notes_date",$expert=false,$num=5,$page=0)

	{
		$term = getTermID("notes");
    $this->db->select("notes_id");

		$this->db->select("notes_title");

		$this->db->select("notes_date");
		
		$this->db->select("notes_permalink");

		$this->db->select("notes_excerpt");
		
		$this->db->select("notes_author");
		
		$this->db->select("full_name");
		
		$this->db->select("username");
		
		$this->db->select("comment_count");
		
		$this->db->select("users_picture");

    $this->db->from("notes");
		

    $this->db->join("users", "users.users_id = notes.notes_author", 'left');
		
		$this->db->join("users_meta", "users.users_id = users_meta.users_id", 'left');
		
		if($cat != "all"){
			$this->db->join("term_relationship", "term_relationship.content_id= notes.notes_id", 'left');
		
			$this->db->join("term","term.term_id=term_relationship.term_id");

			$this->db->where("term.term_id",$cat);
		}

		if($user_id != null){
			$this->db->where("notes_author",$user_id);
		}
		
		if($expert){
			$this->db->where("users_role","expert");
		}
		
    $this->db->orderby($order, "desc");

		$this->db->limit($num,$page);

		$i = $this->db->get();

		return ($i->num_rows > 0)? $i->result() : array();

	}
	
	public function total_recent_notes($user_id=null,$cat="all",$expert=false)
	{
		$this->db->select("*");
    $this->db->from("notes");
		$this->db->join("users", "users.users_id = notes.notes_author", 'left');
		$this->db->join("users_meta", "users.users_id = users_meta.users_id", 'left');
		if($cat != "all"){
			$this->db->join("term_relationship", "term_relationship.content_id= notes.notes_id", 'left');
			$this->db->join("term","term.term_id=term_relationship.term_id");
			$this->db->where("term_id",$cat);
		}

		if($user_id != null){
			$this->db->where("notes_author",$user_id);
		}
    if($expert){
			$this->db->where("users_role","expert");
		}

		$i = $this->db->get();

		return ($i->num_rows > 0)? $i->num_rows : 0;

	}
	
	public function getNetworkNotes($user_id,$num=5,$page=0)

	{
		$friends = array();

		$this->db->select("users_id_request");
		$this->db->where("users_id_approve",$user_id);
		$this->db->where("status","friend");
		$query = $this->db->get("friendship");
		foreach ($query->result_array() as $row)
		{
			$friends[]=$row["users_id_request"];
		}
		$this->db->select("users_id_approve");
		$this->db->where("users_id_request",$user_id);
		$this->db->where("status","friend");
		$query = $this->db->get("friendship");
		foreach ($query->result_array() as $row)
		{
			$friends[]=$row["users_id_approve"];
		}
		
    $experts = array();

		$this->db->select("users_id_approve");
		$this->db->where("users_id_request",$user_id);
		$this->db->where("status","follow");
		$query = $this->db->get("friendship");
		foreach ($query->result_array() as $row)
		{
			$experts[]=$row["users_id_approve"];
		}
		$this->db->select("notes_id");

		$this->db->select("notes_title");

		$this->db->select("notes_date");
		
		$this->db->select("notes_permalink");

		$this->db->select("notes_excerpt");
		
		$this->db->select("notes_author");
		
		$this->db->select("full_name");
		
		$this->db->select("comment_count");
		
		$this->db->select("users_picture");

        $this->db->from("notes");
		
		$this->db->join("users", "users.users_id = notes.notes_author", 'left');
		
		$this->db->join("users_meta", "users.users_id = users_meta.users_id", 'left');

		$where = "users_meta.users_id = ".$user_id;
    $where1 = "";
    $where2 = "";
		if ($friends !=array()){
		  //$this->db->or_where_in("users_id",$friends);
		  $friends_list = implode(",",$friends);
      $where1 = " OR users_meta.users_id IN (".$friends_list.")";
		}
		if ($experts !=array()){
		  //$this->db->or_where_in("expert_id",$experts);
		  //$this->db->or_where_in("user_id",$experts);
		  $experts_list = implode(",",$experts);
		  $where2= " OR users_meta.users_id IN (".$experts_list.")";
		}
    $this->db->where("(".$where.$where1.$where2.")");
		$this->db->orderby("notes_date", "desc");

		$this->db->limit($num,$page);

		$i = $this->db->get();

		return ($i->num_rows > 0)? $i->result() : array();

	}

  public function total_network_notes($user_id)

	{


		
		$friends = array();

		$this->db->select("");
		$this->db->where("users_id_approve",$user_id);
		$this->db->where("status","friend");
		$query = $this->db->get("friendship");
		foreach ($query->result_array() as $row)
		{
			$friends[]=$row["users_id_request"];
		}
		$this->db->select("users_id_approve");
		$this->db->where("users_id_request",$user_id);
		$this->db->where("status","friend");
		$query = $this->db->get("friendship");
		foreach ($query->result_array() as $row)
		{
			$friends[]=$row["users_id_approve"];
		}

		
		$this->db->select("*");
    $this->db->from("notes");
		$this->db->join("users", "users.users_id = notes.notes_author", 'left');


		$this->db->where("notes_author",$user_id); 
		
		if ($friends !=array()){
		
		$this->db->or_where_in("notes_author",$friends);
		}


		$i = $this->db->get();

		return ($i->num_rows > 0)? $i->num_rows : 0;

	}
	

	public function getDetailNote($note_id)

	{

		$this->db->select("notes_id");

		$this->db->select("notes_title");

		$this->db->select("notes_body");

		$this->db->select("notes_date");

		$this->db->select("notes_author");
		
		$this->db->select("full_name");
		
		$this->db->select("notes_permalink");
		
		$this->db->select("comment_count");
		
		$this->db->select("term_name");
		
		$this->db->select("term_relationship.term_id as term");
		
        $this->db->from("notes");
		
		$this->db->join("users", "users.users_id = notes.notes_author");
		
		$this->db->join("term_relationship", "term_relationship.content_id= notes.notes_id","left");
		
		$this->db->join("term","term.term_id=.term_relationship.term_id","left");

		$this->db->where("notes_id",$note_id);
		

		$this->db->limit(1);
		$i = $this->db->get();
		
		if ($i->num_rows > 0){
			$this->notes = $i->row();
			return $this->notes;
		}else{
			false;
		}

	}

	

	public function deleteNote($note_id)

	{
		$termID = getTermID("notes");
		$this->db->delete('notes', array('notes_id' => $note_id));
		$this->db->delete('comment',array('term_id'=>$termID,'content_id'=>$note_id));
		$this->db->delete('feednews',array('term_id'=>$termID,'content_id'=>$note_id));

	}
	
	public function getGroupNotes($group_id,$num,$page)
	{
		$end=$page*$num;
		$start=(($page-1)*$num);
		//echo"select a.notes_id, a.notes_title, a.notes_body, a.notes_excerpt,a.notes_date, b.full_name from notes a,users b where a.notes_author=b.users_id and b.users_id in (select users_id_approve from friendship where users_id_request=$user_id and status='friend') or b.users_id in (select users_id_request from friendship where users_id_approve=$user_id and status='friend') order by a.notes_date desc Limit $start,$num";
				
		$query=$this->db->query("
		select a.notes_id, a.notes_title, a.notes_body, a.notes_excerpt,a.notes_date, b.full_name from notes a,users b,groups_share c
		where a.notes_author=b.users_id and 
			c.groups_id=$group_id and c.content_id=a.notes_id and c.term_id=1 order by a.notes_date desc Limit $start,$num");
		
		return $query->result();
	}
	
	public function search($key,$num=5,$page=0)
	{
		$this->db->select("notes_id");
		$this->db->select("notes_title");
		$this->db->select("notes_date");
		$this->db->select("notes_permalink");
		$this->db->select("notes_excerpt");
		$this->db->select("notes_author");
		$this->db->select("full_name");
		$this->db->select("comment_count");
		$this->db->select("users_picture");
        $this->db->from("notes");
		$this->db->join("users", "users.users_id = notes.notes_author", 'left');
		$this->db->join("users_meta", "users.users_id = users_meta.users_id", 'left');
		$this->db->like("notes_title",$key);
		$this->db->limit($num,$page);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}

  public function total_search($key)
	{
		$this->db->select("notes_id");
		$this->db->select("notes_title");
		$this->db->select("notes_date");
		$this->db->select("notes_permalink");
		$this->db->select("notes_excerpt");
		$this->db->select("notes_author");
		$this->db->select("full_name");
		$this->db->select("comment_count");
		$this->db->select("users_picture");
        $this->db->from("notes");
		$this->db->join("users", "users.users_id = notes.notes_author", 'left');
		$this->db->join("users_meta", "users.users_id = users_meta.users_id", 'left');
		$this->db->like("notes_title",$key);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->num_rows() : 0;

	}
	
	public function update_comment_count($term_id,$content_id){
      $total_comment = $this->comment_model->countComment($term_id,$content_id);
      $total_comment = $total_comment + 1;
      $data = array(
               'comment_count' => $total_comment
            );
		  $this->db->where('notes_id', $content_id);
		  $i = $this->db->update('notes', $data);
		  return ($i->affected_rows() > 0)? true : false;
  }

}

?>