<?php
class Messages_model extends Model {

    function Messages_model()
    {
        // Call the Model constructor
        parent::Model();
    }
    
  function add_subject($messages_subject)
	{
		$data = array('messages_subject'=>$messages_subject
					  );
		$this->db->insert('messages_subject', $data);			  
		$messages_subject_id = ($this->db->affected_rows()>0)?$this->db->insert_id():0;
		return $messages_subject_id; 
	}
	
	function add_receiver($receiver_id,$messages_subject_id)
	{
		$data = array('messages_subject_id'=>$messages_subject_id,
		              'messages_receiver' => $receiver_id
					  );
		$this->db->insert('messages_receiver', $data);
		return ($this->db->affected_rows()>0)?true:false;
	}
	
	function add_messages($messages_subject_id,$sender,$messages_text,$is_parent)
	{
		$data = array('messages_subject_id'=>$messages_subject_id,
		              'messages_sender' => $sender,
		              'messages_text' => $messages_text,
		              'is_parent'=>$is_parent
					  );
		$this->db->insert('messages', $data);
		
	  if($this->db->affected_rows()>0){
      return $this->update_all_read($messages_subject_id,0);
    }else{
      return false;
    }
	}
	
	function all($user_id,$page=0,$num=5)
	{
		/*$this->db->select("*");
    $this->db->from("messages");
		$this->db->join("messages_receiver","messages.messages_subject_id=messages_receiver.messages_subject_id");
		$this->db->join("messages_subject","messages_subject.messages_subject_id=messages.messages_subject_id");
    $this->db->where("messages_receiver",$user_id);
    $this->db->where("messages_sender !=",$user_id);
    $this->db->where("is_parent",1);                 
    $this->db->groupby("messages.messages_subject_id");
		$this->db->orderby('messages_date', "asc");
		$this->db->limit($num,$page);*/
		$query = "SELECT messages.*,messages_subject.messages_subject FROM messages JOIN messages_receiver ON messages.messages_subject_id=messages_receiver.messages_subject_id JOIN messages_subject ON messages.messages_subject_id=messages_subject.messages_subject_id INNER JOIN (SELECT MAX(messages_id) AS id FROM messages GROUP BY messages_subject_id) ids ON messages.messages_id = ids.id"; 
		$query .= " WHERE messages_receiver=".$user_id." and is_delete=0";
		$query .= " ORDER BY messages_date desc";
		$query .= " LIMIT ".$page.",".$num;
		//echo $query;
    $i = $this->db->query($query);
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function getTotalAll($user_id)
	{
		$query = "SELECT messages.* FROM messages JOIN messages_receiver ON messages.messages_subject_id=messages_receiver.messages_subject_id JOIN messages_subject ON messages.messages_subject_id=messages_subject.messages_subject_id INNER JOIN (SELECT MAX(messages_id) AS id FROM messages GROUP BY messages_subject_id) ids ON messages.messages_id = ids.id"; 
		$query .= " WHERE messages_receiver=".$user_id." and is_delete=0";
    $i = $this->db->query($query);
		return ($i->num_rows > 0)? $i->num_rows() : 0;
	}
	
	function unread($user_id,$page=0,$num=5)
	{
		/*$this->db->from("messages");
		$this->db->join("messages_receiver","messages.messages_subject_id=messages_receiver.messages_subject_id");
		$this->db->join("messages_subject","messages_subject.messages_subject_id=messages.messages_subject_id");
        $this->db->where("messages_receiver",$user_id);
        $this->db->where("messages_subject.is_read","0");
        $this->db->where("is_parent",1);
		$this->db->orderby('messages_date', "desc");
		$this->db->limit($num,$page);
		$i = $this->db->get();*/
		$query = "SELECT messages.*,messages_subject.messages_subject FROM messages JOIN messages_receiver ON messages.messages_subject_id=messages_receiver.messages_subject_id JOIN messages_subject ON messages.messages_subject_id=messages_subject.messages_subject_id INNER JOIN (SELECT MAX(messages_id) AS id FROM messages WHERE messages.messages_sender != ".$user_id." GROUP BY messages_subject_id) ids ON messages.messages_id = ids.id "; 
		$query .= " WHERE messages_receiver=".$user_id." AND messages_receiver.is_read=0"." and is_delete=0";
		$query .= " ORDER BY messages_date desc";
		$query .= " LIMIT ".$page.",".$num;
    $i = $this->db->query($query);
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function getTotalUnread($user_id)
	{
	  $query = "SELECT count(*)FROM messages JOIN messages_receiver ON messages.messages_subject_id=messages_receiver.messages_subject_id JOIN messages_subject ON messages.messages_subject_id=messages_subject.messages_subject_id INNER JOIN (SELECT MAX(messages_id) AS id FROM messages WHERE messages.messages_sender != ".$user_id." GROUP BY messages_subject_id) ids ON messages.messages_id = ids.id"; 
		$query .= " WHERE messages_receiver=".$user_id." AND messages_receiver.is_read=0"." and is_delete=0";
    $i = $this->db->query($query);
		return ($i->num_rows > 0)? $i->num_rows() : 0;
	}
	
	function sent($user_id,$page=0,$num=5)
	{
		$query = "SELECT messages.*,messages_subject.messages_subject FROM messages JOIN messages_receiver ON messages.messages_subject_id=messages_receiver.messages_subject_id JOIN messages_subject ON messages.messages_subject_id=messages_subject.messages_subject_id INNER JOIN (SELECT MAX(messages_id) AS id FROM messages WHERE messages.messages_sender = ".$user_id." GROUP BY messages_subject_id) ids ON messages.messages_id = ids.id "; 
		$query .= " WHERE messages_receiver=".$user_id." and is_delete=0";
		$query .= " ORDER BY messages_date desc";
		$query .= " LIMIT ".$page.",".$num;
    $i = $this->db->query($query);
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function getTotalSent($user_id)
	{
	  $query = "SELECT count(*)FROM messages JOIN messages_receiver ON messages.messages_subject_id=messages_receiver.messages_subject_id JOIN messages_subject ON messages.messages_subject_id=messages_subject.messages_subject_id INNER JOIN (SELECT MAX(messages_id) AS id FROM messages WHERE messages.messages_sender = ".$user_id." GROUP BY messages_subject_id) ids ON messages.messages_id = ids.id"; 
		$query .= " WHERE messages_receiver=".$user_id." and is_delete=0";
    $i = $this->db->query($query);
		return ($i->num_rows > 0)? $i->num_rows() : 0;
	}
	
	public function get_message($message_id)
	{
		
    $this->db->from("messages_subject");
		$this->db->join("messages","messages.messages_subject_id=messages_subject.messages_subject_id");
    $this->db->where("messages_subject.messages_subject_id",$message_id);
    $this->db->where("is_parent",1);
    $this->db->limit(1);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->row() : array();
	}
	public function get_replies($message_id,$num=5,$page=0)
	{
		$this->db->from("messages");
		$this->db->join("messages_subject","messages.messages_subject_id=messages_subject.messages_subject_id");
		$this->db->join("users","users.users_id=messages.messages_sender");
		$this->db->join("users_meta","messages.messages_sender=users_meta.users_id");
    $this->db->where("messages.messages_subject_id",$message_id);
    $this->db->where("is_parent",0);
    $this->db->orderby("messages_date");
    $this->db->limit($num,$page);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function total_replies($message_id)
	{
		//$this->db->select("count(messages.*) as num_rows");
    $this->db->from("messages");
		$this->db->join("messages_subject","messages.messages_subject_id=messages_subject.messages_subject_id");
    $this->db->where("messages.messages_subject_id",$message_id);
    $this->db->where("is_parent",0);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->num_rows : 0;
	}
	
	public function get_receiver($message_id)
	{
		$this->db->from("messages_receiver");
		$this->db->join("users","users.users_id=messages_receiver.messages_receiver");
    $this->db->where("messages_receiver.messages_subject_id",$message_id);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	function add_reply($messages_sender,$messages_text,$subject_id)
	{
		//$date=date('Y-m-d H:i:s');
		$data = array(
					  'messages_subject_id'=>$subject_id,
            'messages_sender'=>$messages_sender,
					  'messages_text'=>$messages_text,
					  'is_parent'=>0,
					  );
		$this->db->insert('messages', $data);
    $insert = ($this->db->affected_rows() > 0)? true : false;
    if($insert){
      return $this->update_all_read($subject_id,0);
    }else{
      return false;
    }
	}
	
	function is_read($messages_receiver,$messages_subject_id)
	{
	 
   $this->db->select("is_read");
   $this->db->from("messages_receiver");
   $this->db->where("messages_subject_id",$messages_subject_id);
   $this->db->where("messages_receiver",$messages_receiver);
   $this->db->limit(1);
	 	$i = $this->db->get();
		if($i->num_rows > 0){
      $read = $i->row();
      if($read->is_read==1){
        return true;
      }else{
        return false;
      }
    }else{
      return false;
    }
    return $read;
  }
  
  function update_read($messages_receiver,$messages_subject_id,$is_read)
	{
		$data = array(
               'is_read' => $is_read
            );

		$this->db->where('messages_subject_id', $messages_subject_id);
		$this->db->where('messages_receiver', $messages_receiver);
		$this->db->update('messages_receiver', $data);
    return ($this->db->affected_rows() > 0)? true : false; 

	}
	
	function update_all_read($messages_subject_id,$is_read)
	{
		$data = array(
               'is_read' => $is_read
            );

		$this->db->where('messages_subject_id', $messages_subject_id);
		$this->db->update('messages_receiver', $data);
    return ($this->db->affected_rows() > 0)? true : false; 

	}
	
	
	
	function getReply($message_id,$page,$num=5)
	{
		$start=(($page-1)*$num);
		$end=$page*$num; 
		$this->db->from("message");
        $this->db->where("parent",$message_id);
		$this->db->orderby('ms_date', "desc");
		$this->db->limit($end,$start);
		$i = $this->db->get();
		return ($i->num_rows > 0)? $i->result() : array();
	}
	
	public function getTotalReply($message_id)
	{
	
		$this->db->from("message");
        $this->db->where("parent",$message_id);
		$output=$this->db->count_all_results();
		return $output;
	}
	
	public function delete($messages_subject_id,$messages_receiver)
	{
    $data = array("is_delete"=>1);
    $this->db->where("messages_subject_id",$messages_subject_id);
    $this->db->where("messages_receiver",$messages_receiver);
    $this->db->update("messages_receiver",$data);
    return ($this->db->affected_rows() > 0)? true : false; 
  }
}
?>