<?php

class qa_model extends Model {

	function QA() {
		// Call the Model constructor
		parent::Model();
	}
	
	function get_list() {
		$this->db->select('users_id');
		$this->db->from('users_meta');
		$this->db->where_not_in('users_expert_category', array(0));
		$users_id = $this->db->get();
		
		if ($users_id->num_rows() > 0){
			foreach ($users_id->result_array() as $row){
				$ids[] = $row['users_id'];
			}
			
			return $this->_get_users($ids);
		}
	}
	
	function get_expert_by_category($id) {
		$options = array('id' => $id);

		$this->db->select('users_id');
		$this->db->from('users_meta');
		$this->db->where_in('users_expert_category', $options);
		$users_id = $this->db->get();
		
		if ($users_id->num_rows() > 0){
			foreach ($users_id->result_array() as $row){
				$ids[] = $row['users_id'];
			}
	
			return $this->_get_users($ids);
		}
	}
	
	function get_person($id) {
		$options = array('users_id' => $id);
		$user = $this->db->get_where('users' ,$options,1);
		if ($user->num_rows() > 0){
			$data = $user->row_array();
		}
		return $data;
	}
	
	function _get_users($ids) {
		$this->db->select('users_id, username');
		$this->db->from('users');
		$this->db->where_in('users_id', $ids);
		$users = $this->db->get();
		if ($users->num_rows() > 0){
			foreach ($users->result_array() as $row){
				 $data[] = $row;
			}
		}
		
		return $data;
	}
}

?>