<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
class resource_model extends Model {
    public function resource_model()
    {
        // Call the Model constructor
        parent::Model();
		$this->tables  = $this->config->item('tables');
    }
	
	public function addFile($user_id,$files_name,$files_title,$files_link,$files_thumb,$files_desc,$files_date,$files_type,$is_share=0)
	{
		$data = array('user_id'=>$user_id,
					  'files_name'=>$files_name,
					  'files_title'=>$files_title,
					  'files_link'=>$files_link,
					  'files_thumb'=>$files_thumb,
					  'files_desc'=>$files_desc,
					  'files_date'=>$files_date,
					  'files_type'=>$files_type,
					  'is_share'=>$is_share
					  );
		$this->db->insert('files', $data);
		if ($this->db->affected_rows() > 0) 
		{
			$query=$this->db->query("select files_id from files where files_link='$files_link'");
			$files_id=0;
			foreach ($query->result() as $row)
			{
				$files_id=$row->files_id;
			}
			return $files_id;

		} else
			return false;
		
	}
	
	public function addResource($term_id,$files_id,$resources_description)
	{
		$data = array('term_id'=>$term_id,
					  'files_id'=>$files_id,
					  'resources_description'=>$resources_description
					  );
		$this->db->insert('resources', $data);
		return ($this->db->affected_rows() > 0) ? true : false;
		
	}
	
	public function getListTerm()
	{
		$output="<select name=\"term_id\">";
		$query=$this->db->query("select term_name,term_id from term where term_taxonomy='resources_categories'");
		$files_id=0;
		foreach ($query->result() as $row)
		{
			$output.="<option value=\"".$row->term_id."\">".$row->term_name."</option>";		
		}
		$output.="</select>";
		return $output;
	}
	
	public function getContent($term_id,$num,$page)
	{
		//$start=($page-1)*5;
		$query=$this->db->query("select a.resources_id,a.resources_description,c.full_name, b.files_name,b.files_title, b.files_link, b.files_thumb, b.files_date from resources a, files b, users c where a.files_id=b.files_id and b.user_id=c.users_id and a.term_id=$term_id Limit $page,$num");
		return $query->result();
	}
	
	public function getTotal($term_id)
	{
		$this->db->from("resources");
		$this->db->where("term_id",$term_id);
		$output=$this->db->count_all_results();

		return $output;
	}
	
	public function search($key,$num,$page){
    $query=$this->db->query("select a.resources_id,a.resources_description,c.full_name, b.files_name,b.files_title, b.files_link, b.files_thumb, b.files_date from resources a, files b, users c where a.files_id=b.files_id and b.user_id=c.users_id and b.files_name like '%$key%' limit $page,$num");
		return $query->result();
  }
  
  public function total_search($key){
    $query=$this->db->query("select a.resources_id,a.resources_description,c.full_name, b.files_name,b.files_title, b.files_link, b.files_thumb, b.files_date from resources a, files b, users c where a.files_id=b.files_id and b.user_id=c.users_id and b.files_name like '%$key%'");
		return $query->num_rows();
  }
    	
}
?>