<?php $this->load->view("header") ?>
<div id="content" class="span-22 prepend-1 append-1 last">
	<h1>Notes Archive </h1>
	<div id="main-content" class="content-block span-18">
		<div id="" class="archive-content span-18 last">
		<div id="" class="tab content-block span-16 prepend-1 append-1 last">
			<div class="tab-titles span-16 last">
				<ul>
					<li><a href="<?php echo site_url("notes/browse/my") ?>" rel="my" <?php if($submenu=="my"){echo "class=\"active\"";} ?> ><span>My Notes</span></a></li>
					<li><a href="<?php echo site_url("notes/browse/featured") ?>" rel="featured" <?php if($submenu=="featured"){echo "class=\"active\"";} ?>><span>Recent Notes</span></a></li>
					<li><a href="<?php echo site_url("notes/browse/popular") ?>" rel="most" <?php if($submenu=="popular"){echo "class=\"active\"";} ?>><span>Popular Notes</span></a></li>
					<li><a href="<?php echo site_url("notes/browse/expert") ?>" rel="most" <?php if($submenu=="expert"){echo "class=\"active\"";} ?>><span>Expert Notes</span></a></li>
				</ul>
			</div>
			<?php if($submenu == "my"){ ?>
			<div id="my" class="archive span-16 last " >
				
				<?php foreach ($my_notes as $my): 
						$url = "notes/view/".$my->notes_id."/".$my->notes_permalink;
					?>
				<div id="" class="tab-article">
					
					<h2><a href="<?php echo site_url($url) ?>"><?php echo $my->notes_title ?></a></h2>
					<a href="<?php echo site_url($url) ?>" class="more-link first" >Read More</a>
					<?php if($this->session->userdata("users_id")==$my->notes_author){ ?>
					<a href="<?php echo site_url("notes/delete/".$my->notes_id) ?>" class="delete second">Delete</a>
					
					<?php } ?>
					<ul class="article-meta">
						<li>Author : <a class="entity" id="" href="<?php echo site_url("profile/user/".$my->notes_author."/".url_title($my->full_name)) ?>"><?php echo $my->full_name ?></a></li>
						<li>Posted : <?php echo get_date($my->notes_date) ?></li>
						<li><?php echo $my->comment_count ?> Reply</li>
					</ul>
					<!--<img src="<?php echo themes_url()?>images/pic-user-small.jpg" alt="Foto Thumbnail"class="small"/>-->
					<p><?php echo $my->notes_excerpt ?></p>
				</div><!--.tab-article-->
				<?php endforeach; ?>
				<?php echo $my_pagination ?>
				<!--<div id="" class="tab-article-paging">
					<a href="#" id="" class="previous" >Previous</a>
					<a href="#" id="" class="previous" >3</a>
					<a href="#" id="" class="previous" >4</a>
					<a href="#" id="" class="next" >5</a>
					<a href="#" id="" class="previous" >6</a>
					<a href="#" id="" class="previous" >7</a>
					<a href="#" id="" class="next" >Next</a>
				</div>--><!--.tab-article-paging-->
			</div><!--.tab-content-->
			<?php }elseif($submenu=="featured"){ ?>
			<div id="featured" class="span-16 last " >
			
				<?php foreach ($latest_notes as $last): 
						$url = "notes/view/".$last->notes_id."/".$last->notes_permalink;
					?>
				<div id="" class="tab-article">
					<h2><a href="<?php echo site_url($url) ?>"><?php echo $last->notes_title ?></a></h2>
					<a href="<?php echo site_url($url) ?>" class="more-link first" >Read More</a>
					<?php if($this->session->userdata("users_id")==$last->notes_author){ ?>
					<a href="<?php echo site_url("notes/delete/".$last->notes_id) ?>" class="delete second">Delete</a>
					
					<?php } ?>
					<ul class="article-meta">
						<li>Author : <a class="entity" id="" href="<?php echo site_url("profile/user/".$last->notes_author."/".$last->username) ?>"><?php echo $last->full_name ?></a></li>
						<li>Posted : <?php echo get_date($last->notes_date) ?></li>
						<li><?php echo $last->comment_count ?> Reply</li>
					</ul>
					<!--<img src="<?php echo themes_url()?>images/pic-user-small.jpg" alt="Foto Thumbnail"class="small"/>-->
					<p><?php echo $last->notes_excerpt ?></p>
				</div><!--.tab-article-->
				<?php endforeach; ?>
				<?php echo $featured_pagination ?>
			</div><!--.tab-content-->
			<?php }elseif($submenu=="popular"){ ?>
			<div id="most" class="span-16 last " >
				
				<?php foreach ($popular_notes as $popular): 
						$url = "notes/view/".$popular->notes_id."/".$popular->notes_permalink;
					?>
				<div id="" class="tab-article">
					<h2><a href="<?php echo site_url($url) ?>"><?php echo $popular->notes_title ?></a></h2>
					<a href="<?php echo site_url($url) ?>" class="more-link first" >Read More</a>
					<?php if($this->session->userdata("users_id")==$popular->notes_author){ ?>
					<a href="<?php echo site_url("notes/delete/".$popular->notes_id) ?>" class="delete second">Delete</a>
					
					<?php } ?>
					<ul class="article-meta">
						<li>Author : <a class="entity" id="" href="<?php echo site_url("profile/user/".$popular->notes_author) ?>"><?php echo $popular->full_name ?></a></li>
						<li>Posted : <?php echo get_date($popular->notes_date) ?></li>
						<li><?php echo $popular->comment_count ?> Reply</li>
					</ul>
					<!--<img src="<?php echo themes_url()?>images/pic-user-small.jpg" alt="Foto Thumbnail"class="small"/>-->
					<p><?php echo $popular->notes_excerpt ?></p>
				</div><!--.tab-article-->
				<?php endforeach; ?>

				<?php echo $popular_pagination ?>
			</div><!--.tab-content-->
			<?php }elseif($submenu=="expert"){ ?>
			<div id="related-notes-tab-content" class="span-16 last">
				
				<?php foreach ($expert_notes as $expert): 
					$url = "notes/view/".$expert->notes_id."/".$expert->notes_permalink;
				?>
				<div id="" class="tab-article">
					<h2><a href="<?php echo site_url($url) ?>"><?php echo $expert->notes_title ?></a></h2>
					<a href="<?php echo site_url($url) ?>" class="more-link first" >Read More</a>
					<?php if($this->session->userdata("users_id")==$expert->notes_author){ ?>
					<a href="<?php echo site_url("notes/delete/".$expert->notes_id) ?>" class="delete second">Delete</a>
					
					<?php } ?>
					<ul class="article-meta">
						<li>Author : <a class="entity" id="" href="<?php echo site_url("view/".$expert->notes_author."/".$expert->username) ?>"><?php echo $expert->full_name ?></a></li>
						<li>Posted : <?php echo get_date($expert->notes_date) ?></li>
						<li><?php echo $expert->comment_count ?> Reply</li>
					</ul>
					<!--<img src="<?php echo themes_url()?>images/pic-user-small.jpg" alt="Foto Thumbnail"class="small"/>-->
					<p><?php echo $expert->notes_excerpt ?></p>
				</div><!--.tab-article-->
				<?php endforeach; ?>
				<?php echo $expert_pagination ?>
			</div><!--notes-tab-content-->
			<?php } ?>
		</div><!--#profile-activity-->
		</div><!--#basic-content-->
	</div><!--#main-content-->
<?php $this->load->view("notes/sidebar") ?>
</div><!--#container-->
<?php $this->load->view("footer") ?>